<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\Apk */

$this->title = $model->apk_version;
$this->params['breadcrumbs'][] = ['label' => 'Apks', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>
<div class="apk-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Delete', ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'id',
            'apk_version',
            [
                'attribute' => 'upload_date',
                'format' => ['date', 'php:d-m-Y H:i:s'], // Format the date
            ],
            [
                'attribute' => 'apk_file',
                'format' => 'raw',
                'value' => function ($model) {
                    return Html::a('Download APK', ['download', 'filename' => basename($model->apk_file)], ['class' => 'btn btn-primary']);
                },
            ],
        ],
    ]) ?>

</div>
