<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use app\models\Barcode;

/* @var $this yii\web\View */
/* @var $models app\models\Barcode[] */

$this->title = 'Generate Barcode';
$this->params['breadcrumbs'][] = $this->title;
?>

<?php Pjax::begin(['id' => 'barcodes-pjax']) ?>
<div class="barcode-index">
    <div class="mt-bootstrap-tables">
        <div class="portlet light">
            <div class="portlet-title">
                <div class="caption">
                    <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
                </div>
                <div class="actions">
                    <?= Html::a('Back', ['booth/inactive'], ['class' => 'btn btn-primary']) ?>
                     <?= Html::a('Generate PDF', ['barcode-generator/pdf'], ['class' => 'btn btn-primary']) ?>
                </div>
            </div>
            
            <div class="portlet-body">
                <div class="table table-scrollable">
                    <?= GridView::widget([
                        'dataProvider' => new \yii\data\ArrayDataProvider([
                            'allModels' => $models,
                        ]),
                        'columns' => [
                            ['class' => 'yii\grid\SerialColumn'],
                            
                            
                            [
                                'attribute'=>'booth_id',
                                'value'=>'booth.name'
                            ],
                            
                            [
                                'attribute'=>'ic_id',
                                'value'=>'ic.name'
                            ],
                            
                            [
                                'attribute' => 'barcode_image',
                                'format' => 'raw',
                                'value' => function ($model) {
                                    return Html::img('data:image/png;base64,' . $model->barcode_image, ['width' => '100']);
                                },
                            ],
                            
                            'created_on',
                            [
                                'attribute'=>'created_by',
                                'value'=>'user.username'
                            ],
                        ],
                    ]); ?>
                </div>
            </div>
        </div>
    </div>
</div>
<?php Pjax::end() ?>

<?php
$this->registerJs("
$(document).on('keyup', '.form-control', function() {
    var form = $('#barcodes-pjax .filters').closest('form');
    $.pjax.reload({
        container: '#barcodes-pjax',
        url: form.attr('action'),
        data: form.serialize(),
        timeout: 1000,
    });
});
");
?>
