<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use yii\helpers\Url;
use app\models\Booth;
use app\models\BoothDevices;
use webvimark\modules\UserManagement\UserManagementModule;
use webvimark\modules\UserManagement\models\User;
use app\models\BoothType;
/* @var $this yii\web\View */
/* @var $searchModel app\models\BoothDevicesSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Booth Devices Details';
$this->params['breadcrumbs'][] = $this->title;
?>
<?php yii\widgets\Pjax::begin(['id' => 'device-pjax']) ?>
<div class="ic-index">

    <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">
                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                        <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
                    </div>
                    <div class="actions">
                        <!-- Reset Button -->
                        <?= Html::a('Reset Filters', ['devices-log'], ['class' => 'btn btn-default']) ?>
                    </div>
                </div>
                <div class="portlet-body">
                    <div class="table table-scrollable">

                        <?= GridView::widget([
                            'dataProvider' => $dataProvider,
                            'filterModel' => $searchModel,
                            'columns' => [
                                ['class' => 'yii\grid\SerialColumn'],
                                [
                                    'attribute' => 'device_id',
                                    'value' => 'device.name'
                                ],
                                [
                                    'attribute' => 'ic_id',
                                    'value' => 'ic.name'
                                ],
                                [
                                    'attribute' => 'booth_id',
                                    'value' => 'booth.name'
                                ],
                                [
                                    'class' => 'webvimark\components\StatusColumn',
                                    'attribute' => 'status',
                                    'optionsArray' => [
                                        [BoothDevices::STATUS_DEACTIVE, UserManagementModule::t('back', 'INACTIVE'), 'default'],
                                        [BoothDevices::STATUS_ACTIVE, UserManagementModule::t('back', 'ACTIVE'), 'green'],
                                    ],
                                ],
                                'ic_assigned_on',
                                [
                                    'attribute' => 'ic_assigned_by',
                                    'value' => 'icAssignedBy.username',
                                ],
                                'ic_remove_on',
                                [
                                    'attribute' => 'ic_remove_by',
                                    'value' => 'icRemoveBy.username',
                                ],
                                'booth_assigned_on',
                                [
                                    'attribute' => 'booth_assigned_by',
                                    'value' => 'boothAssignBy.username',
                                ],
                                'booth_remove_on',
                                [
                                    'attribute' => 'booth_remove_by',
                                    'value' => 'boothRemoveBy.username',
                                ],
                                ['class' => 'yii\grid\ActionColumn', 'template' => '{view}'],
                            ],
                        ]); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php yii\widgets\Pjax::end() ?>

<?php
$this->registerJs("
$(document).on('keyup', '.form-control', function() {
    var form = $('#device-pjax .filters').closest('form');
    $.pjax.reload({
        container: '#device-pjax',
        url: form.attr('action'),
        data: form.serialize(),
        timeout: 1000,
    });
});
");
?>
