<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use yii\helpers\Url;
use app\models\Booth;
use webvimark\modules\UserManagement\UserManagementModule;
use webvimark\modules\UserManagement\models\User;
use app\models\BoothType;
/* @var $this yii\web\View */
/* @var $searchModel app\models\BoothSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Booths Details';
$this->params['breadcrumbs'][] = $this->title;
?>
<?php yii\widgets\Pjax::begin(['id' => 'booth-pjax']) ?>
<div class="ic-index">

    <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">
                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                        <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
                    </div>
                    <div class="actions">
                        <!-- Reset Button -->
                        <?= Html::a('Reset Filters', ['booth-log'], ['class' => 'btn btn-default']) ?>
                    </div>
                </div>
                <div class="portlet-body">
                    <div class="table table-scrollable">

                        <?= GridView::widget([
                            'dataProvider' => $dataProvider,
                            'filterModel' => $searchModel,
                            'columns' => [
                                ['class' => 'yii\grid\SerialColumn'],

                                // 'id',
                                'name',
                                // 'booth_type',
                                [
                                    'attribute' => 'booth_type',
                                    'value' => 'boothType.name',
                                    'filter' => BoothType::getListFil(),
                                ],
                                // 'status',
                                [
                                    'class' => 'webvimark\components\StatusColumn',
                                    'attribute' => 'status',
                                    'optionsArray' => [
                                        [Booth::STATUS_DEACTIVE, UserManagementModule::t('back', 'INACTIVE'), 'default'],
                                        [Booth::STATUS_ACTIVE, UserManagementModule::t('back', 'ACTIVE'), 'green'],
                                         [Booth::STATUS_CLOSE, UserManagementModule::t('back', 'CLOSE'), 'default'],
                  
                                    ],
                                ],
                                // 'region_id',
                                [
                                    'attribute' => 'region_id',
                                    'value' => 'region.name'
                                ],
                                // 'ic_id',
                                [
                                    'attribute' => 'ic_id',
                                    'value' => 'ic.name'
                                ],
                                [
                                    'attribute' => 'direction_id',
                                    'value' => 'direction.name'
                                ],
                                [
                                    'attribute' => 'activated_on',
                                    'format' => ['date', 'php:Y-m-d H:i:s'],
                                ],
                                [
                                    'attribute' => 'activated_by',
                                    'value' => 'activatedBy.username',
                                ],
                                [
                                    'attribute' => 'inactivated_on',
                                    'format' => ['date', 'php:Y-m-d H:i:s'],
                                ],
                                [
                                    'attribute' => 'inactivated_by',
                                    'value' => 'inactivatedBy.username',
                                ],
                            ],
                        ]); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php yii\widgets\Pjax::end() ?>

<?php
$this->registerJs("
$(document).on('keyup', '.form-control', function() {
    var form = $('#booth-pjax .filters').closest('form');
    $.pjax.reload({
        container: '#booth-pjax',
        url: form.attr('action'),
        data: form.serialize(),
        timeout: 1000,
    });
});
");
?>
