<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use yii\helpers\Url;
use app\models\Booth;
use webvimark\modules\UserManagement\UserManagementModule;
use webvimark\modules\UserManagement\models\User;
use app\models\BoothType;
/* @var $this yii\web\View */
/* @var $searchModel app\models\BoothSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Inactive Booth List';
$this->params['breadcrumbs'][] = $this->title;
?>
<?php Pjax::begin(['timeout' => 10000, 'enablePushState' => false]) ?>
<div class="ic-index">
    <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">
            
                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                        <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
                    </div>
                    <div class="actions">
                       <?= Html::a('Barcode List', ['/barcode-generator/index'], ['class' => 'my-custom-button']) ?>
                    </div>
                </div>
                <div class="portlet-body">
                    <div class="table table-scrollable">
                        <?= GridView::widget([
                            'dataProvider' => $dataProvider,
                            'filterModel' => $searchModel,
                            'columns' => [
                                ['class' => 'yii\grid\SerialColumn'],
                                'name',
                                [
                                    'attribute' => 'booth_type',
                                    'value' => 'boothType.name',
                                    'filter' => BoothType::getListFil(),
                                ],
                                [
                                    'class' => 'webvimark\components\StatusColumn',
                                    'attribute' => 'status',
                                    'optionsArray' => [
                                        [Booth::STATUS_DEACTIVE, UserManagementModule::t('back', 'INACTIVE'), 'default'],
                                        //[Booth::STATUS_ACTIVE, UserManagementModule::t('back', 'ACTIVE'), 'green'],
                                    ],
                                ],
                                [
                                    'attribute' => 'region_id',
                                    'value' => 'region.name'
                                ],
                                [
                                    'attribute' => 'ic_id',
                                    'value' => 'ic.name'
                                ],
                                [
                                    'attribute' => 'direction_id',
                                    'value' => 'direction.name'
                                ],
                                [
                                    'class' => 'yii\grid\ActionColumn',
                                    'template' => '{generate-barcode}',
                                    'buttons' => [
                                        'generate-barcode' => function ($url, $model) {
                                            return Html::a(
                                                //'<i class="fa fa-barcode"></i> Generate Barcode',
                                                'Generate Barcode',
                                                ['/barcode-generator/generate', 'id' => $model->id],
                                                [
                                                    'title' => 'Generate Barcode',
                                                    'data-pjax' => '0',
                                                    'class' => 'btn btn-primary'
                                                ]
                                            );
                                        },
                                    ],
                                ],
                            ],
                        ]); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php Pjax::end() ?>
 
 <style>
    .my-custom-button {
        background-color: #007bff; /* Green background */
        border: none; /* Remove borders */
        color: white; /* White text */
        padding: 6px 16px; /* Some padding */
        text-align: center; /* Centered text */
        text-decoration: none; /* Remove underline */
        display: inline-block; /* Get the element to line up with other elements */
        font-size: 14px; /* Increase font size */
        margin: 4px 2px; /* Some margin */
        cursor: pointer; /* Pointer/hand icon on hover */
        border-radius: 8px; /* Rounded corners */
    }

    .my-custom-button:hover {
        background-color: #0056b3; /* Darker green background on hover */
        text-decoration: none;
        color: white;
    }

    .btn-secondary {
        background-color: #007bff; /* Gray background */
        border: none; /* Remove borders */
        color: white; /* White text */
        padding: 6px 16px; /* Some padding */
        text-align: center; /* Centered text */
        text-decoration: none; /* Remove underline */
        display: inline-block; /* Get the element to line up with other elements */
        font-size: 14px; /* Increase font size */
        margin: 4px 2px; /* Some margin */
        cursor: pointer; /* Pointer/hand icon on hover */
        border-radius: 8px; /* Rounded corners */
    }

    .btn-secondary:hover {
        background-color: #0056b3; /* Darker gray background on hover */
        text-decoration: none;
        color: white;
    }
</style>