<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use yii\helpers\BaseUrl;
use yii\helpers\Url;
use yii\helpers\ArrayHelper;
use kartik\select2\Select2;
use app\models\Booth;
use yii\grid\GridView;
use yii\widgets\ActiveForm;
use app\models\BoothType;
use app\models\BoothDevices;
use webvimark\modules\UserManagement\models\User;
/* @var $this yii\web\View */
/* @var $model app\models\Booth */

$this->title = $model->name;
$this->params['breadcrumbs'][] = ['label' => 'Booths', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>


<style>
.select2-container .select2-selection--single {
    box-sizing: border-box;
    cursor: pointer;
    display: block;
    height: 33px;
    user-select: none;
    -webkit-user-select: none;
}
</style>

<style>
    .modal1 {
        display:    none;
        position:   fixed;
        /* z-index:    1000; */
        z-index: 2147483647;
        top:        0;
        left:       0;
        height:     100%;
        width:      100%;
        background: rgba( 255, 255, 255, .8 ) 
            /* url('http://i.stack.imgur.com/FhHRx.gif')  */
            url('<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/FhHRx.gif') 
            50% 50% 
            no-repeat;
    }
    /* When the body has the loading class, we turn
       the scrollbar off with overflow:hidden */
    body.loading {
        overflow: hidden;   
    }
    /* Anytime the body has the loading class, our
       modal element will be visible */
    body.loading .modal1 {
        display: block;
    }


    </style>

<div class="booth-view">

    <div class="portlet light ">
        <div class="portlet-title">
           <?php if(User::hasRole('10')): ?>
            <p style="margin-top:8px;margin-bottom:8px;">

                <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-success']) ?>
                <?= Html::a('Create', ['create'], ['class' => 'btn btn-success ']) ?>
                <?= Html::a('Manage', ['index'], ['class' => 'btn btn-success']) ?>
                <?= Html::a('Generate Barcode', Url::to(['/barcode-generator/index', 'id' => $model->id]), ['class' => 'btn btn-success']) ?>



                <!-- <?= Html::a('Delete', ['delete', 'id' => $model->id], [
        'class' => 'btn btn-danger',
        'data' => [
            'confirm' => 'Are you sure you want to delete this item?',
            'method' => 'post',
        ],
    ]) ?> -->
            </p>

            <?php endif ?>
            <div class="caption">
                <i class="icon-social-dribbble font-dark hide"></i>
                <span class="caption-subject font-dark bold uppercase">overview</span>
            </div>
            <div class="action col-md-4 pull-right ">

              
                <?php $data = $model::getList(); ?>
                <?php yii\widgets\Pjax::begin([]) ?>
                <?php echo Select2::widget([

                'model' => $model,
                'attribute' => 'name',
                'data' => $data,
                'size' => Select2::SMALL,
                'options' => ['placeholder' => 'Search for booth ...', 'class' => 'small'],
                'pluginOptions' => [
                    'allowClear' => true
                ],
                'pluginEvents' => [
                    'select2:select' => "function (e) {        
                            var id = e.params.data.id;                                    
                            console.log(id);
                            myFunction(id);                           
                            }"
                ]
            ]);

            ?>
                <script>
                //Parse the drop down selected item to controller 
                function myFunction(id) {
                     var $loading = $('#waitbox').hide();
                        $loading.show();
                    $.ajax({
                        url: '<?php echo Url::to(['/./booth/quick']); ?>',

                        type: 'post',
                        dataType: 'json',
                        data: {
                            "id": id
                        },
                        success: function(data) {
                             $loading.hide();
                            alert(data.id);

                        }
                    });
                }
                </script>
                <?php yii\widgets\Pjax::end() ?>

            </div>
        </div>
        <div class="portlet-body">
            <div class="row">
                <div class="col-md-2">
                    <img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/booth.png" width="120px"
                        height="15px" class=" img-responsive pic-bordered" alt="">
                </div>
                <div class="col-md-4 profile-info">
                    <p class="uppercase bold">
                        Name : <?= Html::encode($model->name) ?>
                    </p>
                   
                    <p> Interchange :
                        <?= Html::encode($model->ic->name) ?>
                    </p>

                    <p> Region :
                        <?= Html::encode($model->region->name) ?>
                    </p>
                   
                    <span class="caption-subject font-purple-soft bold "> Status : <?php
                        if ($model->status == Booth::STATUS_DEACTIVE) {
                            echo Html::tag('p', 'DEACTIVE', ['class' => 'label label-danger fontS11','style'=>'font-size:10px']);
                        } elseif ($model->status == Booth::STATUS_ACTIVE) {
                            echo Html::tag('p', 'ACTIVE', ['class' => 'label label-default fontS11','style'=>'font-size:10px;background-color:#30d82c']);
                        } elseif ($model->status == Booth::STATUS_CLOSE) {
                            echo Html::tag('p', 'CLOSE', ['class' => 'label label-default fontS11','style'=>'font-size:10px;background-color:#FFFF00']);
                        };
                        ?></span>



                </div>
                <div class="col-md-6">
                    <p class=""> Booth Type :  </p>
                    <h2><?= Html::encode($model->boothType->name) ?></h2>

                    <p class=""> Full Amount IC : <?= Html::encode($model->fullAmountIc->name) ?></p>
                    <p class=""> Direction :  <?= Html::encode($model->direction->name) ?></p>
                </div>

            </div>


        </div>

         <div class="tabbable-line tabbable-custom-profile">
            <ul class="nav nav-tabs">

                <li class="active">
                    <a href="#tab_2_222" data-toggle="tab"> Devices </a>
                </li>



            </ul>
            <div class="tab-content">
                            
                <!-- Start Add devices Tab -->
                <div class="tab-pane active" id="tab_2_222" style='margin-top:-25px'>
                    <div>
                        <div class="portlet-body">
                            <div class="row">
                                <div class="actions pull-right" style="margin-bottom:15px">
                                    <a class="btn btn blue" data-target="#stack2" data-toggle="modal">Add Devices </a>

                                </div>
                            </div>
                            <div class="row">
                                <?php foreach($devices_for_booth as $device): ?>
                                <div class="col-md-2">

                                    <div
                                        style="display:inline-flex;flex-direction:column;align-items:center;font-family:sans-serif;border:3px solid #3F51B5;box-shadow:0 0 10px 2px #00000033;color:#3f51b5;width: 100%;">

                                        <a data-target="#approveModal<?php echo $device->device->serial ?>"
                                            data-toggle="modal" title="remove-<?php echo $device->device->serial ?>">
                                            <div style="float:right;padding-top:3px;padding-right:3px;color: red;"><span><i
                                                        class="fa fa-minus-circle" aria-hidden="true"></i></span>
                                            </div>
                                        </a>
                                        <span style="font-size:14px;margin:15px;font-weight:bold;"><?php echo  $device->device->name ?  $device->device->name : "No_name";  ?></span>
                                        <div style="font-size: 30px; margin-bottom: 20px;
">
                                            <a href="<?php echo Url::to(['devices/view', 'id' => $device->device->id]); ?>" class="nav-link nav-toggle">
                                                <i class="icon-screen-smartphone"></i>

                                            </a>
                                        </div>
                                        <div style="font-family:sans-serif;font-size:13px;text-align:center;">
                                            <div style="font-size:15px;font-weight: 600;">
                                                <?php echo $device->device->serial ?></div>
                                            <div><?php echo $device->device->mobile ?></div>
                                            <!-- <div><?php echo $device->device->imei_2 ?></div> -->
                                        </div>
                                        <div style="margin:25px;">
                                            <?php if($device->device->status==1): ?>
                                            <p class="label label-default fontS11"
                                                style="font-size:10px;background-color:#30d82c">ACTIVE</p>
                                            <?php elseif($device->device->status==0): ?>
                                            <p class="label label-danger fontS11" style="font-size:10px">DEACTIVE</p>
                                            <?php endif ?>



                                        </div>
                                        <div style="font-size:11px">
                                            <?php if($device->booth->name): ?>
                                            <?php echo $device->booth->name ?>
                                            <?php else: ?>
                                            <?php echo "NOT ASSIGNED TO BOOTH" ?>
                                            <?php endif ?>
                                        </div>
                                    </div>
                                </div>
                               
                                <!-- Start Device Unassigned Confirm  - modal -->
                                <div id="approveModal<?php echo $device->device->serial ?>" class="modal fade">
                                    <div class="modal-dialog modal-confirm">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <div class="">
                                                    <img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/tr.png"
                                                        width="80px">
                                                </div>
                                                <h4 class="modal-title">Are you sure?</h4>
                                                <button type="button" class="close" data-dismiss="modal"
                                                    aria-hidden="true">&times;</button>
                                            </div>
                                            <div class="modal-body">
                                                <div class="">

                                                    <div
                                                        style="display:inline-flex;flex-direction:column;font-family:sans-serif;border:3px solid #3F51B5;box-shadow:0 0 10px 2px #00000033;color:#3f51b5;width: 50%;">

                                                        <span
                                                            style="font-size:14px;margin:15px;font-weight:bold;"><?php echo  $device->device->name ?  $device->device->name : "No_name";  ?></span>
                                                            <div style="font-size: 30px; margin-bottom: 20px;
">
                                           
                                                <i class="icon-screen-smartphone  "></i>

                                            
                                        </div>
                                                        <div
                                                            style="font-family:sans-serif;font-size:13px;text-align:center;">
                                                            <div style="font-size:15px;font-weight: 600;">
                                                                <?php echo $device->device->serial ?></div>
                                                            <div><?php echo $device->device->mobile ?></div>
                                                            <!-- <div><?php echo $device->device->imei_2 ?></div> -->
                                                        </div>
                                                        <div style="margin:25px;">
                                                            <?php if($device->device->status==1): ?>
                                                            <p class="label label-default fontS11"
                                                                style="font-size:10px;background-color:#30d82c">ACTIVE
                                                            </p>
                                                            <?php elseif($device->device->status==0): ?>
                                                            <p class="label label-danger fontS11"
                                                                style="font-size:10px">DEACTIVE</p>
                                                            <?php endif ?>



                                                        </div>
                                                        <div style="font-size:11px">
                                            <?php if($device->booth->name): ?>
                                            <?php echo $device->booth->name ?>
                                            <?php else: ?>
                                            <?php echo "NO BOOTH" ?>
                                            <?php endif ?>
                                        </div>

                                                    </div>
                                                </div>
                                                <p>This device will unassiged from <?php echo $model->name ?>
                                                    booth</p>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-info"
                                                    data-dismiss="modal">No</button>
                                                <button id="unassigned_btn<?php echo $device->device->serial; ?>"
                                                    class="btn btn-sucess"
                                                    onclick="unassign_device('<?php echo $device->device->id; ?>','<?php echo $model->id; ?>')"
                                                    data-dismiss="modal">Yes</button>
                                            </div>
                                        </div>
                                    </div>
                                </div> <!-- end Device Unassigned Confirm  - modal -->

                                <?php endforeach ?>
                            </div>
                        </div>

                        <!-- Start Add Devices Modal-->
                        <div id="stack2" class="modal" tabindex="-1" role="dialog">
                            <?php yii\widgets\Pjax::begin(['id'=>'add_device']) ?>
                            <?php $formBoothDevice = ActiveForm::begin(); ?>
                            <div class="modal-dialog modal-confirm" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                   
                                                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>

                                                <div class="">
                                                    <img src="/RDA/web/../image/mobile.png" width="40px" class="" style="opacity: 0.5;">
                                                    <br><br>
                                                    <span class="caption-subject uppercase bold"> Add Device</span>
                                                </div>
                                           
                                    </div>
                                    <div class="modal-body" style="text-align:left">
                                        <div class="portlet-title">
                                            <div class="caption ">

                                                <span class="caption-subject  uppercase">
                                                    <?= Html::encode($model->name) ?></span>
                                            </div>

                                        </div>
                                        <br>
                                        <?php if(!isset($devices_for_booth[0])): ?>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <?=  $formBoothDevice->field($booth_devices, 'device_id')
                                                                                    ->widget(Select2::classname(), [
                                                                                        'data' => $all_devices,
                                                                                        'model' => $booth_devices,
                                                                                     //   'attribute' => 'username',
                                                                                     //   'size' => Select2::MEDIUM,
                                                                                        'language' => 'en',
                                                                                        'options' => [
                                                                                            'placeholder' => 'Serial  ...',
                                                                                            'class' => 'small',
                                                                                            'id' => 'p'
                                                                                        ],
                                                                                        'pluginOptions' => [
                                                                                            'allowClear' => true,
                                                                                          //  'multiple' => true
                                                                                        ],
                                                                                        'pluginEvents' => [
                                                                                            'select2:select' => "function (e) {        
                                                                                                var id = e.params.data.id;   
                                                                                                 var uname = e.params.data.text;                                  
                                                                                                console.log(uname);
                                                                                              
                                                                                               

     
                                                                                                                                                                                                                
                                                                                            }",
                                                                                            
                                                                                        ]
                                                                            ]);
                                                                            ?>
                                            </div>
                                          

                                        </div>
                                        <div class="modal-footer">
                                          <br><br>                                                  
                                        <button id="btn_add_users_close" type="button" class="btn btn-info"
                                            data-dismiss="modal">Cancel</button>

                                        <?= Html::submitButton('Save', ['class' => 'btn btn-success','id'=>'btn_save_add_users','onclick'=>'form_submit("'.'add_device'.'")']) ?>
                                    </div>
                                        <?php else:?>
                                        <div>
                                        <h4 class="modal-title">Need to add new Device ?</h4>   
                                        <h4 class="modal-title" style="color:red">Please remove existing device first.</h4>   
                                             <p>If you really want to add new device,please unassigned the exist device first</p>                                               
                                        </div>                               
                                        <?php endif?>
                                    </div>
                                    
                                </div>

                            </div>
                            <?php ActiveForm::end(); ?>
                            <?php yii\widgets\Pjax::end() ?>
                        </div>
                        <!-- End Add Devices -->




                    </div>
                </div>
                <!-- End Add devices Tab -->
            </div>
            </div>
            <div class="modal1" id="waitbox"><!-- Place at bottom of page --></div>

       <script>
         //Unassigned a device from Booth
         function unassign_device(device_id, booth_id) {
                console.log("Unassigned a device from interchange");
                var $loading = $('#waitbox').hide();
                $loading.show();
                $.ajax({
                    url: '<?php echo Url::to(['/./booth/unassigned-device']); ?>',
                    type: 'post',
                    dataType: 'json',
                    data: {
                        "device_id": device_id,
                        "booth_id": booth_id
                    },
                    success: function(data) {
                        // console.log("awa");
                        // console.log(data);
                        if (data) {
                            location.reload();
                        }
                    }
                });
            }
       </script>    
       <script>

 var $loading = $('#waitbox').hide();
function form_submit(id){

    $loading.show();
    console.log(id);
    $("#"+id).submit();
    console.log("form_submit");
}

</script> 