<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
/* @var $this yii\web\View */
/* @var $searchModel app\models\CashCollectSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('app', 'Cash Collects');
$this->params['breadcrumbs'][] = $this->title;
?>





<?php yii\widgets\Pjax::begin(['id' => 'cash-collect-pjax']) ?>
<div class="booth-type-index">

     <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">
          
                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                           <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
                      
                    </div>
                    <div class="actions">
                        <!-- Reset Button -->
                        <?= Html::a('Reset Filters', ['index'], ['class' => 'btn btn-default']) ?>
                  
                    </div>
                </div>
                <div class="portlet-body">
                <div class="table table-scrollable">
                <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
              ['class' => 'yii\grid\SerialColumn'],

           // 'id',
           [
                'attribute'=>'actual_session_id',
                'label'=>'username',
                'value'=>'actualSession.user.username'
            ],
            
             [
                 
                'attribute'=>'total_cash_amount',
                'value'=>'total_cash_amount',
                'format' => 'Currency',
 
             ],

             [
                 
                'attribute'=>'total_qr_amount',
                'value'=>'total_qr_amount',
                'format' => 'Currency',
 
             ],
             
               [
                 
                'attribute'=>'not_sync_amount',
                'value'=>'not_sync_amount',
                'format' => 'Currency',
 
             ],
           
            [
                 
                'attribute'=>'total_system_amount',
                'value'=>'total_system_amount',
                'format' => 'Currency',
 
             ],
           
          
           
            [
                 
                'attribute'=>'excess',
                'value'=>'excess',
                'format' => 'Currency',
 
             ],
           
            [
                 
                'attribute'=>'short',
                'value'=>'short',
                'format' => 'Currency',
 
             ],

            [
                'attribute'=>'reset_count',
                'value'=>'reset_count',
                
            ],
             
            'comment',
          //  'actual_session_id',
            //'shift_id',
            //'vehicle_count',
             'created_on',
            // 'created_by',
             [
                'attribute'=>'created_by',
                'value'=>'user.username'
            ],
            //'status',

          
           [
        'class' => 'yii\grid\ActionColumn',
        'template' => '{cash-in} {reset-history}',
        'buttons' => [
            'cash-in' => function ($url) {
                return Html::a(
                    '<span class="glyphicon glyphicon-eye-open"></span>',
                    $url, 
                    [
                        'title' => 'Cash In',
                        'data-pjax' => '0',
                    ]
                );
            },

        // 'reset-history' => function ($url) {
        //     return Html::a(
        //         '<i class="fa fa-history"></i>',
        //         $url, 
        //         [
        //             'title' => 'Reset History',
        //             'data-pjax' => '0',
        //         ]
        //     );
        // },
        'reset-history' => function ($url, $model) {
            return Html::a(
                '<i class="fa fa-history"></i>',
                ['reset-history', 'actual_session_id' => $model->actual_session_id],
                [
                    'title' => 'Reset History',
                    'data-pjax' => '0',
                ]
            );
        },
    ],
],
        ],
    ]); ?>
            </div>
                </div>
            </div>
        </div>
    </div>
</div>
  <?php yii\widgets\Pjax::end() ?>

  <?php
$this->registerJs("
$(document).on('keyup', '.form-control', function() {
    var form = $('#cash-collect-pjax .filters').closest('form');
    $.pjax.reload({
        container: '#cash-collect-pjax',
        url: form.attr('action'),
        data: form.serialize(),
        timeout: 1000,
    });
});
");