
<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use kartik\select2\Select2;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $model app\models\Designation */

$this->title = $model->name;
$this->params['breadcrumbs'][] = ['label' => 'Designations', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>



<style>
.mt-element-step .step-default .active {
    background-color: #8c0964 !important;
}
</style>




<div class="Designation-view">

    <div class="portlet light ">
        <div class="portlet-title">
            <p style="margin-top:8px;margin-bottom:8px;">
                <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-success']) ?>
                <?= Html::a('Create', ['create'], ['class' => 'btn btn-success ']) ?>
                <?= Html::a('Manage', ['index'], ['class' => 'btn btn-success']) ?>
                <?= Html::a('Delete', ['delete', 'id' => $model->id], [
    'class' => 'btn btn-danger',
    'data' => [
        'confirm' => 'Are you sure you want to delete this item?',
        'method' => 'post',
    ],
]) ?>
            </p>
            <div class="caption">
                <i class="icon-social-dribbble font-dark hide"></i>
                <span class="caption-subject font-dark bold uppercase">Designation Overview</span>
            </div>
            <div class="action col-md-4 pull-right ">

                <?php $data = ArrayHelper::map($model::find()->all(), 'id', 'name'); ?>
                <?php yii\widgets\Pjax::begin([]) ?>
                <?php echo Select2::widget([

            'model' => $model,
            'attribute' => 'name',
            'data' => $data,
            'size' => Select2::SMALL,
            'options' => ['placeholder' => 'Search for designation ...', 'class' => 'small'],
            'pluginOptions' => [
                'allowClear' => true
            ],
            'pluginEvents' => [
                'select2:select' => "function (e) {        
                        var id = e.params.data.id;                                    
                        console.log(id);
                        myFunction(id);                           
                        }"
            ]
        ]);

        ?>
                <script>
                //Parse the drop down selected item to controller 
                function myFunction(id) {

                    $.ajax({
                        url: '<?php echo Url::to(['/./designation/quick']); ?>',

                        type: 'post',
                        dataType: 'json',
                        data: {
                            "id": id
                        },
                        success: function(data) {
                            alert(data.id);

                        }
                    });
                }
                </script>
                <?php yii\widgets\Pjax::end() ?>

            </div>
        </div>




        <div class="row">
            <div class="col-md-2">
                <img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/designation.png" width="120px"
                    height="15px" class=" img-responsive pic-bordered" style="opacity: 0.8;">
            </div>
            <div class="col-md-8">
               <h1><?php echo $model->name ?></h1>
            </div>
            
            <div class="col-md-2" id="">
                    <!-- BEGIN WIDGET THUMB -->
                    <div class="widget-thumb  text-uppercase margin-bottom-20 " style="background-color: #f1f1f1;">



                        <div class="widget-thumb-wrap">

                            <i class="widget-thumb-icon" style="background: #e7509d;"><img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/users.png" width="120px" height="15px" class=" img-responsive pic-bordered" alt=""></i>
                            <div class="widget-thumb-body">
                                <span class="widget-thumb-subtitle">Users</span>
                                <span class="widget-thumb-body-stat" style="font-size: 16px;"><?php echo $countOfUsers ?></span>
                            </div>
                        </div>


                    </div>
                   
                </div>
        </div>
        



 <div class="tabbable-line tabbable-custom-profile">
            <ul class="nav nav-tabs">

                <li class="active">
                    <a href="#tab_1_111" data-toggle="tab"> Users </a>
                </li>


            </ul>
            <div class="tab-content">
                <div class="tab-pane active" id="tab_1_111" style='margin-top:-25px'>
                <div class="table table-scrollable">
                            <?=
                            GridView::widget([
                            'dataProvider' => $dataUsersProvider,
                            'filterModel' => $searchUserModel,
                            'columns' => [
                                ['class' => 'yii\grid\SerialColumn'],
                              //  'id',
                                'username',
                              
                         
                               
                                // [
                                //     'class' => 'cfn',
                                //     'contentOptions' => ['style' => 'width:70px;'],
                                // ],
                               
                                                              
                            ],
                        ]);
                        ?>
                        </div>
                </div>
            </div>
</div>            