<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use yii\helpers\BaseUrl;
use yii\helpers\Url;
use yii\helpers\ArrayHelper;
use kartik\select2\Select2;
use app\models\Booth;
use yii\grid\GridView;
use app\models\BoothDevices;
use app\models\DeviceStatus;
use app\models\DeviceAppVersion;


/* @var $this yii\web\View */
/* @var $model app\models\Booth */

$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Devices', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>

<script>
                            //search fn for schedule dates
                            function searchSchedules(myInput, myUL) {
                                console.log("kl");
                                var input, filter, ul, li, a, i, x;
                                input = document.getElementById(myInput);
                                filter = input.value.toUpperCase();
                                ul = document.getElementById(myUL);
                                li = ul.getElementsByClassName("col-md-2");
                                for (i = 0; i < li.length; i++) {
                                    a = li[i].getElementsByTagName("span")[0];
                                  //  b = li[i].getElementsByTagName("span")[1];
                                    // c = li[i].getElementsByTagName("p")[2];
                                    // d = li[i].getElementsByTagName("p")[3];
                                    if (a.innerHTML.toUpperCase().indexOf(filter) > -1 
                                    
                                    ) {
                                        li[i].style.display = "";
                                    } else {
                                        li[i].style.display = "none";
                                        var c = $('myUL li:visible').size();
                                    }
                                }
                            }
                            </script>


<div class="booth-view">

    <div class="portlet light ">
        <div class="portlet-title">

            <div class="caption">
                <i class="icon-social-dribbble font-dark hide"></i>
                <span class="caption-subject font-dark bold uppercase">All Devices Overview</span>
            </div>

        </div>
        <div class="input-group margin-bottom-15">
                                                        <span class="input-group-addon">
                                                            <i class="fa fa-search small"></i>
                                                        </span>
                                                        <input class="form-control small" type="text"
                                                            style="font-size:12px;" id="generalDatesSearch"
                                                            onkeyup="searchSchedules('generalDatesSearch', 'tiles1')"
                                                            placeholder="Search for Device name ..." title="Search for Device name">
                                                    </div>
        <div class="portlet-body" >
       
                <div class="row" id="tiles1">

                <?php foreach($all_devices as $device): ?>
                <?php 
                    $assign_to = BoothDevices::find()->where(['device_id'=>$device->id,'status'=>1])->one();               
                    $device_status = DeviceStatus::find()->where(['device_id'=>$device->id,'status'=>1])->one(); 
                    $device_app_version = DeviceAppVersion::find()->where(['device_id'=>$device->id,'status'=>1])->one(); 
                    
                    ?>
                <div height="20px"></div>
                    <div class="col-md-2" >

                        <div 
                            style="display:inline-flex;flex-direction:column;font-family:sans-serif;align-items:center;border:3px solid #3F51B5;box-shadow:0 0 10px 2px #00000033;color:#3f51b5;margin-bottom: 20px;">
                            <span title="device name" style="font-size:12px;margin:15px;font-weight:bold;"><?php echo  $device->name ?  $device->name : "No_name";  ?></span>
                            <div style="font-size: 30px; margin-bottom: 20px;
">
                                               <a title="click to view the device" href="<?php echo Url::to(['devices/view', 'id' => $device->id]); ?>"
                                                class="nav-link nav-toggle">
                                                <i class="icon-screen-smartphone"></i>

                                            </a>

                                           
                                        </div>
                            <div style="font-family:sans-serif;font-size:13px;text-align:center;">
                            <div title="device serial" style="font-size:15px;font-weight: 600;"><?php echo $device->serial ?></div>
                            <div><?php echo ($assign_to->ic->name)?'<a href="'.Url::to(['ic/view', 'id' => $assign_to->ic->id]).'">'.$assign_to->ic->name.'</a>':"not_set" ?></div>
                            <div><?php echo ($assign_to->booth->name)?'<a href="'.Url::to(['booth/view', 'id' => $assign_to->booth->id]).'">'.$assign_to->booth->name.'</a>':"not_set" ?></div>
                        </div><br>
                        <span class="caption-subject font-purple-soft bold " style="font-size:12px"> <?php
                        if ($device->status == Booth::STATUS_DEACTIVE) {
                            echo Html::tag('p', 'DEACTIVE', ['class' => 'label label-danger fontS11','style'=>'font-size:10px']);
                        } elseif ($device->status == Booth::STATUS_ACTIVE) {
                            echo Html::tag('p', 'ACTIVE', ['class' => 'label label-default fontS11','style'=>'font-size:10px;background-color:#3f51c6']);
                        };
                        ?> &nbsp | <?php echo $device_app_version->app_version; ?>
                    </span>
                   
                            <div style="  margin-top: 10px;
    align-items: center;
    margin-bottom: 10px;
    margin-left: 25px;
    margin-right: 25px;">
                                <div progress="100"
                                    style="background:#5975f5bd; width:100px;height:30px;position:relative;display:flex;align-items:center;border:1px solid #3F51B5 !important;"
                                    class="batteryy">
                                    <div
                                        style="padding-left:7px;display:flex;flex-direction:row;align-items:center;position:absolute;color:#ffffff;font-size:25px;">
                                        <div style="height:25px;width:25px;display:auto ;">
                                           <?php if($device_status->charging_status==1):?>
                                            <svg xmlns="http://www.w3.org/2000/svg"
                                                xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 24 24"
                                                version="1.1">
                                                <g id="surface1">
                                                    <path
                                                        d="M 14.28125 2 L 6 13 L 11 13 L 9.28125 22 L 18 11 L 13 11 Z "
                                                        style="fill:#ffffff;"></path>
                                                </g>
                                            </svg>
                                            <?php endif ?>

                                        </div>
                                        <div style="height:25px;width:25px;display:none ;;">
                                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 30 30">
                                                <path
                                                    d="M 7 4 C 6.744125 4 6.4879687 4.0974687 6.2929688 4.2929688 L 4.2929688 6.2929688 C 3.9019687 6.6839688 3.9019687 7.3170313 4.2929688 7.7070312 L 11.585938 15 L 4.2929688 22.292969 C 3.9019687 22.683969 3.9019687 23.317031 4.2929688 23.707031 L 6.2929688 25.707031 C 6.6839688 26.098031 7.3170313 26.098031 7.7070312 25.707031 L 15 18.414062 L 22.292969 25.707031 C 22.682969 26.098031 23.317031 26.098031 23.707031 25.707031 L 25.707031 23.707031 C 26.098031 23.316031 26.098031 22.682969 25.707031 22.292969 L 18.414062 15 L 25.707031 7.7070312 C 26.098031 7.3170312 26.098031 6.6829688 25.707031 6.2929688 L 23.707031 4.2929688 C 23.316031 3.9019687 22.682969 3.9019687 22.292969 4.2929688 L 15 11.585938 L 7.7070312 4.2929688 C 7.5115312 4.0974687 7.255875 4 7 4 z"
                                                    style="fill:#e21818;"></path>
                                            </svg>
                                        </div>
                                       
                                        <span style="font-size:12px"><?php echo $device_status->battery_level ?>%</span>
                                    </div>
                                    
                                    <?php if($device_status->battery_level <= 20 ):?>
                                        <div style="width:<?php echo $device_status->battery_level ?>%;height:100%;background:#ff0c4f;" title="<?php echo $device_status->created_on ?>">
                                        </div>
                                    <?php elseif($device_status->battery_level >= 80): ?>
                                        <div style="width:<?php echo $device_status->battery_level ?>%;height:100%;background:#30d82c;" title="<?php echo $device_status->created_on ?>">
                                        </div>
                                    <?php else: ?>
                                        <div style="width:<?php echo $device_status->battery_level ?>%;height:100%;background:#3F51B5;" title="<?php echo $device_status->created_on ?>">
                                        </div>
                                    <?php endif ?>
                                    
                                </div>
                                <?php if($device_status ):?>
                                <span style="font-size:11px"><?php echo $device_status->created_on ?></span>
                                <?php else: ?>
                                <span style="font-size:11px">Battery Date</span>

                                <?php endif ?>
                            </div>
                        </div>
                    </div>
                <?php endforeach ?>
                </div>
           
        </div>