<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use app\models\Ic;
use kartik\date\DatePicker;
use yii\helpers\BaseUrl;
use yii\helpers\Url;
use app\models\VehicleCategory;
use kartik\time\TimePicker;
use kartik\datetime\DateTimePicker;

use kartik\select2\Select2;
use webvimark\modules\UserManagement\models\User;
/* @var $this yii\web\View */
/* @var $model app\models\EscapeTickets */
/* @var $form yii\widgets\ActiveForm */
?>


<!-- //////////// -->


<script>
var data22;
</script>
<div class="accident-form">

    <?php yii\widgets\Pjax::begin([]) ?>

    <div class="portlet light ">
        <p style="margin-top:8px;margin-bottom:8px;">
            <?= Html::a('Manage', ['index'], ['class' => 'btn btn-primary']) ?>
        </p>
        <div class="portlet-title">
            <div class="caption">

                <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
            </div>
            <div class="actions">

            </div>
        </div>
        <div class="portlet-body form">
            <?php $form = ActiveForm::begin(); ?>
            <div class="row">
                <div class="col-md-3">
                    <?= $form->field($model, 'exit_serial')->textInput() ?>
                </div>
                <div class="col-md-3">
                    <?= $form->field($model, 'vehicle_category')->dropDownList(VehicleCategory::getList()) ?>
                </div>
                <div class="col-md-3">
                  
                <?php echo $form->field($model, 'exit_time')->widget(DateTimePicker::classname(), [
                                    'options' => ['id'=>'7468'],
                                    'type' => DateTimePicker::TYPE_INPUT,
                                    'pluginOptions' => [
                                        'autoclose' => true,
                                        'format' => 'yyyy-mm-dd hh:ii:ss'
                                    ]
                                ]);?>
                </div>

                <div class="col-md-3">
                    <?= $form->field($model, 'amount')->textInput(['inputOptions' => ['value' => Yii::$app->formatter->asCurrency($model->amount)]]) ?>
                </div>

            </div>
            <div class="row">
                <?= $form->field($model, 'created_by')->textInput()->hiddenInput(['value'=>Yii::$app->user->id])->label(false) ?>

                <?= $form->field($model, 'created_on')->textInput()->hiddenInput(['value'=>date('Y-m-d H:i:s')])->label(false) ?>

                <?= $form->field($model, 'ticket_type_status_id')->textInput()->hiddenInput(['value'=>12])->label(false) ?>

            </div>
            <div class="row">
                <div class="col-md-3">
                   
                    <?php yii\widgets\Pjax::begin([]) ?>
                <?php echo $form->field($model,'teller_id')->widget(Select2::classname(), [

                'model' => $model,
                'attribute' => 'username',
                'data' => User::getTellersList(),
                'size' => Select2::SMALL,
                'options' => ['placeholder' => 'Search for username ...', 'class' => 'small','value'=>$model->teller_id],
                'pluginOptions' => [
                    'allowClear' => true,
                   // 'value'=>$model->id,
                ],
                'pluginEvents' => [
                    'select2:select' => "function (e) {        
                            var id = e.params.data.id;                                    
                          //  console.log(id);
                                                     
                            }"
                ]
            ]);

            ?>
                
                <?php yii\widgets\Pjax::end() ?> 
                </div>
              

                <div class="col-md-3">
                <?php echo $form->field($model, 'exit_ic')->dropDownList(Ic::getList(), 
                            ['prompt'=>'-Select a IC-',
                            'onchange'=>'
                                $.post( "'.Yii::$app->urlManager->createUrl('booth/booth-list?ic_id=').'"+$(this).val(), function( data ) {
                                $("select#escapetickets-booth_id").html(data);
                                });
                            ']); ?>

                            
                </div>
                <div class="col-md-3">
                <?php echo $form->field($model, 'booth_id')->dropDownList([]) ?>

                </div>
               
            </div>
            <div class="row">
                    
            </div>
            <div class="form-group">
                <?= Html::submitButton(Yii::t('app', 'Save'), ['class' => 'btn btn-primary']) ?>
            </div>

            <?php ActiveForm::end(); ?>

        </div>
    </div>


    <?php yii\widgets\Pjax::end() ?>

   