<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
/* @var $this yii\web\View */
/* @var $searchModel app\models\EscapeTicketsSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('app', 'Escape Tickets');
$this->params['breadcrumbs'][] = $this->title;
?>




<?php yii\widgets\Pjax::begin(['id' => 'escape-tickets-pjax']) ?>
<div class="accident-index">

     <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">
            <p style="margin-top:8px;margin-bottom:8px;">
        <?= Html::a('Create', ['create'], ['class' => 'btn btn-primary']) ?>
    </p>
                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                           <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
                      
                    </div>
                    <div class="actions">
                        <!-- Reset Button -->
                        <?= Html::a('Reset Filters', ['index'], ['class' => 'btn btn-default']) ?>
                  
                    </div>
                </div>
                <div class="portlet-body">
                <div class="table table-scrollable">
    
                <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],


            'exit_serial',
            [
                'attribute'=>'vehicle_category',
                'value'=>'vehicleCategory.name'
            ],
            [
                'attribute'=>'exit_ic',
                'value'=>'exitIc.name',
              
            ],
            [
                'attribute'=>'booth_id',
                'value'=>'booth.name'
            ],
            
           
            [
                 
                'attribute'=>'amount',
                'value'=>'amount',
                'format' => 'Currency',
 
             ],

            ['class' => 'yii\grid\ActionColumn',
                'visibleButtons' => [
                    'update' => function ($model) {
                        return Yii::$app->user->isSuperadmin || User::hasRole('90') || User::hasRole('91')|| User::hasRole('25');
                    },
                    'delete' => function ($model) {
                        return Yii::$app->user->isSuperadmin || User::hasRole('90')|| User::hasRole('91')|| User::hasRole('25');
                    },
                ]
            ],
        ],
    ]); ?>
            </div>
                </div>
            </div>
        </div>
    </div>
</div>
  <?php yii\widgets\Pjax::end() ?>

  <?php
$this->registerJs("
$(document).on('keyup', '.form-control', function() {
    var form = $('#escape-tickets-pjax .filters').closest('form');
    $.pjax.reload({
        container: '#escape-tickets-pjax',
        url: form.attr('action'),
        data: form.serialize(),
        timeout: 1000,
    });
});
");








