<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use yii\helpers\ArrayHelper;
use app\models\TicketTypeStatus;
use yii\helpers\Url;

$this->title = 'Exit Tickets';
$this->params['breadcrumbs'][] = $this->title;
?>

<style>
.modal1 {
    display: none;
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: rgba(255, 255, 255, .8) 
    url('<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/FhHRx.gif') 
    50% 50% no-repeat;
}
body.loading {
    overflow: hidden;
}
body.loading .modal1 {
    display: block;
}
.scrollV {

    width: 80em;
    overflow-x: auto;
    white-space: nowrap;
}

</style>

<script>
function sync_exit_tickets() {
    console.log("exit ticket sync fn called");
    var $loading = $('#waitbox').hide();
    $loading.show();
    location.reload();
}
</script>

<?php yii\widgets\Pjax::begin([]) ?>
<div class="exit-ticket-index">

     <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">
            <p style="margin-top:8px;margin-bottom:8px;float:right">
            <button style="background-color:#2fbf1e" id="set_defaults_btn" class="btn btn-sm btn-info"
                        onclick="sync_exit_tickets()"><i class="fa fa-sync"></i>&nbsp SYNC EXIT TICKETS  
                        
        </button>
       
    </p>
                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                           <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
                      
                    </div>
                    <div class="actions">
                  
                    </div>
                </div>
                <div class="portlet-body">
                <div class="table table-scrollable">
                <?= GridView::widget([
                        'dataProvider' => $dataProvider,
                        'filterModel' => $searchModel,
                        'columns' => [
                            ['class' => 'yii\grid\SerialColumn'],

                        
                            'entrance_serial',
                            'entrance_barcode',            
                            'exit_serial',        
                            'exit_time',           
                            [
                                'attribute'=>'exit_ic',
                                'value'=>'exitIc.name'
                            ],
                            [
                                'attribute'=>'booth_id',
                                'value'=>'booth.name'
                            ],
                            [
                                'attribute'=>'vehicle_category',
                                'value'=>'vehicleCategory.name'
                            ],          
                            [
                                
                                'attribute'=>'amount',
                                'value'=>'amount',
                                'format' => 'Currency',
                
                            ],
                            [
                                'attribute'=>'device_id',
                                'value'=>'device.name'
                            ],
                    
                            [
                                'attribute'=>'teller_id',
                                'value'=>'teller.username'
                            ],
                            [
                                
                                'attribute'=>'ticket_type_status_id',
                                'value'=>'ticketTypeStatus.name',
                                'filter'=>array('' => 'ALL') +ArrayHelper::map(TicketTypeStatus::find()->asArray()->all(), 
                                'id', 'name'),
                            ],
                            'special_case',
                        
                            ['class' => 'yii\grid\ActionColumn','template'=>'{view} ' ],
                        ],
                    ]); ?>
            </div>
                </div>
            </div>
        </div>
    </div>
</div>
  <?php yii\widgets\Pjax::end() ?>

  <div class="modal1" id="waitbox">
    <!-- Place at bottom of page -->
</div>
<script>

</script>




