<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use kartik\datetime\DateTimePicker;
use app\models\VehicleCategory;
use app\models\Ic;

$this->title = 'Update Exit Ticket: ' . $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Exit Tickets', 'url' => ['index']];
//$this->params['breadcrumbs'][] = ['label' => $model->id, 'url' => ['view', 'id' => $model->id]];
$this->params['breadcrumbs'][] = ['label' => $model->id, 'url' => ['view-icket', 'id' => $model->id]];

$this->params['breadcrumbs'][] = 'Update';
?>
<div class="exit-ticket-update">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="exit-ticket-form">
        <?php $form = ActiveForm::begin(); ?>

        <div class="portlet light ">
            <p style="margin-top:8px;margin-bottom:8px;">
                <?= Html::a('Manage', ['index'], ['class' => 'btn btn-success']) ?>
            </p>
            <div class="portlet-title">
                <div class="caption">

                    <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
                </div>
                <div class="actions">

                </div>
            </div>
            <div class="portlet-body form">
                <form role="form">
                    <div class="form-body">

                        <div class="row">


                            <div class="col-md-6">
                                <?echo $form->field($model, 'exit_time')->widget(DateTimePicker::classname(), [
                                'options' => ['placeholder' => 'End date time ...','autocomplete' => 'off'],
                                'pluginOptions' => [
                                'autoclose' => true
                                ]
                                ]);?>
                            </div>
                            <div class="col-md-6">
                                <?= $form->field($model, 'vehicle_category')->dropDownList(VehicleCategory::getList()) ?>

                            </div>
                        </div>

                        <div class="row">

                            <div class="col-md-6">
                                <?= $form->field($model, 'entrance_ic')->dropDownList(Ic::getList()) ?>

                            </div>
                            <div class="col-md-6">
                                <?= $form->field($model, 'amount')->textInput(['maxlength' => 4, 'autocomplete' => 'off']) ?>

                            </div>
                        </div>

                    </div>
                    <div class="form-actions right">
                        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
                    </div>
                </form>
            </div>
        </div>
        <?php ActiveForm::end(); ?>

    </div>


</div>
