<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use app\models\VehicleCategory;
use kartik\date\DatePicker;
use kartik\time\TimePicker;

/* @var $this yii\web\View */
/* @var $model app\models\FareSpecialDate */
/* @var $form yii\widgets\ActiveForm */
?>






<div class="fare-special-date-form">

    <?php yii\widgets\Pjax::begin([]) ?>
    <?php $form = ActiveForm::begin(); ?>

    <div class="portlet light ">
        <p style="margin-top:8px;margin-bottom:8px;">
            <?= Html::a('Manage', ['index'], ['class' => 'btn btn-success']) ?>
        </p>
        <div class="portlet-title">
            <div class="caption">

                <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
            </div>
            <div class="actions">

            </div>
        </div>
        <div class="portlet-body form">
            <form role="form">
                <div class="form-body">
                    <div class="row">
                        <div class="col-md-4">
                        <?= $form->field($model, 'date')->widget(DatePicker::classname(), [
                             //  'name' => 'dp_5',
                               'type' => DatePicker::TYPE_INPUT,
                              // 'value' => '23-Feb-1982',
                           
                               'pluginOptions' => [
                                'format' => 'yyyy-mm-dd',
                                'startDate' => date("Y-m-d")
                                // 'multidate' => true
                              
                               ]
                           ]); ?>
                          

                           


                        </div>
                        <div class="col-md-4">
                            <?= $form->field($model, 'vehicle_category_id')->dropDownList(VehicleCategory::getList()) ?>
                        </div>
                        <div class="col-md-4">
                            <?= $form->field($model, 'message')->textArea(['maxlength' => true]) ?>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-4">
                        <?= $form->field($model, 'start_time')->widget(TimePicker::classname(), [
                                                             
                                                                
                                                             'pluginOptions' => [
                                                                  'showSeconds' => true,
                                                                 'showMeridian' => false,
                                                                 'defaultTime'=>'false',
                                                             
                                                             ],
                                                             
                                                     ]); ?>
                        </div>
                        <div class="col-md-4">

                        <?= $form->field($model, 'end_time')->widget(TimePicker::classname(), [
                                                             
                                                                
                                                             'pluginOptions' => [
                                                                  'showSeconds' => true,
                                                                 'showMeridian' => false,
                                                                 'defaultTime'=>'false',
                                                             
                                                             ],
                                                             
                                                     ]); ?>
                        </div>
                    </div>

                </div>
                <div class="form-actions right">
                    <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
                </div>
            </form>
        </div>
    </div>

    <?php ActiveForm::end(); ?>
    <?php yii\widgets\Pjax::end() ?>

</div>