<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use yii\helpers\BaseUrl;
use yii\helpers\Url;
use yii\helpers\ArrayHelper;
use kartik\select2\Select2;
use webvimark\modules\UserManagement\models\User;

/* @var $this yii\web\View */
/* @var $searchModel app\models\IcSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Ics';
$this->params['breadcrumbs'][] = $this->title;
?>

<?php yii\widgets\Pjax::begin(['id' => 'ic-pjax']) ?>
<div class="ic-index">

     <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">
            <?php if(User::hasRole('10') || User::hasRole('90')): ?>
            <p style="margin-top:8px;margin-bottom:8px;">
        <?= Html::a('Create', ['create'], ['class' => 'btn btn-success']) ?>
    </p>
    <?php endif ?>
                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                           <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
                      
                    </div>
                    <div class="actions">
                            <!-- Reset Button -->
                            <?= Html::a('Reset Filters', ['index'], ['class' => 'btn btn-default']) ?>
                    </div>
                </div>
                <div class="portlet-body">
                <div class="table table-scrollable">
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

          //  'id',
            'name',
        //    'region_id',
         //   'section_id',

           ['class' => 'yii\grid\ActionColumn',
                'visibleButtons' => [
                    'update' => function ($model) {
                        return User::hasRole('10') || User::hasRole('90');
                    },
                    'delete' => function ($model) {
                        return User::hasRole('10');
                    },
                ]
            ],

        //  ['class' => 'yii\grid\ActionColumn','template'=>'{view} {update}' ]
        ],
    ]); ?>
            </div>
                </div>
            </div>
        </div>
    </div>
</div>
  <?php yii\widgets\Pjax::end() ?>

  <?php
$this->registerJs("
$(document).on('keyup', '.form-control', function() {
    var form = $('#ic-pjax .filters').closest('form');
    $.pjax.reload({
        container: '#ic-pjax',
        url: form.attr('action'),
        data: form.serialize(),
        timeout: 1000,
    });
});
");