<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use yii\helpers\BaseUrl;
use yii\helpers\Url;
use yii\helpers\ArrayHelper;
use kartik\select2\Select2;
use app\models\Region;
use yii\grid\GridView;
use yii\widgets\pjax;
use yii\widgets\ajax;
use yii\widgets\ActiveForm;
use app\models\BoothType;
use app\models\Booth;
use app\models\BoothDevices;
use app\models\Ic;
use webvimark\modules\UserManagement\models\User;

/* @var $this yii\web\View */
/* @var $model app\models\Ic */

$this->title = $model->name;
$this->params['breadcrumbs'][] = ['label' => 'Ics', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>

<style>
    .modal1 {
        display:    none;
        position:   fixed;
        /* z-index:    1000; */
        z-index: 2147483647;
        top:        0;
        left:       0;
        height:     100%;
        width:      100%;
        background: rgba( 255, 255, 255, .8 )
            /* url('http://i.stack.imgur.com/FhHRx.gif')  */
            url('<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/FhHRx.gif')
            50% 50%
            no-repeat;
    }
    /* When the body has the loading class, we turn
       the scrollbar off with overflow:hidden */
    body.loading {
        overflow: hidden;
    }
    /* Anytime the body has the loading class, our
       modal element will be visible */
    body.loading .modal1 {
        display: block;
    }


</style>
<div class="ic-view">

    <div class="portlet light ">
        <div class="portlet-title">
            <?php if (User::hasRole('10')): ?>
                <p style="margin-top:8px;margin-bottom:8px;">
                    <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-success']) ?>
                    <?= Html::a('Create', ['create'], ['class' => 'btn btn-success ']) ?>
                    <?= Html::a('Manage', ['index'], ['class' => 'btn btn-success']) ?>
                    <!-- <?=
                    Html::a('Delete', ['delete', 'id' => $model->id], [
                        'class' => 'btn btn-danger',
                        'data' => [
                            'confirm' => 'Are you sure you want to delete this item?',
                            'method' => 'post',
                        ],
                    ])
                    ?> -->
                </p>
            <?php endif ?>
            <div class="caption">
                <i class="icon-social-dribbble font-dark hide"></i>
                <span class="caption-subject font-dark bold uppercase">Interchange Overview</span>
            </div>
            <div class="action col-md-4 pull-right ">

                <?php $data = $model::getList(); ?>
                <?php yii\widgets\Pjax::begin([]) ?>
                <?php
                echo Select2::widget([
                    'model' => $model,
                    'attribute' => 'name',
                    'data' => $data,
                    'size' => Select2::SMALL,
                    'options' => ['placeholder' => 'Search for intechange ...', 'class' => 'small'],
                    'pluginOptions' => [
                        'allowClear' => true
                    ],
                    'pluginEvents' => [
                        'select2:select' => "function (e) {        
                                var id = e.params.data.id;                                    
                                console.log(id);
                                myFunction(id);                           
                                }"
                    ]
                ]);
                ?>
                <script>
                    //Parse the drop down selected item to controller 
                    function myFunction(id) {
                        var $loading = $('#waitbox').hide();
                        $loading.show();
                        $.ajax({
                            url: '<?php echo Url::to(['/./ic/quick']); ?>',

                            type: 'post',
                            dataType: 'json',
                            data: {
                                "id": id
                            },
                            success: function (data) {
                                $loading.hide();
                                alert(data.id);

                            }
                        });
                    }
                </script>
                <?php yii\widgets\Pjax::end() ?>

            </div>
        </div>
        <div class="portlet-body">
            <div class="row">
                <div class="col-md-2">
                    <img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/interchange.png"
                         width="120px" height="15px" class=" img-responsive pic-bordered" style="opacity: 0.7;">
                </div>


                <div class="col-md-4 profile-info">
                    <p class="uppercase bold">
                        Name : <?= Html::encode($model->name) ?>
                    </p>

                    <p> Region :
                        <?= Html::encode($model->region->name) ?>
                    </p>
                    <p> Code :
                        <?= Html::encode($model->code) ?>
                    </p>
                    <span class="caption-subject font-purple-soft bold "> Status : <?php
                        if ($model->status == Ic::STATUS_DEACTIVE) {
                            echo Html::tag('p', 'DEACTIVE', ['class' => 'label label-danger fontS11', 'style' => 'font-size:10px']);
                        } elseif ($model->status == Ic::STATUS_ACTIVE) {
                            echo Html::tag('p', 'ACTIVE', ['class' => 'label label-default fontS11', 'style' => 'font-size:10px;background-color:#30d82c']);
                        };
                        ?></span>




                </div>
                <!--end col-md-8-->
                <div class="col-md-2" id="<?php echo $booth->id ?>">
                    <!-- BEGIN WIDGET THUMB -->
                    <div class="widget-thumb  text-uppercase margin-bottom-20 " style="background-color: #f1f1f1;">



                        <div class="widget-thumb-wrap">

                            <i class="widget-thumb-icon bg-red"><img
                                    src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/booth.png"
                                    width="120px" height="15px" class=" img-responsive pic-bordered" alt=""></i>
                            <div class="widget-thumb-body">
                                <span class="widget-thumb-subtitle">Booths</span>
                                <span class="widget-thumb-body-stat"
                                      style="font-size: 16px;"><?php echo $countOfBooths ?></span>
                            </div>
                        </div>


                    </div>

                </div>
                <div class="col-md-2" id="<?php echo $booth->id ?>">
                    <!-- BEGIN WIDGET THUMB -->
                    <div class="widget-thumb  text-uppercase margin-bottom-20 " style="background-color: #f1f1f1;">



                        <div class="widget-thumb-wrap">

                            <i class="widget-thumb-icon" style="background:#e7cd50"><img
                                    src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/mobile.png"
                                    width="120px" height="15px" class=" img-responsive pic-bordered" alt=""></i>
                            <div class="widget-thumb-body">
                                <span class="widget-thumb-subtitle">Devices</span>
                                <span class="widget-thumb-body-stat"
                                      style="font-size: 16px;"><?php echo $devices_for_ic_count ?></span>
                            </div>
                        </div>


                    </div>

                </div>
                <div class="col-md-2" id="">
                    <!-- BEGIN WIDGET THUMB -->
                    <div class="widget-thumb  text-uppercase margin-bottom-20 " style="background-color: #f1f1f1;">



                        <div class="widget-thumb-wrap">

                            <i class="widget-thumb-icon" style="background: #e7509d;"><img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/users.png" width="120px" height="15px" class=" img-responsive pic-bordered" alt=""></i>
                            <div class="widget-thumb-body">
                                <span class="widget-thumb-subtitle">Teller</span>
                                <span class="widget-thumb-body-stat" style="font-size: 16px;"><?php echo $countOfUsers ?></span>
                            </div>
                        </div>


                    </div>

                </div>

            </div>
            <br>


        </div>
        <div class="tabbable-line tabbable-custom-profile">
            <ul class="nav nav-tabs">

                <li class="active">
                    <a href="#tab_1_111" data-toggle="tab"> Booths </a>
                </li>
                <li>
                    <a href="#tab_2_222" data-toggle="tab"> Devices </a>
                </li>
                <li>
                    <a href="#tab_3_333" data-toggle="tab"> Tellers </a>
                </li>
                <li>
                    <a href="#tab_4_444" data-toggle="tab">HT</a>
                </li>
                <li>
                    <a href="#tab_6_666" data-toggle="tab">HT WKND</a>
                </li>
                <li>
                    <a href="#tab_5_555" data-toggle="tab"> ATS</a>
                </li>
                <li>
                    <a href="#tab_8_888" data-toggle="tab"> ATS WKND</a>
                </li>


                <li>
                    <a href="#tab_7_777" data-toggle="tab"> ATS ALL</a>
                </li>
                <li>
                    <a href="#tab_9_999" data-toggle="tab"> TS</a>
                </li>
                <li>
                    <a href="#tab_10_000" data-toggle="tab"> IC MANAGER</a>
                </li>


            </ul>
        </div>
        <div class="tab-content">
            <!-- Start Add Ic Tab -->
            <div class="tab-pane active" id="tab_1_111" style='margin-top:-25px'>
                <div>
                    <div class="portlet-body">
                        <div class="actions pull-right" style="margin-bottom:15px">
                            <a <?php echo $buttenEnable == 0 ? 'style="display: none;"' : ''; ?>class="btn btn blue" data-target="#stack1" data-toggle="modal">Add Booth </a>

                        </div>
                        <div class="table table-scrollable">
                            <?=
                            GridView::widget([
                                'dataProvider' => $dataBoothProvider,
                                'filterModel' => $searchBoothModel,
                                'columns' => [
                                    ['class' => 'yii\grid\SerialColumn'],
                                    //  'id',
                                    'name',
                                    // [
                                    //     'class' => 'cfn',
                                    //     'contentOptions' => ['style' => 'width:70px;'],
                                    // ],
                                    ['class' => 'yii\grid\ActionColumn',
                                        'contentOptions' => ['style' => 'width:70px;'],
                                        'template' => '{view} {update} {link}',
                                        'buttons' => [
                                            'view' => function ($url, $model, $key) {
                                                return Html::a('<span class="glyphicon glyphicon-eye-open"></span>', Url::home() . '/booth/view' . '?id=' . $model->id);
                                            },
                                            'update' => function ($url, $model) {
                                                return Html::a('<span class="glyphicon glyphicon-pencil"></span>', Url::home() . '/booth/update' . '?id=' . $model->id);
                                            },
                                        // 'delete' => function ($url,$model) {
                                        //         return Html::a('<span class="glyphicon glyphicon-trash"></span>', Url::home().'region/delete'.'?id='. $model->id);
                                        // },
                                        ],
                                    ],
                                ],
                            ]);
                            ?>
                        </div>
                    </div>
                    <!-- Start Add Booth Modal-->
                    <div id="stack1" class="modal" tabindex="-1" role="dialog">
                        <?php yii\widgets\Pjax::begin() ?>
                        <?php $formRegion = ActiveForm::begin(['id' => 'add_booth_form']); ?>
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal"
                                            aria-hidden="true"></button>
                                    <span class="caption-subject ">
                                        Add Booth</span>
                                </div>
                                <div class="modal-body">
                                    <div class="portlet-title">
                                        <div class="caption ">

                                            <span class="caption-subject  uppercase">
                                                <?= Html::encode($model->name) ?></span>
                                        </div>

                                    </div>
                                    <br>
                                    <div class="row">

                                        <div class="col-md-3">
                                            <?= $formRegion->field($BoothModel, 'name')->textInput(['maxlength' => true]) ?>
                                        </div>
                                        <div class="col-md-3">

                                            <?= $formRegion->field($BoothModel, 'booth_type')->dropDownList(BoothType::getList()) ?>
                                        </div>
                                        <div class="col-md-3">

                                            <?= $formRegion->field($BoothModel->loadDefaultValues(), 'status')->dropDownList(Booth::getStatusList()) ?>

                                        </div>
                                        <div class="col-md-3">

                                            <?= $formRegion->field($BoothModel, 'full_amount_ic')->dropDownList(Ic::getList()) ?>

                                        </div>

                                    </div>
                                    <div class="row">

                                        <div class="col-md-6">
                                            <?= $formRegion->field($BoothModel, 'ic_id')->textInput()->hiddenInput(['value' => $model->id])->label(false) ?>
                                        </div>
                                        <div class="col-md-6">

                                        </div>
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <button id="add_button_8213"
                                            class="btn btn-primary"
                                            onclick="form_submit('add_booth_form')"
                                            data-dismiss="modal">Save</button>

                                    <button type="button" class="btn btn-secondary"
                                            data-dismiss="modal">Close</button>
                                </div>
                            </div>

                        </div>
                        <?php ActiveForm::end(); ?>
                        <?php yii\widgets\Pjax::end() ?>
                    </div>




                </div>
            </div>
            <!-- End Add Booth Tab -->

            <!-- Start Add devices Tab -->
            <div class="tab-pane " id="tab_2_222" style='margin-top:-25px'>
                <div>
                    <div class="portlet-body">
                        <div class="row">
                            <div class="actions pull-right" style="margin-bottom:15px">
                                <a <?php echo $buttenEnable == 0 ? 'style="display: none;"' : ''; ?>class="btn btn blue" data-target="#stack2" data-toggle="modal">Add Devices </a>

                            </div>
                        </div>
                        <div class="row">
                            <?php foreach ($devices_for_ic as $device): ?>
                                <div class="col-md-2">

                                    <div
                                        style="display:inline-flex;flex-direction:column;align-items:center;font-family:sans-serif;border:3px solid #3F51B5;box-shadow:0 0 10px 2px #00000033;color:#3f51b5;width: 100%;margin-bottom:10px; height: 260px;">
                                            <?php if ($device->booth_id == NULL): ?>
                                            <a data-target="#approveModal<?php echo $device->device->serial ?>"
                                               data-toggle="modal" title="remove-<?php echo $device->device->serial ?>">
                                                <div style="float:right;padding-top:3px;padding-right:3px;color: red;">
                                                    <span><i class="fa fa-minus-circle" aria-hidden="true"></i></span>
                                                </div>
                                            </a>
                                        <?php else : ?>

                                            <div title="Already assigned to <?php echo $device->booth->name ?> "
                                                 style="float:right;padding-top:3px;padding-right:3px;color: green;"><span><i
                                                        class="fa fa-check-circle" aria-hidden="true"></i></span>
                                            </div>

                                        <?php endif ?>

                                        <span style="font-size:14px;margin:15px;font-weight:bold;"> <?php echo $device->device->name ? $device->device->name : "No_name"; ?></span>
                                        <div style="font-size: 30px; margin-bottom: 20px;
                                             ">
                                            <a href="<?php echo Url::to(['devices/view', 'id' => $device->device->id]); ?>"
                                               class="nav-link nav-toggle">
                                                <i class="icon-screen-smartphone"></i>

                                            </a>
                                        </div>
                                        <div style="font-family:sans-serif;font-size:13px;text-align:center;">
                                            <div style="font-size:15px;font-weight: 600;height: 50px;">
                                                <?php echo $device->device->serial ?></div>
                                            <div><?php echo $device->device->mobile ?></div>
                                            <!-- <div><?php echo $device->device->imei_2 ?></div> -->
                                        </div>
                                        <div style="margin:25px;">
                                            <?php if ($device->device->status == 1): ?>
                                                <p class="label label-default fontS11"
                                                   style="font-size:10px;background-color:#30d82c">ACTIVE</p>
                                               <?php elseif ($device->device->status == 0): ?>
                                                <p class="label label-danger fontS11" style="font-size:10px">DEACTIVE</p>
                                            <?php endif ?>



                                        </div>
                                        <div style="font-size:11px">
                                            <?php if ($device->booth->name): ?>
                                                <a href="<?php echo Url::to(['booth/view', 'id' => $device->booth->id]); ?>"> <?php echo $device->booth->name ?></a>
                                            <?php else: ?>
                                                <?php echo "NOT ASSIGNED TO BOOTH" ?>
                                            <?php endif ?>
                                        </div>
                                    </div>
                                </div>
                                
                                <!-- Start Device Unassigned Confirm  - modal -->
                                <div id="approveModal<?php echo $device->device->serial ?>" class="modal fade">
                                    <div class="modal-dialog modal-confirm">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <div class="">
                                                    <img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/tr.png"
                                                         width="80px">
                                                </div>
                                                <h4 class="modal-title">Are you sure?</h4>
                                                <button type="button" class="close" data-dismiss="modal"
                                                        aria-hidden="true">&times;</button>
                                            </div>
                                            <div class="modal-body">
                                                <div class="">

                                                    <div
                                                        style="display:inline-flex;flex-direction:column;font-family:sans-serif;border:3px solid #3F51B5;box-shadow:0 0 10px 2px #00000033;color:#3f51b5;width: 50%;">

                                                        <span style="font-size:14px;margin:15px;font-weight:bold;"> <?php echo $device->device->name ? $device->device->name : "No_name"; ?></span>
                                                        <div style="font-size: 30px; margin-bottom: 20px;
                                                             ">

                                                            <i class="icon-screen-smartphone  "></i>


                                                        </div>
                                                        <div
                                                            style="font-family:sans-serif;font-size:13px;text-align:center;">
                                                            <div style="font-size:15px;font-weight: 600;">
                                                                <?php echo $device->device->serial ?>
                                                            </div>
                                                            <div><?php echo $device->device->mobile ?></div>
                                                            <!-- <div><?php echo $device->device->imei_2 ?></div> -->

                                                        </div>
                                                        <div style="margin:25px;">
                                                            <?php if ($device->device->status == 1): ?>
                                                                <p class="label label-default fontS11"
                                                                   style="font-size:10px;background-color:#30d82c">ACTIVE
                                                                </p>
                                                            <?php elseif ($device->device->status == 0): ?>
                                                                <p class="label label-danger fontS11"
                                                                   style="font-size:10px">DEACTIVE</p>
                                                               <?php endif ?>



                                                        </div>
                                                        <div style="font-size:11px">
                                                            <?php if ($device->booth->name): ?>
                                                                <?php echo $device->booth->name ?>
                                                            <?php else: ?>
                                                                <?php echo "NOT ASSIGNED TO BOOTH" ?>
                                                            <?php endif ?>
                                                        </div>

                                                    </div>
                                                </div>
                                                <p>This device will unassiged from <?php echo $model->name ?>
                                                    interchange</p>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-info"
                                                        data-dismiss="modal">No</button>
                                                <button id="unassigned_btn<?php echo $device->device->serial; ?>"
                                                        class="btn btn-sucess"
                                                        onclick="unassign_device('<?php echo $device->device->id; ?>', '<?php echo $model->id; ?>')"
                                                        data-dismiss="modal">Yes</button>
                                            </div>
                                        </div>
                                    </div>
                                </div> <!-- end Device Unassigned Confirm  - modal -->



                            <?php endforeach ?>
                        </div>
                    </div>

                    <!-- Start Add Devices Modal-->
                    <div id="stack2" class="modal" tabindex="-1" role="dialog">
                        <?php yii\widgets\Pjax::begin() ?>
                        <?php $formBoothDevice = ActiveForm::begin(['id' => 'add_devices']); ?>
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal"
                                            aria-hidden="true"></button>
                                    <span class="caption-subject ">
                                        Add Devices</span>
                                </div>
                                <div class="modal-body">
                                    <div class="portlet-title">
                                        <div class="caption ">

                                            <span class="caption-subject  uppercase">
                                                <?= Html::encode($model->name) ?></span>
                                        </div>

                                    </div>
                                    <br>

                                    <div class="row">
                                        <div class="col-md-12">
                                            <?=
                                                    $formBoothDevice->field($booth_devices, 'device_id')
                                                    ->widget(Select2::classname(), [
                                                        'data' => $all_devices,
                                                        'model' => $booth_devices,
                                                        'attribute' => 'username',
                                                        'size' => Select2::MEDIUM,
                                                        'language' => 'en',
                                                        'options' => [
                                                            'placeholder' => 'Device  ...',
                                                            'class' => '',
                                                            'id' => 'p'
                                                        ],
                                                        'pluginOptions' => [
                                                            'allowClear' => true,
                                                            'multiple' => true
                                                        ],
                                                        'pluginEvents' => [
                                                            'select2:select' => "function (e) {        
                                                                                                var id = e.params.data.id;   
                                                                                                 var uname = e.params.data.text;                                  
                                                                                                console.log(uname);
                                                                                              
                                                                                               

     
                                                                                                                                                                                                                
                                                                                            }",
                                                        ]
                                            ]);
                                            ?>
                                        </div>
                                        <?= $formBoothDevice->field($booth_devices, 'ic_id')->textInput()->hiddenInput(['value' => $model->id])->label(false) ?>
                                        <?= $formBoothDevice->field($booth_devices, 'status')->textInput()->hiddenInput(['value' => 1])->label(false) ?>
                                        <?= $formBoothDevice->field($booth_devices, 'ic_assigned_on')->textInput()->hiddenInput(['value' => date("Y-m-d H:i:s")])->label(false) ?>
                                        <?= $formBoothDevice->field($booth_devices, 'ic_assigned_by')->textInput()->hiddenInput(['value' => Yii::$app->user->id])->label(false) ?>

                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <button id="btn_add_users_close" type="button" class="btn btn-info"
                                            data-dismiss="modal">Cancel</button>

                                    <button id="btn_save_add_users"
                                            class="btn btn-primary"
                                            onclick="form_submit('add_devices')"
                                            data-dismiss="modal">Save</button>

                                </div>

                            </div>

                        </div>
                        <?php ActiveForm::end(); ?>
                        <?php yii\widgets\Pjax::end() ?>
                    </div>
                    <!-- End Add Devices -->






                </div>
            </div>
            <!-- End Add devices Tab -->

            <!-- Start Add Users Tab -->
            <div class="tab-pane " id="tab_3_333" style='margin-top:-25px'>
                <?php yii\widgets\Pjax::begin([]) ?> <div>
                    <div class="portlet-body">
                        <div class="actions pull-right" style="margin-bottom:15px">
                            <a <?php echo $buttenEnable == 0 ? 'style="display: none;"' : ''; ?>class="btn btn blue" data-target="#stack_remove_users" data-toggle="modal">Remove Tellers </a>
                            <a <?php echo $buttenEnable == 0 ? 'style="display: none;"' : ''; ?> class="btn btn blue" data-target="#stack_add_users" data-toggle="modal">Add Tellers </a>

                        </div>
                        <div class="table table-scrollable">

                            <?=
                            GridView::widget([
                                'dataProvider' => $dataUsersProvider,
                                'filterModel' => $searchIcUsersModel,
                                'columns' => [
                                    ['class' => 'yii\grid\SerialColumn'],
                                    [
                                        'attribute' => 'user_id',
                                        'value' => 'user.username',
                                    ],
                                    ['class' => 'yii\grid\ActionColumn',
                                        'contentOptions' => ['style' => 'width:70px;'],
                                        'template' => '{view} {update} {link}',
                                        'buttons' => [
                                            'view' => function ($url, $model, $key) {
                                                return Html::a('<span class="glyphicon glyphicon-eye-open"></span>', Url::home() . '/user-management/user/view' . '?id=' . $model->user_id);
                                            },
                                            'update' => function ($url, $model) {
                                                return Html::a('<span class="glyphicon glyphicon-pencil"></span>', Url::home() . '/user-management/user/update' . '?id=' . $model->user_id);
                                            },
                                        // 'delete' => function ($url,$model) {
                                        //         return Html::a('<span class="glyphicon glyphicon-trash"></span>', Url::home().'region/delete'.'?id='. $model->id);
                                        // },
                                        ],
                                    ],
                                ],
                            ]);
                            ?>

                        </div>
                    </div>
                    <!-- Start Add users Modal-->
                    <div id="stack_add_users" class="modal" tabindex="-1" role="dialog">
                        <?php yii\widgets\Pjax::begin() ?>
                        <?php $formAddUsers = ActiveForm::begin(['id' => 'formRemoveformAddUsersUsers']); ?>
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button <?php echo $buttenEnable == 0 ? 'style="display: none;"' : ''; ?>type="button" class="close" data-dismiss="modal"
                                                                                                             aria-hidden="true"></button>
                                    <span class="caption-subject ">
                                        Add Users</span>
                                </div>
                                <div class="modal-body">
                                    <div class="portlet-title">
                                        <div class="caption ">

                                            <span class="caption-subject  uppercase">
                                                <?= Html::encode($model->name) ?></span>
                                        </div>

                                    </div>
                                    <br>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <?=
                                                    $formAddUsers->field($add_ic_user_model, 'user_id')
                                                    ->widget(Select2::classname(), [
                                                        'data' => $user_list_for_add,
                                                        'model' => $add_ic_user_model,
                                                        'attribute' => 'usernamee',
                                                        'size' => Select2::MEDIUM,
                                                        'language' => 'en',
                                                        'options' => [
                                                            'placeholder' => 'Users  ...',
                                                            'class' => '',
                                                            'id' => 'add_users'
                                                        ],
                                                        'pluginOptions' => [
                                                            'allowClear' => true,
                                                            'multiple' => true
                                                        ],
                                                        'pluginEvents' => [
                                                            'select2:select' => "function (e) {        
                                                                                                var id = e.params.data.id;   
                                                                                                 var uname = e.params.data.text;                                  
                                                                                                console.log(uname);
                                                                                                                                                                                                            
                                                                                            }",
                                                        ]
                                            ]);
                                            ?>


                                        </div>
                                    </div>

                                    <?= $formAddUsers->field($add_ic_user_model, 'operation_type')->textInput()->hiddenInput(['value' => 1])->label(false) ?>
                                </div>
                                <div class="modal-footer">
                                    <button id="add_button_1"
                                            class="btn btn-primary"
                                            onclick="form_submit('formRemoveformAddUsersUsers')"
                                            data-dismiss="modal">Save</button>


                                    <button type="button" class="btn btn-secondary"
                                            data-dismiss="modal">Close</button>
                                </div>
                            </div>

                        </div>
                        <?php ActiveForm::end(); ?>
                        <?php yii\widgets\Pjax::end() ?>
                    </div>
                    <!-- End add users modal -->

                    <!-- Start remove users Modal-->
                    <div id="stack_remove_users" class="modal" tabindex="-1" role="dialog">
                        <?php yii\widgets\Pjax::begin([]) ?>
                        <?php $formRemoveUsers = ActiveForm::begin(['id' => 'formRemoveUsers']); ?>
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button <?php echo $buttenEnable == 0 ? 'style="display: none;"' : ''; ?> type="button" class="close" data-dismiss="modal"
                                                                                                              aria-hidden="true"></button>
                                    <span class="caption-subject ">
                                        Remove Users</span>
                                </div>
                                <div class="modal-body">
                                    <div class="portlet-title">
                                        <div class="caption ">

                                            <span class="caption-subject  uppercase">
                                                <?= Html::encode($model->name) ?></span>
                                        </div>

                                    </div>
                                    <br>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <?=
                                                    $formRemoveUsers->field($remove_ic_user_model, 'user_id')
                                                    ->widget(Select2::classname(), [
                                                        'data' => $user_list_for_remove,
                                                        'model' => $remove_ic_user_model,
                                                        'attribute' => 'username',
                                                        'size' => Select2::MEDIUM,
                                                        'language' => 'en',
                                                        'options' => [
                                                            'placeholder' => 'Users  ...',
                                                            'class' => '',
                                                            'id' => 'remove_users'
                                                        ],
                                                        'pluginOptions' => [
                                                            'allowClear' => true,
                                                            'multiple' => true
                                                        ],
                                                        'pluginEvents' => [
                                                            'select2:select' => "function (e) {        
                                                                                                var id = e.params.data.id;   
                                                                                                 var uname = e.params.data.text;                                  
                                                                                                console.log(uname);
                                                                                                                                                                                                            
                                                                                            }",
                                                        ]
                                            ]);
                                            ?>


                                        </div>
                                    </div>
                                    <?= $formRemoveUsers->field($remove_ic_user_model, 'operation_type')->textInput()->hiddenInput(['value' => 0])->label(false) ?>
                                </div>
                                <div class="modal-footer">
                                    <button id="remove_button_1"
                                            class="btn btn-primary"
                                            onclick="form_submit('formRemoveUsers')"
                                            data-dismiss="modal">Save</button>

                                    <button type="button" class="btn btn-secondary"
                                            data-dismiss="modal">Close</button>
                                </div>
                            </div>

                        </div>
                        <?php ActiveForm::end(); ?>
                        <?php yii\widgets\Pjax::end() ?>
                    </div>
                    <!-- End remove users modal -->




                </div>                                                                
                <?php yii\widgets\Pjax::end() ?>
            </div>
            <!-- End Add Users Tab -->



            <!-- Start Add Head Tellers Tab -->
            <div class="tab-pane " id="tab_4_444" style='margin-top:-25px'>
                <?php yii\widgets\Pjax::begin(['id' => 'add_head_teller']) ?> <div>
                    <div class="portlet-body">
                        <div class="actions pull-right" style="margin-bottom:15px">

                            <a <?php echo $buttenEnable == 0 ? 'style="display: none;"' : ''; ?>class="btn btn blue" data-target="#stack_add_head_tellers" data-toggle="modal">Add Head Tellers(HT) </a>

                        </div>
                        <div class="table table-scrollable">
                            <?php foreach ($data_head_tellers as $key => $head_teller): ?>
                                <div class="note note-success col-md-4">
                                    <a data-target="#remove_head_teller<?php echo $head_teller->id ?>"
                                       data-toggle="modal" title="remove-<?php echo $head_teller->user->username ?>">
                                        <div style="float:right;padding-top:3px;padding-right:3px;color: red;">
                                            <span><i class="fa fa-minus-circle" aria-hidden="true"></i></span>
                                        </div>
                                    </a>
                                    <h4 class="block">(<?php echo $key + 1 ?>) .<?php echo $head_teller->user->username ?>
                                    </h4>

                                </div>  

                                <!-- Start remove head tellers Confirm  - modal -->
                                <div id="remove_head_teller<?php echo $head_teller->id ?>" class="modal fade">
                                    <div class="modal-dialog modal-confirm">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <div class="">
                                                    <img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/tr.png"
                                                         width="80px">
                                                </div>
                                                <h4 class="modal-title">Are you sure?</h4>
                                                <button type="button" class="close" data-dismiss="modal"
                                                        aria-hidden="true">&times;</button>
                                            </div>
                                            <div class="modal-body">

                                                <h3 class="uppercase bold"><?php echo $head_teller->user->username ?></h3>
                                                <p>This Head Teller will remove from <?php echo $model->name ?>
                                                    interchange</p>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-info"
                                                        data-dismiss="modal">No</button>
                                                <button id="unassigned_btn<?php echo $head_teller->user->id ?>"
                                                        class="btn btn-sucess"
                                                        onclick="remove_head_teller('<?php echo $head_teller->id ?>', '<?php echo $model->id; ?>')"
                                                        data-dismiss="modal">Yes</button>
                                            </div>
                                        </div>
                                    </div>
                                </div> <!-- end remove head tellers Confirm  - modal -->                                                         

                            <?php endforeach ?>



                        </div>
                    </div>
                    <!-- Start Add head tellers Modal-->
                    <div id="stack_add_head_tellers" class="modal" tabindex="-1" role="dialog">
                        <?php yii\widgets\Pjax::begin() ?>
                        <?php $formAddHT = ActiveForm::begin(['id' => 'add_hed_tellers_form']); ?>
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal"
                                            aria-hidden="true"></button>
                                    <span class="caption-subject ">
                                        Add Head Tellers</span>
                                </div>
                                <div class="modal-body">
                                    <div class="portlet-title">
                                        <div class="caption ">

                                            <span class="caption-subject  uppercase">
                                                <?= Html::encode($model->name) ?></span>
                                        </div>

                                    </div>
                                    <br>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <?=
                                                    $formAddHT->field($ic_head_teller_model, 'user_id')
                                                    ->widget(Select2::classname(), [
                                                        'data' => $head_teller_list,
                                                        'model' => $ic_head_teller_model,
                                                        'attribute' => 'username',
                                                        'size' => Select2::MEDIUM,
                                                        'language' => 'en',
                                                        'options' => [
                                                            'placeholder' => 'Head Tellers  ...',
                                                            'class' => '',
                                                            'id' => 'add_head_tellers'
                                                        ],
                                                        'pluginOptions' => [
                                                            'allowClear' => true,
                                                            'multiple' => true
                                                        ],
                                                        'pluginEvents' => [
                                                            'select2:select' => "function (e) {        
                                                                                                var id = e.params.data.id;   
                                                                                                 var uname = e.params.data.text;                                  
                                                                                                console.log(uname);
                                                                                                                                                                                                            
                                                                                            }",
                                                        ]
                                            ]);
                                            ?>



                                        </div>
                                    </div>

                                </div>
                                <div class="modal-footer">

                                    <button id="_button_46df"
                                            class="btn btn-primary"
                                            onclick="form_submit('add_hed_tellers_form')"
                                            data-dismiss="modal">Save</button>

                                    <button type="button" class="btn btn-secondary"
                                            data-dismiss="modal">Close</button>
                                </div>
                            </div>

                        </div>
                        <?php ActiveForm::end(); ?>
                        <?php yii\widgets\Pjax::end() ?>
                    </div>
                    <!-- End add head teller modal -->


                </div>                                                                
                <?php yii\widgets\Pjax::end() ?>
            </div>
            <!-- End Add Head Tellers Tab -->


            <!-- Start Add Head Tellers Weekend Tab -->
            <div class="tab-pane " id="tab_6_666" style='margin-top:-25px'>
                <?php yii\widgets\Pjax::begin(['id' => 'add_head_teller_weekend']) ?> <div>
                    <div class="portlet-body">
                        <div class="actions pull-right" style="margin-bottom:15px">

                            <a <?php echo $buttenEnable == 0 ? 'style="display: none;"' : ''; ?>class="btn btn blue" data-target="#stack_add_head_tellers_weekend" data-toggle="modal">Add Head Teller - WKND </a>

                        </div>
                        <div class="table table-scrollable">
                            <?php foreach ($data_head_tellers_weekend as $key => $head_teller_weekend): ?>
                                <div class="note note-success col-md-4">
                                    <a data-target="#remove_head_teller_weekend<?php echo $head_teller_weekend->id ?>"
                                       data-toggle="modal" title="remove_weekend-<?php echo $head_teller_weekend->user->username ?>">
                                        <div style="float:right;padding-top:3px;padding-right:3px;color: red;">
                                            <span><i class="fa fa-minus-circle" aria-hidden="true"></i></span>
                                        </div>
                                    </a>
                                    <h4 class="block">(<?php echo $key + 1 ?>) .<?php echo $head_teller_weekend->user->username ?>
                                    </h4>

                                </div>  

                                <!-- Start remove head tellers Weekend Confirm  - modal -->
                                <div id="remove_head_teller_weekend<?php echo $head_teller_weekend->id ?>" class="modal fade">
                                    <div class="modal-dialog modal-confirm">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <div class="">
                                                    <img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/tr.png"
                                                         width="80px">
                                                </div>
                                                <h4 class="modal-title">Are you sure?</h4>
                                                <button type="button" class="close" data-dismiss="modal"
                                                        aria-hidden="true">&times;</button>
                                            </div>
                                            <div class="modal-body">

                                                <h3 class="uppercase bold"><?php echo $head_teller_weekend->user->username ?></h3>
                                                <p>This Head Teller Weekend will remove from <?php echo $model->name ?>
                                                    interchange</p>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-info"
                                                        data-dismiss="modal">No</button>
                                                <button id="unassigned_btn_weekend<?php echo $head_teller_weekend->user->id ?>"
                                                        class="btn btn-sucess"
                                                        onclick="remove_head_teller_weekend('<?php echo $head_teller_weekend->id ?>', '<?php echo $model->id; ?>')"
                                                        data-dismiss="modal">Yes</button>
                                            </div>
                                        </div>
                                    </div>
                                </div> <!-- end remove head tellers Weekend Confirm  - modal -->                                                         

                            <?php endforeach ?>



                        </div>
                    </div>
                    <!-- Start Add head tellers Weekend Modal-->
                    <div id="stack_add_head_tellers_weekend" class="modal" tabindex="-1" role="dialog">
                        <?php yii\widgets\Pjax::begin() ?>
                        <?php $formAddHT_weekend = ActiveForm::begin(['id' => 'add_hed_tellers_form_weekend']); ?>
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal"
                                            aria-hidden="true"></button>
                                    <span class="caption-subject ">
                                        Add Head Tellers Weekend</span>
                                </div>
                                <div class="modal-body">
                                    <div class="portlet-title">
                                        <div class="caption ">

                                            <span class="caption-subject  uppercase">
                                                <?= Html::encode($model->name) ?></span>
                                        </div>

                                    </div>
                                    <br>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <?=
                                                    $formAddHT_weekend->field($ic_head_teller_model_weekend, 'user_id')
                                                    ->widget(Select2::classname(), [
                                                        'data' => $head_teller_list_weekend,
                                                        'model' => $ic_head_teller_model_weekend,
                                                        'attribute' => 'username',
                                                        'size' => Select2::MEDIUM,
                                                        'language' => 'en',
                                                        'options' => [
                                                            'placeholder' => 'Head Tellers Weekend  ...',
                                                            'class' => '',
                                                            'id' => 'add_head_tellers_weekend133'
                                                        ],
                                                        'pluginOptions' => [
                                                            'allowClear' => true,
                                                            'multiple' => true
                                                        ],
                                                        'pluginEvents' => [
                                                            'select2:select' => "function (e) {        
                                                                                                var id = e.params.data.id;   
                                                                                                 var uname = e.params.data.text;                                  
                                                                                                console.log(uname);
                                                                                                                                                                                                            
                                                                                            }",
                                                        ]
                                            ]);
                                            ?>



                                        </div>
                                    </div>

                                </div>
                                <div class="modal-footer">
                                    <button id="gdf56"
                                            class="btn btn-primary"
                                            onclick="form_submit('add_hed_tellers_form_weekend')"
                                            data-dismiss="modal">Save</button>

                                    <button type="button" class="btn btn-secondary"
                                            data-dismiss="modal">Close</button>
                                </div>
                            </div>

                        </div>
                        <?php ActiveForm::end(); ?>
                        <?php yii\widgets\Pjax::end() ?>
                    </div>
                    <!-- End add head teller Weekend modal -->


                </div>                                                                
                <?php yii\widgets\Pjax::end() ?>
            </div>
            <!-- End Add Head Tellers Weekend Tab -->


            <!-- Start Add ATS Tab -->
            <div class="tab-pane " id="tab_5_555" style='margin-top:-25px'>
                <?php yii\widgets\Pjax::begin(['id' => 'add_ats']) ?> <div>
                    <div class="portlet-body">
                        <div class="actions pull-right" style="margin-bottom:15px">

                            <a <?php echo $buttenEnable == 0 ? 'style="display: none;"' : ''; ?>class="btn btn blue" data-target="#stack_add_ats" data-toggle="modal">Add ATS </a>

                        </div>
                        <div class="table table-scrollable">
                            <?php foreach ($data_ats as $key => $head_teller): ?>
                                <div class="note note-success col-md-4">
                                    <a data-target="#remove_ats<?php echo $head_teller->id ?>"
                                       data-toggle="modal" title="remove-<?php echo $head_teller->user->username ?>">
                                        <div style="float:right;padding-top:3px;padding-right:3px;color: red;">
                                            <span><i class="fa fa-minus-circle" aria-hidden="true"></i></span>
                                        </div>
                                    </a>
                                    <h4 class="block">(<?php echo $key + 1 ?>) .<?php echo $head_teller->user->username ?>
                                    </h4>

                                </div>  

                                <!-- Start remove ATS Confirm  - modal -->
                                <div id="remove_ats<?php echo $head_teller->id ?>" class="modal fade">
                                    <div class="modal-dialog modal-confirm">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <div class="">
                                                    <img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/tr.png"
                                                         width="80px">
                                                </div>
                                                <h4 class="modal-title">Are you sure?</h4>
                                                <button type="button" class="close" data-dismiss="modal"
                                                        aria-hidden="true">&times;</button>
                                            </div>
                                            <div class="modal-body">

                                                <h3 class="uppercase bold"><?php echo $head_teller->user->username ?></h3>
                                                <p>This Head Teller will remove from <?php echo $model->name ?>
                                                    interchange</p>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-info"
                                                        data-dismiss="modal">No</button>
                                                <button id="unassigned_btn<?php echo $head_teller->user->id ?>"
                                                        class="btn btn-sucess"
                                                        onclick="remove_ats('<?php echo $head_teller->id ?>', '<?php echo $model->id; ?>')"
                                                        data-dismiss="modal">Yes</button>
                                            </div>
                                        </div>
                                    </div>
                                </div> <!-- end remove ATS Confirm  - modal -->                                                         

                            <?php endforeach ?>



                        </div>
                    </div>
                    <!-- Start Add ATS Modal-->
                    <div id="stack_add_ats" class="modal" tabindex="-1" role="dialog">
                        <?php yii\widgets\Pjax::begin() ?>
                        <?php $formAddATS = ActiveForm::begin(['id' => 'add_ats_form']); ?>
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal"
                                            aria-hidden="true"></button>
                                    <span class="caption-subject ">
                                        Add Head Tellers</span>
                                </div>
                                <div class="modal-body">
                                    <div class="portlet-title">
                                        <div class="caption ">

                                            <span class="caption-subject  uppercase">
                                                <?= Html::encode($model->name) ?></span>
                                        </div>

                                    </div>
                                    <br>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <?=
                                                    $formAddATS->field($ic_ats_model, 'user_id')
                                                    ->widget(Select2::classname(), [
                                                        'data' => $ats_list,
                                                        'model' => $ic_ats_model,
                                                        'attribute' => 'username',
                                                        'size' => Select2::MEDIUM,
                                                        'language' => 'en',
                                                        'options' => [
                                                            'placeholder' => 'ATS  ...',
                                                            'class' => '',
                                                            'id' => 'add_ats11'
                                                        ],
                                                        'pluginOptions' => [
                                                            'allowClear' => true,
                                                            'multiple' => true
                                                        ],
                                                        'pluginEvents' => [
                                                            'select2:select' => "function (e) {        
                                                                                                var id = e.params.data.id;   
                                                                                                 var uname = e.params.data.text;                                  
                                                                                                console.log(uname);
                                                                                                                                                                                                            
                                                                                            }",
                                                        ]
                                            ]);
                                            ?>



                                        </div>
                                    </div>

                                </div>
                                <div class="modal-footer">
                                    <button id="add_button_47"
                                            class="btn btn-primary"
                                            onclick="form_submit('add_ats_form')"
                                            data-dismiss="modal">Save</button>


                                    <button type="button" class="btn btn-secondary"
                                            data-dismiss="modal">Close</button>
                                </div>
                            </div>

                        </div>
                        <?php ActiveForm::end(); ?>
                        <?php yii\widgets\Pjax::end() ?>
                    </div>
                    <!-- End add ATS modal -->


                </div>                                                                
                <?php yii\widgets\Pjax::end() ?>
            </div>
            <!-- End Add ATS Tab -->


            <!-- Start Add ATS ALL Tab -->
            <div class="tab-pane " id="tab_7_777" style='margin-top:-25px'>
                <?php yii\widgets\Pjax::begin(['id' => 'add_ats_all']) ?> <div>
                    <div class="portlet-body">
                        <div class="actions pull-right" style="margin-bottom:15px">

                            <a <?php echo $buttenEnable == 0 ? 'style="display: none;"' : ''; ?>class="btn btn blue" data-target="#stack_add_ats_all" data-toggle="modal">Add ATS ALL</a>

                        </div>
                        <div class="table table-scrollable">
                            <?php foreach ($data_ats_all as $key => $head_teller_all): ?>
                                <div class="note note-success col-md-4">
                                    <a data-target="#remove_ats_all<?php echo $head_teller_all->id ?>"
                                       data-toggle="modal" title="remove-<?php echo $head_teller_all->user->username ?>">
                                        <div style="float:right;padding-top:3px;padding-right:3px;color: red;">
                                            <span><i class="fa fa-minus-circle" aria-hidden="true"></i></span>
                                        </div>
                                    </a>
                                    <h4 class="block">(<?php echo $key + 1 ?>) .<?php echo $head_teller_all->user->username ?>
                                    </h4>

                                </div>  

                                <!-- Start remove ATS All Confirm  - modal -->
                                <div id="remove_ats_all<?php echo $head_teller_all->id ?>" class="modal fade">
                                    <div class="modal-dialog modal-confirm">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <div class="">
                                                    <img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/tr.png"
                                                         width="80px">
                                                </div>
                                                <h4 class="modal-title">Are you sure?</h4>
                                                <button type="button" class="close" data-dismiss="modal"
                                                        aria-hidden="true">&times;</button>
                                            </div>
                                            <div class="modal-body">

                                                <h3 class="uppercase bold"><?php echo $head_teller_all->user->username ?></h3>
                                                <p>This ATS ALL will remove from <?php echo $model->name ?>
                                                    interchange</p>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-info"
                                                        data-dismiss="modal">No</button>
                                                <button id="unassigned_btn<?php echo $head_teller_all->user->id ?>"
                                                        class="btn btn-sucess"
                                                        onclick="remove_ats_all('<?php echo $head_teller_all->id ?>', '<?php echo $model->id; ?>')"
                                                        data-dismiss="modal">Yes</button>
                                            </div>
                                        </div>
                                    </div>
                                </div> <!-- end remove ATS ALL Confirm  - modal -->                                                         

                            <?php endforeach ?>



                        </div>
                    </div>
                    <!-- Start Add ATS ALL Modal-->
                    <div id="stack_add_ats_all" class="modal" tabindex="-1" role="dialog">
                        <?php yii\widgets\Pjax::begin() ?>
                        <?php $formAddATS_all = ActiveForm::begin(['id' => 'add_ats_form_all']); ?>
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal"
                                            aria-hidden="true"></button>
                                    <span class="caption-subject ">
                                        Add ATS ALL</span>
                                </div>
                                <div class="modal-body">
                                    <div class="portlet-title">
                                        <div class="caption ">

                                            <span class="caption-subject  uppercase">
                                                <?= Html::encode($model->name) ?></span>
                                        </div>

                                    </div>
                                    <br>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <?=
                                                    $formAddATS_all->field($ic_ats_model_all, 'user_id')
                                                    ->widget(Select2::classname(), [
                                                        'data' => $ats_list_all,
                                                        'model' => $ic_ats_model_all,
                                                        'attribute' => 'username',
                                                        'size' => Select2::MEDIUM,
                                                        'language' => 'en',
                                                        'options' => [
                                                            'placeholder' => 'ATS All  ...',
                                                            'class' => '',
                                                            'id' => 'add_ats11_all'
                                                        ],
                                                        'pluginOptions' => [
                                                            'allowClear' => true,
                                                            'multiple' => true
                                                        ],
                                                        'pluginEvents' => [
                                                            'select2:select' => "function (e) {        
                                                                                                var id = e.params.data.id;   
                                                                                                 var uname = e.params.data.text;                                  
                                                                                                console.log(uname);
                                                                                                                                                                                                            
                                                                                            }",
                                                        ]
                                            ]);
                                            ?>



                                        </div>
                                    </div>

                                </div>
                                <div class="modal-footer">
                                    <button id="add_button_47__all"
                                            class="btn btn-primary"
                                            onclick="form_submit('add_ats_form_all')"
                                            data-dismiss="modal">Save</button>


                                    <button type="button" class="btn btn-secondary"
                                            data-dismiss="modal">Close</button>
                                </div>
                            </div>

                        </div>
                        <?php ActiveForm::end(); ?>
                        <?php yii\widgets\Pjax::end() ?>
                    </div>
                    <!-- End add ATS ALL modal -->


                </div>                                                                
                <?php yii\widgets\Pjax::end() ?>
            </div>
            <!-- End Add ATS ALL Tab -->


            <!-- Start Add ATS WEEKEND Tab -->
            <div class="tab-pane " id="tab_8_888" style='margin-top:-25px'>
                <?php yii\widgets\Pjax::begin(['id' => 'add_ats_weekend']) ?> <div>
                    <div class="portlet-body">
                        <div class="actions pull-right" style="margin-bottom:15px">

                            <a <?php echo $buttenEnable == 0 ? 'style="display: none;"' : ''; ?>class="btn btn blue" data-target="#stack_add_ats_weekend" data-toggle="modal">Add ATS WEEKEND</a>

                        </div>
                        <div class="table table-scrollable">
                            <?php foreach ($data_ats_weekend as $key => $head_teller_weekend): ?>
                                <div class="note note-success col-md-4">
                                    <a data-target="#remove_ats_weekend<?php echo $head_teller_weekend->id ?>"
                                       data-toggle="modal" title="remove-<?php echo $head_teller_weekend->user->username ?>">
                                        <div style="float:right;padding-top:3px;padding-right:3px;color: red;">
                                            <span><i class="fa fa-minus-circle" aria-hidden="true"></i></span>
                                        </div>
                                    </a>
                                    <h4 class="block">(<?php echo $key + 1 ?>) .<?php echo $head_teller_weekend->user->username ?>
                                    </h4>

                                </div>  

                                <!-- Start remove ATS WEEKEND Confirm  - modal -->
                                <div id="remove_ats_weekend<?php echo $head_teller_weekend->id ?>" class="modal fade">
                                    <div class="modal-dialog modal-confirm">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <div class="">
                                                    <img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/tr.png"
                                                         width="80px">
                                                </div>
                                                <h4 class="modal-title">Are you sure?</h4>
                                                <button type="button" class="close" data-dismiss="modal"
                                                        aria-hidden="true">&times;</button>
                                            </div>
                                            <div class="modal-body">

                                                <h3 class="uppercase bold"><?php echo $head_teller_weekend->user->username ?></h3>
                                                <p>This ATS WEEKEND will remove from <?php echo $model->name ?>
                                                    interchange</p>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-info"
                                                        data-dismiss="modal">No</button>
                                                <button id="unassigned_btn<?php echo $head_teller_weekend->user->id ?>"
                                                        class="btn btn-sucess"
                                                        onclick="remove_ats_weekend('<?php echo $head_teller_weekend->id ?>', '<?php echo $model->id; ?>')"
                                                        data-dismiss="modal">Yes</button>
                                            </div>
                                        </div>
                                    </div>
                                </div> <!-- end remove ATS WEEKEND Confirm  - modal -->                                                         

                            <?php endforeach ?>



                        </div>
                    </div>
                    <!-- Start Add ATS WEEKEND Modal-->
                    <div id="stack_add_ats_weekend" class="modal" tabindex="-1" role="dialog">
                        <?php yii\widgets\Pjax::begin() ?>
                        <?php $formAddATS_weekend = ActiveForm::begin(['id' => 'add_ats_form_weekend']); ?>
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal"
                                            aria-hidden="true"></button>
                                    <span class="caption-subject ">
                                        Add ATS WEEKEND</span>
                                </div>
                                <div class="modal-body">
                                    <div class="portlet-title">
                                        <div class="caption ">

                                            <span class="caption-subject  uppercase">
                                                <?= Html::encode($model->name) ?></span>
                                        </div>

                                    </div>
                                    <br>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <?=
                                                    $formAddATS_weekend->field($ic_ats_model_weekend, 'user_id')
                                                    ->widget(Select2::classname(), [
                                                        'data' => $ats_list_weekend,
                                                        'model' => $ic_ats_model_weekend,
                                                        'attribute' => 'username',
                                                        'size' => Select2::MEDIUM,
                                                        'language' => 'en',
                                                        'options' => [
                                                            'placeholder' => 'ATS WEEKEND  ...',
                                                            'class' => '',
                                                            'id' => 'add_ats11_weekend'
                                                        ],
                                                        'pluginOptions' => [
                                                            'allowClear' => true,
                                                            'multiple' => true
                                                        ],
                                                        'pluginEvents' => [
                                                            'select2:select' => "function (e) {        
                                                                                                var id = e.params.data.id;   
                                                                                                 var uname = e.params.data.text;                                  
                                                                                                console.log(uname);
                                                                                                                                                                                                            
                                                                                            }",
                                                        ]
                                            ]);
                                            ?>



                                        </div>
                                    </div>

                                </div>
                                <div class="modal-footer">

                                    <button id="add_button_47_weekend"
                                            class="btn btn-primary"
                                            onclick="form_submit('add_ats_form_weekend')"
                                            data-dismiss="modal">Save</button>

                                    <button type="button" class="btn btn-secondary"
                                            data-dismiss="modal">Close</button>
                                </div>
                            </div>

                        </div>
                        <?php ActiveForm::end(); ?>
                        <?php yii\widgets\Pjax::end() ?>
                    </div>
                    <!-- End add ATS WEEKEND modal -->


                </div>                                                                
                <?php yii\widgets\Pjax::end() ?>
            </div>
            <!-- End Add ATS WEEKEND Tab -->


            <!-- Start Add TS Tab -->
            <div class="tab-pane " id="tab_9_999" style='margin-top:-25px'>
                <?php yii\widgets\Pjax::begin(['id' => 'add_ts_1526']) ?> <div>
                    <div class="portlet-body">
                        <div class="actions pull-right" style="margin-bottom:15px">

                            <a <?php echo $buttenEnable == 0 ? 'style="display: none;"' : ''; ?>class="btn btn blue" data-target="#stack_add_ts" data-toggle="modal">Add TS</a>

                        </div>
                        <div class="table table-scrollable">
                            <?php foreach ($data_ts as $key => $ts): ?>
                                <div class="note note-success col-md-4">
                                    <a data-target="#remove_ts_55<?php echo $ts->id ?>"
                                       data-toggle="modal" title="remove-<?php echo $ts->user->username ?>">
                                        <div style="float:right;padding-top:3px;padding-right:3px;color: red;">
                                            <span><i class="fa fa-minus-circle" aria-hidden="true"></i></span>
                                        </div>
                                    </a>
                                    <h4 class="block">(<?php echo $key + 1 ?>) .<?php echo $ts->user->username ?>
                                    </h4>

                                </div>  

                                <!-- Start remove TS Confirm  - modal -->
                                <div id="remove_ts_55<?php echo $ts->id ?>" class="modal fade">
                                    <div class="modal-dialog modal-confirm">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <div class="">
                                                    <img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/tr.png"
                                                         width="80px">
                                                </div>
                                                <h4 class="modal-title">Are you sure?</h4>
                                                <button type="button" class="close" data-dismiss="modal"
                                                        aria-hidden="true">&times;</button>
                                            </div>
                                            <div class="modal-body">

                                                <h3 class="uppercase bold"><?php echo $ts->user->username ?></h3>
                                                <p>This TS will remove from <?php echo $model->name ?>
                                                    interchange</p>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-info"
                                                        data-dismiss="modal">No</button>
                                                <button id="unassigned_btn_465<?php echo $ts->user->id ?>"
                                                        class="btn btn-sucess"
                                                        onclick="remove_ts_fn('<?php echo $ts->id ?>', '<?php echo $model->id; ?>')"
                                                        data-dismiss="modal">Yes</button>
                                            </div>
                                        </div>
                                    </div>
                                </div> <!-- end remove TS Confirm  - modal -->                                                         

                            <?php endforeach ?>



                        </div>
                    </div>
                    <!-- Start Add TS Modal-->
                    <div id="stack_add_ts" class="modal" tabindex="-1" role="dialog">
                        <?php yii\widgets\Pjax::begin() ?>
                        <?php $formAddTS = ActiveForm::begin(['id' => 'add_ts1']); ?>
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal"
                                            aria-hidden="true"></button>
                                    <span class="caption-subject ">
                                        Add TS</span>
                                </div>
                                <div class="modal-body">
                                    <div class="portlet-title">
                                        <div class="caption ">

                                            <span class="caption-subject  uppercase">
                                                <?= Html::encode($model->name) ?></span>
                                        </div>

                                    </div>
                                    <br>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <?=
                                                    $formAddTS->field($ic_ts_model, 'user_id')
                                                    ->widget(Select2::classname(), [
                                                        'data' => $ts_list,
                                                        'model' => $ic_ts_model,
                                                        'attribute' => 'username',
                                                        'size' => Select2::MEDIUM,
                                                        'language' => 'en',
                                                        'options' => [
                                                            'placeholder' => 'TS ...',
                                                            'class' => '',
                                                            'id' => 'add_ts_165'
                                                        ],
                                                        'pluginOptions' => [
                                                            'allowClear' => true,
                                                            'multiple' => true
                                                        ],
                                                        'pluginEvents' => [
                                                            'select2:select' => "function (e) {        
                                                                                                var id = e.params.data.id;   
                                                                                                 var uname = e.params.data.text;                                  
                                                                                                console.log(uname);
                                                                                                                                                                                                            
                                                                                            }",
                                                        ]
                                            ]);
                                            ?>



                                        </div>
                                    </div>

                                </div>
                                <div class="modal-footer">
                                    <button id="add_button_44_all"
                                            class="btn btn-primary"
                                            onclick="form_submit('add_ts1')"
                                            data-dismiss="modal">Save</button>

                                    <button type="button" class="btn btn-secondary"
                                            data-dismiss="modal">Close</button>
                                </div>
                            </div>

                        </div>
                        <?php ActiveForm::end(); ?>
                        <?php yii\widgets\Pjax::end() ?>
                    </div>
                    <!-- End add TS modal -->


                </div>                                                                
                <?php yii\widgets\Pjax::end() ?>
            </div>
            <!-- End Add TS Tab -->


            <!-- Start Add IC Manager Tab -->
            <div class="tab-pane " id="tab_10_000" style='margin-top:-25px'>
                <?php yii\widgets\Pjax::begin(['id' => 'add_ic_manager_1526']) ?> <div>
                    <div class="portlet-body">
                        <div class="actions pull-right" style="margin-bottom:15px">
                            <a <?php echo $buttenEnable == 0 ? 'style="display: none;"' : ''; ?>class="btn btn blue" data-target="#stack_add_ic_manager" data-toggle="modal">Add IC MANAGER</a>
                        </div>
                        <div class="table table-scrollable">
                            <?php foreach ($data_ic_manager as $key => $ic_manager): ?>
                                <div class="note note-success col-md-4">
                                    <a data-target="#remove_ic_manager<?php echo $ic_manager->id ?>"
                                       data-toggle="modal" title="remove-<?php echo $ic_manager->user->username ?>">
                                        <div style="float:right;padding-top:3px;padding-right:3px;color: red;">
                                            <span><i class="fa fa-minus-circle" aria-hidden="true"></i></span>
                                        </div>
                                    </a>
                                    <h4 class="block">(<?php echo $key + 1 ?>) .<?php echo $ic_manager->user->username ?>
                                    </h4>

                                </div>  

                                <!-- Start remove Ic Manager Confirm  - modal -->
                                <div id="remove_ic_manager<?php echo $ic_manager->id ?>" class="modal fade">
                                    <div class="modal-dialog modal-confirm">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <div class="">
                                                    <img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/tr.png"
                                                         width="80px">
                                                </div>
                                                <h4 class="modal-title">Are you sure?</h4>
                                                <button type="button" class="close" data-dismiss="modal"
                                                        aria-hidden="true">&times;</button>
                                            </div>
                                            <div class="modal-body">

                                                <h3 class="uppercase bold"><?php echo $ic_manager->user->username ?></h3>
                                                <p>This IC Manager will remove from <?php echo $model->name ?>
                                                    interchange</p>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-info"
                                                        data-dismiss="modal">No</button>
                                                <button id="unassigned_btn_465<?php echo $ic_manager->user->id ?>"
                                                        class="btn btn-sucess"
                                                        onclick="remove_ic_manager_fn('<?php echo $ic_manager->id ?>', '<?php echo $model->id; ?>')"
                                                        data-dismiss="modal">Yes</button>
                                            </div>
                                        </div>
                                    </div>
                                </div> <!-- end remove Ic Manager Confirm  - modal -->                                                        

                            <?php endforeach ?>



                        </div>
                    </div>
                    <!-- Start Add Ic Manager Modal-->
                    <div id="stack_add_ic_manager" class="modal" tabindex="-1" role="dialog">
                        <?php yii\widgets\Pjax::begin() ?>
                        <?php $formAddIcManager = ActiveForm::begin(['id' => 'add_ic_manager1']); ?>
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal"
                                            aria-hidden="true"></button>
                                    <span class="caption-subject ">
                                        Add IC MANAGER</span>
                                </div>
                                <div class="modal-body">
                                    <div class="portlet-title">
                                        <div class="caption ">

                                            <span class="caption-subject  uppercase">
                                                <?= Html::encode($model->name) ?></span>
                                        </div>

                                    </div>
                                    <br>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <?=
                                                    $formAddIcManager->field($ic_manager_model, 'user_id')
                                                    ->widget(Select2::classname(), [
                                                        'data' => $ic_manager_list,
                                                        'model' => $ic_manager_model,
                                                        'attribute' => 'username',
                                                        'size' => Select2::MEDIUM,
                                                        'language' => 'en',
                                                        'options' => [
                                                            'placeholder' => 'Ic Manager ...',
                                                            'class' => '',
                                                            'id' => 'add_ic_manager'
                                                        ],
                                                        'pluginOptions' => [
                                                            'allowClear' => true,
                                                            'multiple' => true
                                                        ],
                                                        'pluginEvents' => [
                                                            'select2:select' => "function (e) {        
                                                                                                var id = e.params.data.id;   
                                                                                                 var uname = e.params.data.text;                                  
                                                                                                console.log(uname);
                                                                                                                                                                                                            
                                                                                            }",
                                                        ]
                                            ]);
                                            ?>



                                        </div>
                                    </div>

                                </div>
                                <div class="modal-footer">
                                    <button id="add_button_44_all"
                                            class="btn btn-primary"
                                            onclick="form_submit('add_ic_manager1')"
                                            data-dismiss="modal">Save</button>

                                    <button type="button" class="btn btn-secondary"
                                            data-dismiss="modal">Close</button>
                                </div>
                            </div>

                        </div>
                        <?php ActiveForm::end(); ?>
                        <?php yii\widgets\Pjax::end() ?>
                    </div>
                    <!-- End add TS modal -->


                </div>                                                                
                <?php yii\widgets\Pjax::end() ?>
            </div>
            <!-- End Add TS Tab -->
        </div>

        <div class="modal1" id="waitbox">
            <!-- Place at bottom of page -->
        </div>
    </div>
</div>


<script>
    //remove head teller from ic

    function remove_ats(ic_ats_row_id, interchange_id) {
        console.log("remove ats");
        console.log(interchange_id);
        var $loading = $('#waitbox').hide();
        $loading.show();
        $.ajax({
            url: '<?php echo Url::to(['/./ic/remove-ats']); ?>',
            type: 'post',
            dataType: 'json',
            data: {
                "ic_ats_row_id": ic_ats_row_id,
                "interchange_id": interchange_id
            },
            success: function (data) {
                // console.log("awa");
                // console.log(data);
                if (data) {
                    location.reload();
                }
            }
        });
    }

    function remove_ats_all(ic_ats_row_id, interchange_id) {
        console.log("remove ats");
        console.log(interchange_id);
        var $loading = $('#waitbox').hide();
        $loading.show();
        $.ajax({
            url: '<?php echo Url::to(['/./ic/remove-ats-all']); ?>',
            type: 'post',
            dataType: 'json',
            data: {
                "ic_ats_row_id": ic_ats_row_id,
                "interchange_id": interchange_id
            },
            success: function (data) {
                // console.log("awa");
                // console.log(data);
                if (data) {
                    location.reload();
                }
            }
        });
    }
    function remove_ts_fn(ic_ats_row_id, interchange_id) {
        console.log("remove ts");
        console.log(interchange_id);
        var $loading = $('#waitbox').hide();
        $loading.show();
        $.ajax({
            url: '<?php echo Url::to(['/./ic/remove-ts']); ?>',
            type: 'post',
            dataType: 'json',
            data: {
                "ic_ats_row_id": ic_ats_row_id,
                "interchange_id": interchange_id
            },
            success: function (data) {
                // console.log("awa");
                // console.log(data);
                if (data) {
                    location.reload();
                }
            }
        });
    }

    function remove_ats_weekend(ic_ats_row_id, interchange_id) {
        console.log("remove ats");
        console.log(interchange_id);
        var $loading = $('#waitbox').hide();
        $loading.show();
        $.ajax({
            url: '<?php echo Url::to(['/./ic/remove-atsw']); ?>',
            type: 'post',
            dataType: 'json',
            data: {
                "ic_ats_row_id": ic_ats_row_id,
                "interchange_id": interchange_id
            },
            success: function (data) {
                // console.log("awa");
                // console.log(data);
                if (data) {
                    location.reload();
                }
            }
        });
    }
    function remove_head_teller(ic_ht_row_id, interchange_id) {
        console.log("remove head teller");
        console.log(interchange_id);
        var $loading = $('#waitbox').hide();
        $loading.show();
        $.ajax({
            url: '<?php echo Url::to(['/./ic/remove-ht']); ?>',
            type: 'post',
            dataType: 'json',
            data: {
                "ic_ht_row_id": ic_ht_row_id,
                "interchange_id": interchange_id
            },
            success: function (data) {
                // console.log("awa");
                // console.log(data);
                if (data) {
                    location.reload();
                }
            }
        });
    }

    function remove_head_teller_weekend(ic_ht_row_id, interchange_id) {
        console.log("remove head teller");
        console.log(interchange_id);
        var $loading = $('#waitbox').hide();
        $loading.show();
        $.ajax({
            url: '<?php echo Url::to(['/./ic/remove-htw']); ?>',
            type: 'post',
            dataType: 'json',
            data: {
                "ic_ht_row_id": ic_ht_row_id,
                "interchange_id": interchange_id
            },
            success: function (data) {
                // console.log("awa");
                // console.log(data);
                if (data) {
                    location.reload();
                }
            }
        });
    }

    function remove_ic_manager_fn(ic_manager_row_id, interchange_id) {
        console.log("remove ic manager");
        console.log(interchange_id);
        var $loading = $('#waitbox').hide();
        $loading.show();
        $.ajax({
            url: '<?php echo Url::to(['/ic/remove-icm']); ?>',
            type: 'post',
            dataType: 'json',
            data: {
                "ic_manager_row_id": ic_manager_row_id,
                "interchange_id": interchange_id
            },
            success: function (data) {
                $loading.hide();
                if (data.status === 'success') {
                    location.reload();
                } else {
                    alert(data.message); // Show error message if the removal fails
                }
            },
            error: function (xhr, status, error) {
                $loading.hide();
                console.error('AJAX Error:', error);
                alert('An error occurred while processing your request. Please try again.');
            }
        });
    }


    //Unassigned a device from interchange
    function unassign_device(device_id, interchange_id) {
        console.log("Unassigned a device from interchange");
        console.log(interchange_id);
        var $loading = $('#waitbox').hide();
        $loading.show();
        $.ajax({
            url: '<?php echo Url::to(['/./ic/unassigned-device']); ?>',
            type: 'post',
            dataType: 'json',
            data: {
                "device_id": device_id,
                "interchange_id": interchange_id
            },
            success: function (data) {
                // console.log("awa");
                // console.log(data);
                $loading.hide();
                if (data) {
                    location.reload();
                }
            }
        });
    }
    var $loading = $('#waitbox').hide();
    function form_submit(id) {

        $loading.show();
        console.log(id);
        $("#" + id).submit();
        console.log("form_submit");
    }

</script>

