<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use webvimark\modules\UserManagement\UserManagementModule;
use webvimark\modules\UserManagement\models\User;
use app\models\LoginLogoutSession;
use app\models\Ic;
/* @var $this yii\web\View */
/* @var $searchModel app\models\LoginLogoutSessionSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('app', 'Login Logout Sessions');
$this->params['breadcrumbs'][] = $this->title;
?>

<?php yii\widgets\Pjax::begin([]) ?>
<div class="booth-type-index">

     <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">
          
                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                           <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
                      
                    </div>
                    <div class="actions">
                  
                    </div>
                </div>
                <div class="portlet-body">
                <div class="table table-scrollable">
                <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
             ['class' => 'yii\grid\SerialColumn'],

           // 'id',
          //  'device_id',
             [
                'attribute'=>'device_id',
                'value'=>'device.name'
            ],
           // 'user_id',
             [
                'attribute'=>'user_id',
                'value'=>'user.username'
            ],
           // 'booth_id',
               [
                'attribute'=>'booth_id',
                'value'=>'booth.name'
            ],
             [
                 'header'=>'Ic',
                'attribute'=>'ic_id',
                'value'=>'booth.ic.name',
                 'filter'=>Ic::getList(),
            ],
           // 'shift_id',
            //'login_type',
            [
                'class' => 'webvimark\components\StatusColumn',
                'attribute' => 'login_type',
                'optionsArray' => [
                    [LoginLogoutSession::LOGIN_OFFLINE, UserManagementModule::t('back', 'OFFLINE'), 'danger'],
                    [LoginLogoutSession::LOGIN_ONLINE, UserManagementModule::t('back', 'ONLINE'), 'green'],
                  
                ],
            ],
            'login_time',
            
            // 'logout_type',
            [
                'class' => 'webvimark\components\StatusColumn',
                'attribute' => 'logout_type',
                'optionsArray' => [
                    [LoginLogoutSession::LOGOUT_OFFLINE, UserManagementModule::t('back', 'OFFLINE'), 'danger'],
                    [LoginLogoutSession::LOGOUT_ONLINE, UserManagementModule::t('back', 'ONLINE'), 'green'],
                    [LoginLogoutSession::LOGOUT_NOT_SYNC, UserManagementModule::t('back', 'NOT_SYNC'), 'default'],
                    [LoginLogoutSession::LOGOUT_FORCE, UserManagementModule::t('back', 'FORCE'), 'warning'],
                  
                ],
            ],
            'logout_time',
           // 'gate_count',
            [
                'class' => 'webvimark\components\StatusColumn',
                'attribute' => 'status',
                'optionsArray' => [
                    [LoginLogoutSession::STATUS_COMPLETE, UserManagementModule::t('back', 'INCOMPLETE'), 'danger'],
                    [LoginLogoutSession::STATUS_INCOMPLETE, UserManagementModule::t('back', 'COMPLETE'), 'green'],
                  
                ],
            ],
            'ticket_count',
            // 'created_on',
            //'updated_on',

            //'status',
            //'confirmed_status',

            ['class' => 'yii\grid\ActionColumn','template'=>'{view} ' ]
        ],
    ]); ?>
            </div>
                </div>
            </div>
        </div>
    </div>
</div>
  <?php yii\widgets\Pjax::end() ?>
