<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use yii\helpers\ArrayHelper;
use app\models\Booth;
use webvimark\modules\UserManagement\UserManagementModule;
/* @var $this yii\web\View */
/* @var $searchModel app\models\LoginLogoutSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Login Logouts';
$this->params['breadcrumbs'][] = $this->title;
?>


<?php yii\widgets\Pjax::begin(['id' => 'login-logouts-pjax']) ?>
<div class="nfc-card-index">




     <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">

                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                           <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
                      
                    </div>
                    <div class="actions">
                        <!-- Reset Button -->
                        <?= Html::a('Reset Filters', ['index'], ['class' => 'btn btn-default']) ?>
                  
                    </div>
                </div>
                <div class="portlet-body">
                <div class="table table-scrollable">

                <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

           // 'id',
          //  'device_id',
            [
                'attribute'=>'device_id',
                'value'=>'device.name'
            ],
          //  'user_id',
            [
                'attribute'=>'user_id',
                'value'=>'user.username'
            ],
            //'booth_id',
            [
                'attribute'=>'booth_id',
                'value'=>'booth.name'
            ],
            
            'req_time',
            'shift_id',
          //  'type',
            [
                
                'attribute'=>'type',
               // 'value'=>'ticketTypeStatus.name',
                'filter'=>ArrayHelper::map([['id'=>'LOGIN','name'=>'LOGIN'],['id'=>'LOGOUT','name'=>'LOGOUT']], 
                   'id', 'name'),
                
            ],

               ['class' => 'yii\grid\ActionColumn','template'=>'{view} ' ]
        ],
    ]); ?>
   
    </div>
                </div>
            </div>
        </div>
    </div>
</div>
  <?php yii\widgets\Pjax::end() ?>

  <?php
$this->registerJs("
$(document).on('keyup', '.form-control', function() {
    var form = $('#login-logouts-pjax .filters').closest('form');
    $.pjax.reload({
        container: '#login-logouts-pjax',
        url: form.attr('action'),
        data: form.serialize(),
        timeout: 1000,
    });
});
");




