<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
/* @var $this yii\web\View */
/* @var $searchModel app\models\MasterShiftSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Master Shifts';
$this->params['breadcrumbs'][] = $this->title;
?>


<?php yii\widgets\Pjax::begin(['id' => 'master-shift-pjax']) ?>
<div class="master-shift-index">

     <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">
            <p style="margin-top:8px;margin-bottom:8px;">
        <?= Html::a('Create', ['create'], ['class' => 'btn btn-success']) ?>
    </p>
                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                           <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
                      
                    </div>
                    <div class="actions">
                        <!-- Reset Button -->
                        <?= Html::a('Reset Filters', ['index'], ['class' => 'btn btn-default']) ?>
                  
                    </div>
                </div>
                <div class="portlet-body">
                <div class="table table-scrollable">
                <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

           // 'id',
            'name',
            'start_time',
            'end_time',

          //  ['class' => 'yii\grid\ActionColumn'],
            ['class' => 'yii\grid\ActionColumn','template'=>'{view} {update}' ]
        ],
    ]); ?>
            </div>
                </div>
            </div>
        </div>
    </div>
</div>
  <?php yii\widgets\Pjax::end() ?>

  <?php
$this->registerJs("
$(document).on('keyup', '.form-control', function() {
    var form = $('#master-shift-pjax .filters').closest('form');
    $.pjax.reload({
        container: '#master-shift-pjax',
        url: form.attr('action'),
        data: form.serialize(),
        timeout: 1000,
    });
});
");