
<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use app\models\NfcCard;
use app\models\NfcAllocation;
use webvimark\modules\UserManagement\UserManagementModule;
/* @var $this yii\web\View */
/* @var $searchModel app\models\NfcCardSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'NFC Allocations';
$this->params['breadcrumbs'][] = $this->title;
?>

<?php yii\widgets\Pjax::begin(['id' => 'nfc-cards-pjax']) ?>
<div class="nfc-card-index">




     <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">
            <p style="margin-top:8px;margin-bottom:8px;">
        <!-- <?= Html::a('Create', ['create'], ['class' => 'btn btn-success']) ?> -->
    </p>
                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                           <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
                      
                    </div>
                    <div class="actions">
                        <!-- Reset Button -->
                        <?= Html::a('Reset Filters', ['index'], ['class' => 'btn btn-default']) ?>
                  
                    </div>
                </div>
                <div class="portlet-body">
                <div class="table table-scrollable">

                <?= GridView::widget([
                'dataProvider' => $dataProvider,
                'filterModel' => $searchModel,
                'columns' => [
                    ['class' => 'yii\grid\SerialColumn'],

                    //'id',
                    //'nfc_card_id',
                    [
                        'attribute' => 'serial',
                        'value' => function ($model) {
                            return $model->nfcCard ? $model->nfcCard->serial : null; 
                        },
                        'label' => 'NFC Card Serial', 
                    ],
                    'vehicle_no',
                    [
                        'attribute'=>'vehicle_category',
                        'value'=>'vehicleCategory.name'
                    ],
                   // 'ic_id',
                    [
                        'attribute'=>'ic_id',
                        'value'=>'ic.name'
                    ],
                    //'section',
                    //'location',
                    //'organization', 
                    //'department', 
                    //'remarks',
                    [
                        'attribute' => 'assigned_on',
                        'format' => ['date', 'php:Y-m-d H:i:s'], 
                    ], 
                    [
                        'attribute' => 'assigned_by',
                        'value' => 'assignedBy.username', 
                    ],
                    [
                        'attribute' => 'removed_on',
                        'format' => ['date', 'php:Y-m-d H:i:s'], 
                    ],
                    [
                        'attribute' => 'removed_by',
                        'value' => 'removedBy.username', 
                    ],
                    [
                        'class' => 'webvimark\components\StatusColumn',
                        'attribute' => 'status',
                        'optionsArray' => [
                            [NfcAllocation::STATUS_DEACTIVE, UserManagementModule::t('back', 'BLACKLIST'), 'default'],
                            [NfcAllocation::STATUS_ACTIVE, UserManagementModule::t('back', 'ACTIVE'), 'green'],
                          
                            
                                
                           
        
                        ],
                    ],

                    ['class' => 'yii\grid\ActionColumn','template'=>'{view} ' ],
                ],
            ]); ?>
   
    </div>
                </div>
            </div>
        </div>
    </div>
</div>
  <?php yii\widgets\Pjax::end() ?>

  <?php
$this->registerJs("
$(document).on('keyup', '.form-control', function() {
    var form = $('#nfc-cards-pjax .filters').closest('form');
    $.pjax.reload({
        container: '#nfc-cards-pjax',
        url: form.attr('action'),
        data: form.serialize(),
        timeout: 1000,
    });
});
");
