<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use yii\web\YiiAsset;
use yii\grid\GridView;
use app\models\NfcAllocation;
use webvimark\modules\UserManagement\UserManagementModule;

/* @var $this yii\web\View */
/* @var $model app\models\NfcAllocation */

$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'NFC Allocations', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
YiiAsset::register($this);
?>

<div class="nfc-allocation-view">

    <div class="portlet light">
        <div class="portlet-title">
            <div class="caption">
                <i class="icon-social-dribbble font-dark hide"></i>
                <span class="caption-subject font-dark bold uppercase">NFC Allocation Overview</span>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <h1>Nfc Card ID: <?= Html::encode($model->nfc_card_id) ?></h1>
            </div>
        </div>

        <br>

        <div class="nfc-allocation-details">

            <?=
            DetailView::widget([
                'model' => $model,
                'attributes' => [
                    //'id',
                    'vehicle_no',
                    [
                        'attribute' => 'status',
                        'value' => $model->status == 1 ? 'Active' : 'Deactive',
                    ],
                    [
                        'attribute' => 'nfc_card_id',
                        'value' => $model->nfcCard ? $model->nfcCard->id : 'N/A',
                    ],
                    [
                        'attribute' => 'vehicle_category',
                        'value' => $model->vehicleCategory ? $model->vehicleCategory->name : 'N/A',
                    ],
                    [
                        'attribute' => 'ic_id',
                        'value' => $model->ic ? $model->ic->name : 'N/A',
                    ],
                    [
                        'attribute' => 'assigned_on',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                    ],
                    [
                        'attribute' => 'assigned_by',
                        'value' => $model->assignedBy ? $model->assignedBy->username : 'N/A',
                    ],
                    [
                        'attribute' => 'removed_on',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                    ],
                    [
                        'attribute' => 'removed_by',
                        'value' => $model->removedBy ? $model->removedBy->username : 'N/A',
                    ],
                ],
            ])
            ?>

        </div>


        <div class="portlet-body">
            <div class="table table-scrollable">

                <?=
                GridView::widget([
                    'dataProvider' => $dataProvider,
                    'filterModel' => $searchModel,
                    'columns' => [
                        ['class' => 'yii\grid\SerialColumn'],
                        [
                            'attribute' => 'serial',
                            'value' => function ($model) {
                                return $model->nfcCard ? $model->nfcCard->serial : null;
                            },
                            'label' => 'NFC Card Serial',
                        ],
                        'vehicle_no',
                        [
                            'attribute' => 'vehicle_category',
                            'value' => 'vehicleCategory.name'
                        ],
                        [
                            'attribute' => 'ic_id',
                            'value' => 'ic.name'
                        ],
                        [
                            'attribute' => 'assigned_on',
                            'format' => ['date', 'php:Y-m-d H:i:s'],
                        ],
                        [
                            'attribute' => 'assigned_by',
                            'value' => 'assignedBy.username',
                        ],
                        [
                            'attribute' => 'removed_on',
                            'format' => ['date', 'php:Y-m-d H:i:s'],
                        ],
                        [
                            'attribute' => 'removed_by',
                            'value' => 'removedBy.username',
                        ],
                    ],
                ]);
                ?>

            </div>
        </div>




    </div>
</div>
