
<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use app\models\NfcCard;
use app\models\NfcAllocation;
use webvimark\modules\UserManagement\UserManagementModule;
/* @var $this yii\web\View */
/* @var $searchModel app\models\NfcCardSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Nfc Cards';
$this->params['breadcrumbs'][] = $this->title;
?>

<?php yii\widgets\Pjax::begin(['id' => 'nfc-cards-pjax']) ?>
<div class="nfc-card-index">




     <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">
            <p style="margin-top:8px;margin-bottom:8px;">
        <?= Html::a('Create', ['create'], ['class' => 'btn btn-success']) ?>
    </p>
                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                           <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
                      
                    </div>
                    <div class="actions">
                        <!-- Reset Button -->
                        <?= Html::a('Reset Filters', ['index'], ['class' => 'btn btn-default']) ?>
                  
                    </div>
                </div>
                <div class="portlet-body">
                <div class="table table-scrollable">

                <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            //'id',
            'uid',
            [
                'label' => 'NFC Allocation',
                'attribute' => 'vehicle_no', 
                'value' => function($data) {
                    return NfcCard::get_vehicle($data->id);
                },
                'filter' => Html::activeTextInput($searchModel, 'vehicle_no', ['class' => 'form-control']), 
                'headerOptions' => ['style' => 'color: #4682B4; font-weight: bold;'], 
            ],
            'serial',
           // 'purchase_date',
           // 'batch_no',
         
           // 'remarks',
           [
                'label' => 'IC',
                'attribute' => 'ic', 
                'value' => function($data) {
                    return NfcCard::get_ic($data->id);
                },
                'filter' => Html::activeTextInput($searchModel, 'ic', ['class' => 'form-control']),
                'headerOptions' => ['style' => 'color: #4682B4; font-weight: bold;'],  
            ],
            [
                'label' => 'Region',
                'attribute' => 'region',  
                'filter' => Html::activeTextInput($searchModel, 'region', ['class' => 'form-control']),
                'value' => function($data){
                    return NfcCard::get_region($data->id);
                },
                
                'headerOptions' => ['style' => 'color: #4682B4; font-weight: bold;'], 
            ],
            [
                'class' => 'webvimark\components\StatusColumn',
                'attribute' => 'status',
                'optionsArray' => [
                    [NfcCard::STATUS_BLACKLIST, UserManagementModule::t('back', 'BLACKLIST'), 'default'],
                    [NfcCard::STATUS_ACTIVE, UserManagementModule::t('back', 'ACTIVE'), 'green'],
                  
                    
                        
                   

                ],
            ],

            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>
   
    </div>
                </div>
            </div>
        </div>
    </div>
</div>
  <?php yii\widgets\Pjax::end() ?>

  <?php
$this->registerJs("
$(document).on('keyup', '.form-control', function() {
    var form = $('#nfc-cards-pjax .filters').closest('form');
    $.pjax.reload({
        container: '#nfc-cards-pjax',
        url: form.attr('action'),
        data: form.serialize(),
        timeout: 1000,
    });
});
");
