<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use yii\helpers\Url;
use yii\helpers\BaseUrl;
use yii\helpers\ArrayHelper;
use kartik\select2\Select2;
use app\models\NfcCard;
use app\models\NfcAllocation;
use yii\widgets\pjax;
use yii\widgets\ajax;
use yii\widgets\ActiveForm;
use app\models\VehicleCategory;
use app\models\Ic;

/* @var $this yii\web\View */
/* @var $model app\models\NfcCard */

$this->title = $model->uid;
$this->params['breadcrumbs'][] = ['label' => 'Nfc Cards', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>
<div class="nfc-card-view">

    <style>
    .scrollV {

        position: relative;
        height: 80%;
        overflow: auto;
    }
    </style>
    <script>
    //unasiign device from all places 
    function unassign_nfc(nfc_card_id) {

        console.log("called NFC unassign");
        $.ajax({
            url: '<?php echo Url::to(['/./nfc-card/unassigned']); ?>',
            type: 'post',
            dataType: 'json',
            data: {
                "nfc_card_id": nfc_card_id,

            },
            success: function(data) {
                if (data) {
                    location.reload();
                }
            }
        });
    }



    </script>


    <div class="portlet light ">
        <div class="portlet-title">
            <p style="margin-top:8px;margin-bottom:8px;">
                <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-success']) ?>
                <?= Html::a('Create', ['create'], ['class' => 'btn btn-success ']) ?>
                <?= Html::a('Manage', ['index'], ['class' => 'btn btn-success']) ?>
                <?= Html::a('Delete', ['delete', 'id' => $model->id], [
    'class' => 'btn btn-danger',
    'data' => [
        'confirm' => 'Are you sure you want to delete this item?',
        'method' => 'post',
    ],
]) ?>
            </p>
            <div class="caption">
                <i class="icon-social-dribbble font-dark hide"></i>
                <span class="caption-subject font-dark bold uppercase">NFC</span>
            </div>
            <div class="action col-md-4 pull-right ">

                <?php $data = ArrayHelper::map($model::find()->all(), 'id', 'uid'); ?>
                <?php yii\widgets\Pjax::begin([]) ?>
                <?php echo Select2::widget([

            'model' => $model,
            'attribute' => 'uid',
            'data' => $data,
            'size' => Select2::SMALL,
            'options' => ['placeholder' => 'Search for NFC ...', 'class' => 'small'],
            'pluginOptions' => [
                'allowClear' => true
            ],
            'pluginEvents' => [
                'select2:select' => "function (e) {        
                        var id = e.params.data.id;                                    
                        console.log(id);
                        myFunction(id);                           
                        }"
            ]
        ]);

        ?>
                <script>
                //Parse the drop down selected item to controller 
                function myFunction(id) {

                    $.ajax({
                        url: '<?php echo Url::to(['/./nfc-card/quick']); ?>',

                        type: 'post',
                        dataType: 'json',
                        data: {
                            "id": id
                        },
                        success: function(data) {
                            alert(data.id);

                        }
                    });
                }
                </script>
                <?php yii\widgets\Pjax::end() ?>

            </div>
        </div>




        <div class="row">
            <div class="col-md-8">


                <div class="pricing-content-2">

                    <div class="pricing-table-container" style="padding-top:0px;">

                        <div class="no-padding">
                            <div class="price-column-container border-right border-top border-left border-bottom"
                                style="margin-top:0px;background-color: #f5f0b8;">
                                <div class="price-table-head price-1">
                                    <h2 class="uppercase bg-blue font-grey-cararra opt-pricing-5"> UID </h2>
                                </div>
                                <div class="price-table-pricing">
                                    <h3>
                                        <?php echo $model->uid ?>

                                        <!-- <span class="price-sign">day</span>  -->

                                    </h3>
                                    <div>

                                    </div>
                                </div>

                            </div>


                        </div>
                    </div>



                </div>
            </div>
            <div class="col-md-4">
                <p class="caption-subject font-purple-soft  ">STATUS : <?php
                        if ($model->status == NfcCard::STATUS_BLACKLIST) {
                            echo Html::tag('span', 'BLACKLIST', ['class' => 'label label-danger fontS11','style'=>'font-size:10px']);
                        } elseif ($model->status == NfcCard::STATUS_ACTIVE) {
                            echo Html::tag('span', 'ACTIVE', ['class' => 'label label-default fontS11','style'=>'font-size:10px;background-color:#30d82c']);
                        };
                        ?></p>
                <p class="uppercase"> BATCH NO : <?php echo $model->batch_no ?> </p>
                <p class="uppercase"> SERIAL : <?php echo $model->serial ?> </p>
                <p class="uppercase"> PURCHASE DATE : <?php echo $model->purchase_date ?> </p>
                <p class="uppercase"> REMARKS : <?php echo $model->remarks ?> </p>
            </div>
            <?php if($nfc_allocated_on):?>
            <div class="col-md-2">


                <a id="unassin_device_btn" data-target="#unassin_nfc" data-toggle="modal" class="btn btn-sm btn-warning"
                    href="javascript:;" title="remove NFC from all places">
                    <i class="fa fa-remove" style=""></i> Unassign from all locations
                </a>
            </div>
            <?php else: ?>
            <div class="col-md-2">


                <a id="assign_device_btn" data-target="#assign_nfc" data-toggle="modal" class="btn btn-sm btn-success"
                    href="javascript:;" title="allocate NFC from all places">
                    <i class="fa fa-right" style=""></i> Set Allocation
                </a>
            </div>

            <?php endif ?>
        </div>

    </div>
    <div class="row">
        <div class="col-md-6">
            <!-- BEGIN PORTLET-->
            <div class="portlet light ">
                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-edit font-dark"></i>
                        <span class="caption-subject font-dark bold uppercase">Allocation</span>
                    </div>
                    <!-- <div class="actions">
                                        <a class="btn btn-circle btn-icon-only btn-default" href="javascript:;">
                                            <i class="icon-cloud-upload"></i>
                                        </a>
                                        <a class="btn btn-circle btn-icon-only btn-default" href="javascript:;">
                                            <i class="icon-wrench"></i>
                                        </a>
                                        <a class="btn btn-circle btn-icon-only btn-default fullscreen" href="javascript:;" data-original-title="" title=""> </a>
                                        <a class="btn btn-circle btn-icon-only btn-default" href="javascript:;">
                                            <i class="icon-trash"></i>
                                        </a>
                                    </div> -->
                </div>
                <div class="portlet-body scrollV">
                    <?php if($allocation_data):?>
                    <?php foreach($allocation_data as $allocation):?>
                    <!-- <div class="note note-success">
                                        <h4 class="block"><?php echo $allocation->id ?></h4>
                                        <p> Duis mollis, est non commodo luctus, nisi erat mattis consectetur purus sit amet porttitor ligula, eget lacinia odio sem nec elit. Cras mattis consectetur purus sit amet fermentum. </p>
                                    </div> -->
                    <?php if($allocation->status == NfcAllocation::STATUS_ACTIVE):?>
                    <div class="note note-success">
                        <h4 class="block"><?php echo $allocation->vehicle_no ?> |
                            <?php echo $allocation->vehicleCategory->name ?><span
                                style="float:right;color:green">ACTIVE</span></h4>

                        <table class="table">

                            <tbody>
                                <tr>
                                    <td> Section </td>
                                    <td> <?php echo $allocation->section ?> </td>

                                </tr>
                                <tr>
                                    <td> Location </td>
                                    <td> <?php echo $allocation->location ?></td>

                                </tr>
                                <tr>
                                    <td> Organization </td>
                                    <td> <?php echo $allocation->organization ?></td>

                                </tr>
                                <tr>
                                    <td> Department </td>
                                    <td> <?php echo $allocation->department ?></td>

                                </tr>
                                <tr>
                                    <td> Interchange </td>
                                    <td> <?php echo $allocation->ic->name ?></td>

                                </tr>


                            </tbody>
                        </table>
                    </div>
                    <?php else: ?>
                    <div class="note note-info">
                        <h4 class="block"><?php echo $allocation->vehicle_no ?> |
                            <?php echo $allocation->vehicleCategory->name ?><span
                                style="float:right;color:red">EXPIRED</span></h4>

                        <table class="table">

                            <tbody>
                                <tr>
                                    <td> Secttion </td>
                                    <td> <?php echo $allocation->section ?> </td>

                                </tr>
                                <tr>
                                    <td> Location </td>
                                    <td> <?php echo $allocation->location ?></td>

                                </tr>
                                <tr>
                                    <td> Organization </td>
                                    <td> <?php echo $allocation->organization ?></td>

                                </tr>
                                <tr>
                                    <td> Department </td>
                                    <td> <?php echo $allocation->department ?></td>

                                </tr>


                            </tbody>
                        </table>
                    </div>
                    <?php endif ?>
                    <?php endforeach ?>
                    <?php else: ?>
                    <div class="note note-warning">
                        <h4 class="block">No Allocations !</h4>
                        <p> This NFC card not allocated yet </p>
                    </div>
                </div>
                <?php endif ?>
            </div>
            <!-- END PORTLET-->


        </div>
        <div class="col-md-6">


        </div>
    </div>


</div>
</div>



<!-- Start unassign NFC modal -->
<div id="unassin_nfc" class="modal fade">
    <div class="modal-dialog modal-confirm">
        <div class="modal-content">
            <div class="modal-header">
                <div class="">
                    <img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/tr.png" width="80px">
                </div>
                <h4 class="modal-title">Are you sure?</h4>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            </div>
            <div class="modal-body">

                <h4 class="uppercase bold">UID :
                    <?php echo $model->uid; ?>

                </h4>
                <h4 class="uppercase bold">Vehicle No :
                    <?php echo $nfc_allocated_on->vehicle_no ?>

                </h4>


                <p>Do you really want to unassign this NFC card from all locations? This process cannot be
                    undone.</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-info" data-dismiss="modal">Cancel</button>
                <button type="deleteTenurebtn" class="btn btn-danger" onclick="unassign_nfc('<?php echo $model->id ?>'                                                        
                                                                                )">Unassign</button>
            </div>
        </div>
    </div>
</div> <!-- End NFC unassign modal -->


<!-- Start assign NFC modal -->
<!-- <div id="assign_nfc" class="modal fade"> -->
<div id="assign_nfc" class="modal" tabindex="-1" role="dialog">
                            <?php yii\widgets\Pjax::begin([]) ?>
                            <?php $formRegion = ActiveForm::begin(); ?>
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"
                                            aria-hidden="true"></button>
                                        <span class="caption-subject ">
                                            NFC Allocation - <?= Html::encode($model->uid) ?></span>
                                    </div>
                                    <div class="modal-body">
                                        <div class="portlet-title">
                                            <div class="caption ">

                                                <span class="caption-subject  uppercase">
                                                   Please fill the form</span>
                                            </div>

                                        </div>
                                        <br>
                                        <div class="row">

                <div class="col-md-4">
                    <?= $formRegion->field($AllocationModel, 'vehicle_no')->textInput(['maxlength' => true]) ?>
                </div>
                <div class="col-md-4">

                    <?= $formRegion->field($AllocationModel, 'vehicle_category')->dropDownList(VehicleCategory::getList()) ?>
                </div>
                <div class="col-md-4">
                <?= $formRegion->field($AllocationModel, 'section')->textInput(['maxlength' => true]) ?>
               

                </div>

            </div>
            <div class="row">

                <div class="col-md-4">
                <?= $formRegion->field($AllocationModel, 'location')->textInput(['maxlength' => true]) ?>
               
                </div>
                <div class="col-md-4">
                <?= $formRegion->field($AllocationModel, 'organization')->textInput(['maxlength' => true]) ?>
                     </div>
                <div class="col-md-4">
                 <?= $formRegion->field($AllocationModel, 'department')->textInput(['maxlength' => true]) ?>




                    <?= $formRegion->field($AllocationModel, 'status')->textInput()->hiddenInput(['value' => 1])->label(false) ?>
                    <?= $formRegion->field($AllocationModel, 'nfc_card_id')->textInput()->hiddenInput(['value' => $model->id])->label(false) ?>
                    <?= $formRegion->field($AllocationModel, 'assigned_on')->hiddenInput(['value' => date("Y-m-d H:i:s")])->label(false) ?>
                    <?= $formRegion->field($AllocationModel, 'assigned_by')->hiddenInput(['value' => Yii::$app->user->id])->label(false) ?>
                </div>

            </div>
            <div class="row">
            <div class="col-md-4">

            <?= $formRegion->field($AllocationModel, 'ic_id')->dropDownList(Ic::getList()) ?>
            </div> 
            <div class="col-md-6">
            <?= $formRegion->field($AllocationModel, 'remarks')->textArea(['maxlength' => true]) ?>

            </div> 
            
            </div>
                                    </div>
                                    <div class="modal-footer">
                                        <?= Html::submitButton($BoothModel ='Allocate', ['class' => 'btn btn-success']) ?>
                                        <button type="button" class="btn btn-secondary"
                                            data-dismiss="modal">Close</button>
                                    </div>
                                </div>

                            </div>
                            <?php ActiveForm::end(); ?>
                            <?php yii\widgets\Pjax::end() ?>
                        </div> <!-- End assign NFC modal -->