<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use yii\helpers\Url;
use app\models\Notification;

use webvimark\modules\UserManagement\UserManagementModule;
use webvimark\modules\UserManagement\models\User;

/* @var $this yii\web\View */
/* @var $searchModel app\models\NotificationSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('app', 'Notifications');
$this->params['breadcrumbs'][] = $this->title;
?>



<?php yii\widgets\Pjax::begin([]) ?>
<div class="towing-index">

     <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">
            
                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                           <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
                      
                    </div>
                    <div class="actions">
                  
                    </div>
                </div>
                <div class="portlet-body">
                <div class="table table-scrollable">
    
                <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

           // 'id',
            'key',
           // 'key_id',
           // 'type',
            //'user_id',
            [
                'attribute'=>'user_id',
                'value'=>'user.username',
              
            ],
           // 'seen',
            [
                'class' => 'webvimark\components\StatusColumn',
                'attribute' => 'seen',
                'optionsArray' => [
                    [Notification::SEEN_NO, UserManagementModule::t('back', 'NO'), 'default'],
                    [Notification::SEEN_YES, UserManagementModule::t('back', 'YES'), 'green'],
                  
                ],
            ],
            'created_at',
           // 'flashed',
            [
                'class' => 'webvimark\components\StatusColumn',
                'attribute' => 'flashed',
                'optionsArray' => [
                    [Notification::FLASHED_NO, UserManagementModule::t('back', 'NO'), 'default'],
                    [Notification::FLASHED_YES, UserManagementModule::t('back', 'YES'), 'green'],
                  
                ],
            ],

          //  ['class' => 'yii\grid\ActionColumn'],
             [
    'class' => 'yii\grid\ActionColumn',
    'template' => '{view}  ',
    'urlCreator' => function ($action, $model, $key, $index) {
        return Url::to(['notifications/rnr?id='.$model->id]);
    },

],



        ],
    ]); ?>
            </div>
                </div>
            </div>
        </div>
    </div>
</div>
  <?php yii\widgets\Pjax::end() ?>




