<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use yii\helpers\BaseUrl;
use yii\helpers\Url;
use yii\helpers\ArrayHelper;
use kartik\select2\Select2;
use app\models\Region;
use yii\grid\GridView;
use yii\widgets\pjax;
use yii\widgets\ajax;


use yii\widgets\ActiveForm;
use webvimark\modules\UserManagement\models\User;



/* @var $this yii\web\View */
/* @var $model app\models\Region */

$this->title = $model->name;
$this->params['breadcrumbs'][] = ['label' => 'Regions', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>
 


<div class="organization-view">
    <div class="portlet light ">
             <div class="portlet-title">
      <p style="margin-top:8px;margin-bottom:8px;">
      <?php if(Yii::$app->user->isSuperadmin): ?>
        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-success']) ?>
        <?= Html::a('Create', ['create'], ['class' => 'btn btn-success ']) ?>
        <?= Html::a('Manage', ['index'], ['class' => 'btn btn-success']) ?>
        <!-- <?= Html::a('Delete', ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?> -->
        <?php endif; ?>
    </p>
            <div class="caption">
                <i class="icon-social-dribbble font-dark hide"></i>
                <span class="caption-subject font-dark bold uppercase">overview</span>
            </div>
            <div class="action col-md-4 pull-right ">
            
                <?php $data = Region::getList(); ?>
                <?php yii\widgets\Pjax::begin([]) ?>
                <?php echo Select2::widget([

                    'model' => $model,
                    'attribute' => 'name',
                    'data' => $data,
                    'size' => Select2::SMALL,
                    'options' => ['placeholder' => 'Search for region ...', 'class' => 'small'],
                    'pluginOptions' => [
                        'allowClear' => true
                    ],
                    'pluginEvents' => [
                        'select2:select' => "function (e) {        
                                var id = e.params.data.id;                                    
                                console.log(id);
                                myFunction(id);                           
                                }"
                    ]
                ]);

                ?>
                <script>
    //Parse the drop down selected item to controller 
function myFunction(id) {

    $.ajax({
        url: '<?php echo Url::to(['/./region/quick']); ?>',

        type: 'post',
        dataType: 'json',
        data: {"id": id},
        success: function (data) {
        alert(data.id);
                                        
        }
    });
}
</script>
                <?php yii\widgets\Pjax::end() ?>

            </div>
        </div>
        <div class="portlet-body">
            <div class="row">
                <div class="col-md-2 price-table-pricing">
                    <ul class="list-unstyled profile-nav">
                        <li>
                        
                                                <img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?><?php echo '/'. $model->photo ?>"
                                                  class="img-responsive w3-card pic-bordered"   height="180px"  width="165px"
                                                     onerror="this.src='<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../region_logos/default_logo.png';"
                                                    alt="">
                                               
                        </li>
                    </ul>
                </div>
                <div class="col-md-6 profile-info">
                    <p class="uppercase bold">
                        <?= Html::encode($model->name) ?>
                    </p>

                    <p>
                        <?= Html::encode($model->description) ?>
                    </p>
                    <span class="caption-subject font-purple-soft bold "> Status : <?php
                        if ($model->status == Region::STATUS_DEACTIVE) {
                            echo Html::tag('p', 'DEACTIVE', ['class' => 'label label-danger fontS11','style'=>'font-size:10px']);
                        } elseif ($model->status == Region::STATUS_ACTIVE) {
                            echo Html::tag('p', 'ACTIVE', ['class' => 'label label-default fontS11','style'=>'font-size:10px;background-color:#30d82c']);
                        };
                        ?></span>



                </div>
                <!--end col-md-8-->
                <div class="col-md-4" id="<?php echo $booth->id ?>">
                            <!-- BEGIN WIDGET THUMB -->
                            <div class="widget-thumb  text-uppercase margin-bottom-20 " style="background-color: #f1f1f1;">
                          
                          
                        
                                <div class="widget-thumb-wrap" >
                               
                                    <i class="widget-thumb-icon bg-blue"><img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/interchange.png" width="120px" height="15px" class=" img-responsive pic-bordered"
                                alt=""></i>
                                    <div class="widget-thumb-body">
                                        <span class="widget-thumb-subtitle">Interchanges</span>
                                        <span class="widget-thumb-body-stat" style="font-size: 16px;" ><?php echo $countOfIcs ?></span>
                                    </div>
                                </div>
                            
                                
                            </div>
                            <!-- END WIDGET THUMB -->
                        </div>

            </div>


        </div>
        <div class="tabbable-line tabbable-custom-profile">
    <ul class="nav nav-tabs">
        <li class="active">
            <a href="#tab_1_111" data-toggle="tab"> Interchanges </a>
        </li>
        <li>
            <a href="#tab_2_222" data-toggle="tab"> Region Admin </a>
        </li>
        <li>
            <a href="#tab_3_333" data-toggle="tab"> Region Manager </a>
        </li>
    </ul>
    <div class="tab-content">
        <div class="tab-pane active" id="tab_1_111" style='margin-top:-25px'>
            <div>
                <div class="portlet-body">
                    <div <?php echo $buttenEnable == 0 ? 'style="display: none;"' : ''; ?>  class="actions pull-right" style="margin-bottom:15px">
                        <a class="btn btn blue" data-target="#stack1" data-toggle="modal">Add IC </a>
                    </div>
                    <div class="table table-scrollable">
                        <?= GridView::widget([
                            'dataProvider' => $dataIcProvider,
                            'filterModel' => $searchIcModel,
                            'columns' => [
                                ['class' => 'yii\grid\SerialColumn'],
                                'name',
                                ['class' => 'yii\grid\ActionColumn',
                                    'contentOptions' => ['style' => 'width:70px;'],
                                    'template' => '{view} {update} {link}',
                                    'buttons' => [
                                        'view' => function ($url, $model, $key) {
                                            return Html::a('<span class="glyphicon glyphicon-eye-open"></span>', Url::home() . '/ic/view?id=' . $model->id);
                                        },
                                        'update' => function ($url, $model) {
                                            return Html::a('<span class="glyphicon glyphicon-pencil"></span>', Url::home() . '/ic/update?id=' . $model->id);
                                        },
                                    ],
                                ],
                            ],
                        ]); ?>
                    </div>
                </div>
                <!-- Add IC Modal -->
                <div id="stack1" class="modal" tabindex="-1" role="dialog">
                    <?php yii\widgets\Pjax::begin([]) ?>
                    <?php $formRegion = ActiveForm::begin(); ?>
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button <?php echo $regionIcEnable == 0 ? 'style="display: none;"' : ''; ?> type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                                <span class="caption-subject">Add IC</span>
                            </div>
                            <div class="modal-body">
                                <div class="portlet-title">
                                    <div class="caption">
                                        <span class="caption-subject uppercase"><?= Html::encode($model->name) ?></span>
                                    </div>
                                </div>
                                <br>
                                <div class="row">
                                    <div class="col-md-6">
                                        <?= $formRegion->field($IcModel, 'name')->textInput(['maxlength' => true]) ?>
                                    </div>
                                    <div class="col-md-6">
                                        <?= $formRegion->field($IcModel, 'code')->textInput(['maxlength' => true]) ?>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <?= $formRegion->field($IcModel, 'region_id')->hiddenInput(['value' => $model->id])->label(false) ?>
                                    </div>
                                    <div class="col-md-6">
                                        <?= $formRegion->field($IcModel, 'status')->hiddenInput(['value' => 1])->label(false) ?>
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                            </div>
                        </div>
                    </div>
                    <?php ActiveForm::end(); ?>
                    <?php yii\widgets\Pjax::end() ?>
                </div>
            </div>
        </div>

        <div class="tab-pane" id="tab_2_222" style='margin-top:-25px'>
            <div>
                <div class="portlet-body">
                    <div class="actions pull-right" style="margin-bottom:15px">
                        <?php if (Yii::$app->user->isSuperadmin): ?>
                            <a class="btn btn blue" data-target="#stack2" data-toggle="modal">Add Region Admin</a>
                        <?php endif; ?>
                    </div>
                    <div class="table table-scrollable">
                        <?php foreach ($data_region_admin as $key => $region_admin): ?>
                            <div class="note note-success col-md-4">
                                <a data-target="#remove_ra<?= $region_admin->id ?>" data-toggle="modal" title="remove-<?= $region_admin->user->username ?>">
                                    <div style="float:right;padding-top:3px;padding-right:3px;color: red;">
                                        <span><i class="fa fa-minus-circle" aria-hidden="true"></i></span>
                                    </div>
                                </a>
                                <h4 class="block">(<?= $key + 1 ?>) .<?= $region_admin->user->username ?></h4>
                            </div>

                            <!-- Start remove Region Admin Confirm - modal -->
                            <div id="remove_ra<?php echo $region_admin->id ?>" class="modal fade"> <!-- Updated ID -->
                                <div class="modal-dialog modal-confirm">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <div class="">
                                                <img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/tr.png"
                                                    width="80px">
                                            </div>
                                            <h4 class="modal-title">Are you sure?</h4>
                                            <button type="button" class="close" data-dismiss="modal"
                                                    aria-hidden="true">&times;</button>
                                        </div>
                                        <div class="modal-body">
                                            <h3 class="uppercase bold"><?php echo $region_admin->user->username ?></h3>
                                            <p>This Region Admin will be removed from <?php echo $model->name ?></p>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-info"
                                                    data-dismiss="modal">No</button>
                                            <button id="unassigned_btn_<?php echo $region_admin->user->id ?>"
                                                    class="btn btn-success"
                                                    onclick="remove_ra('<?php echo $region_admin->id ?>','<?php echo $model->id; ?>')"
                                                    data-dismiss="modal">Yes</button>
                                        </div>
                                    </div>
                                </div>
                            </div> <!-- end remove Region Admin Confirm - modal -->
   


                        <?php endforeach ?>
                    </div>
                </div>
            </div>

            <!-- Add Region Admin Modal -->
            <div id="stack2" class="modal" tabindex="-1" role="dialog">
                <?php yii\widgets\Pjax::begin([]) ?>
                <?php $formRegionAdmin = ActiveForm::begin(); ?>
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                            <span class="caption-subject">Add Region Admin</span>
                        </div>
                        <div class="modal-body">
                            <div class="portlet-title">
                                <div class="caption">
                                    <span class="caption-subject uppercase"><?= Html::encode($model->name) ?></span>
                                </div>
                            </div>
                            <br>
                            <div class="row">
                                <div class="col-md-12">
                                    <?= $formRegionAdmin->field($regionAdminModel, 'user_id')
                                        ->widget(Select2::classname(), [
                                            'data' => $regionAdminList,
                                            'model' => $regionAdminModel,
                                            'attribute' => 'username',
                                            'size' => Select2::MEDIUM,
                                            'language' => 'en',
                                            'options' => [
                                                'placeholder' => 'User  ...',
                                                'class' => '',
                                                'id' => 'add_region_admin'
                                            ],
                                            'pluginOptions' => [
                                                'allowClear' => true,
                                                'multiple' => true
                                            ],
                                            'pluginEvents' => [
                                                'select2:select' => "function (e) {
                                                    var id = e.params.data.id;
                                                    var uname = e.params.data.text;
                                                    console.log(uname);
                                                }",
                                            ]
                                        ]); ?>
                                </div>
                                <?= $formRegionAdmin->field($regionAdminModel, 'region_id')->hiddenInput(['value' => $model->id])->label(false) ?>
                                <?= $formRegionAdmin->field($regionAdminModel, 'status')->hiddenInput(['value' => 1])->label(false) ?>
                                <?= $formRegionAdmin->field($regionAdminModel, 'assigned_on')->hiddenInput(['value' => date("Y-m-d H:i:s")])->label(false) ?>
                                <?= $formRegionAdmin->field($regionAdminModel, 'assigned_by')->hiddenInput(['value' => Yii::$app->user->id])->label(false) ?>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
                <?php ActiveForm::end(); ?>
                <?php yii\widgets\Pjax::end() ?>
            </div>
        </div>

        <div class="tab-pane" id="tab_3_333" style='margin-top:-25px'>
            <div>
                <div class="portlet-body">
                    <div class="actions pull-right" style="margin-bottom:15px">
                        <a <?php echo $regionAdminButtenEnable == 0 ? 'style="display: none;"' : ''; ?>class="btn btn blue" data-target="#stack3" data-toggle="modal">Add Region Manager</a>
                        
                    </div>
                    <div class="table table-scrollable">
                        <?php foreach ($data_region_manager as $key => $region_manager): ?>
                            <div class="note note-success col-md-4">
                                <a data-target="#remove_region_manager<?= $region_manager->id ?>" data-toggle="modal" title="remove-<?= $region_manager->user->username ?>">
                                    <div style="float:right;padding-top:3px;padding-right:3px;color: red;">
                                        <span><i class="fa fa-minus-circle" aria-hidden="true"></i></span>
                                    </div>
                                </a>
                                <h4 class="block">(<?= $key + 1 ?>) .<?= $region_manager->user->username ?></h4>
                            </div>
                            
                            <!-- Start remove Region Manager Confirm - modal -->
                            <div id="remove_region_manager<?php echo $region_manager->id ?>" class="modal fade"> <!-- Updated ID -->
                                <div class="modal-dialog modal-confirm">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <div class="">
                                                <img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/tr.png"
                                                    width="80px">
                                            </div>
                                            <h4 class="modal-title">Are you sure?</h4>
                                            <button type="button" class="close" data-dismiss="modal"
                                                    aria-hidden="true">&times;</button>
                                        </div>
                                        <div class="modal-body">
                                            <h3 class="uppercase bold"><?php echo $region_manager->user->username ?></h3>
                                            <p>This Region Manager will be removed from <?php echo $model->name ?></p>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-info"
                                                    data-dismiss="modal">No</button>
                                            <button id="unassigned_btn_<?php echo $region_manager->user->id ?>"
                                                    class="btn btn-success"
                                                    onclick="remove_rm('<?php echo $region_manager->id ?>','<?php echo $model->id; ?>')"
                                                    data-dismiss="modal">Yes</button>
                                        </div>
                                    </div>
                                </div>
                            </div> <!-- end remove Region Manager Confirm - modal -->
                            
                        <?php endforeach ?>
                    </div>
                </div>
            </div>

            <!-- Add Region Manager Modal -->
            <div id="stack3" class="modal" tabindex="-1" role="dialog">
                <?php yii\widgets\Pjax::begin([]) ?>
                <?php $formRegionManager = ActiveForm::begin(); ?>
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button <?php echo $regionAdminButtenEnable == 0 ? 'style="display: none;"' : ''; ?> type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                            <span class="caption-subject">Add Region Manager</span>
                        </div>
                        <div class="modal-body">
                            <div class="portlet-title">
                                <div class="caption">
                                    <span class="caption-subject uppercase"><?= Html::encode($model->name) ?></span>
                                </div>
                            </div>
                            <br>
                            <div class="row">
                                <div class="col-md-12">
                                    <?= $formRegionManager->field($regionManagerModel, 'user_id')
                                        ->widget(Select2::classname(), [
                                            'data' => $regionManagerList,
                                            'model' => $regionManagerModel,
                                            'attribute' => 'username',
                                            'size' => Select2::MEDIUM,
                                            'language' => 'en',
                                            'options' => [
                                                'placeholder' => 'User  ...',
                                                'class' => '',
                                                'id' => 'add_region_manager'
                                            ],
                                            'pluginOptions' => [
                                                'allowClear' => true,
                                                'multiple' => true
                                            ],
                                            'pluginEvents' => [
                                                'select2:select' => "function (e) {
                                                    var id = e.params.data.id;
                                                    var uname = e.params.data.text;
                                                    console.log(uname);
                                                }",
                                            ]
                                        ]); ?>
                                </div>
                                <?= $formRegionManager->field($regionManagerModel, 'region_id')->hiddenInput(['value' => $model->id])->label(false) ?>
                                <?= $formRegionManager->field($regionManagerModel, 'status')->hiddenInput(['value' => 1])->label(false) ?>
                                <?= $formRegionManager->field($regionManagerModel, 'assigned_on')->hiddenInput(['value' => date("Y-m-d H:i:s")])->label(false) ?>
                                <?= $formRegionManager->field($regionManagerModel, 'assigned_by')->hiddenInput(['value' => Yii::$app->user->id])->label(false) ?>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
                <?php ActiveForm::end(); ?>
                <?php yii\widgets\Pjax::end() ?>
            </div>
        </div>
    </div>
</div>



            
             
   

            <script>
    function readURL(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            reader.onload = function (e) {
                $('#blah')
                    .attr('src', e.target.result)
                    .width(250);
            };

            reader.readAsDataURL(input.files[0]);
        }
    }
    
    function remove_ra(region_admin_row_id, region_id) {
        console.log("remove region admin");
        console.log(region_id);  // Corrected the variable name
        var $loading = $('#waitbox').hide();
        $loading.show();
        $.ajax({
            url: '<?php echo Url::to(['/region/remove-ra']); ?>',
            type: 'post',
            dataType: 'json',
            data: {
                "region_admin_row_id": region_admin_row_id,
                "region_id": region_id
            },
            success: function(data) {
                $loading.hide();
                if (data.status === 'success') {
                    location.reload();
                } else {
                    alert(data.message); // Show error message if the removal fails
                }
            },
            error: function(xhr, status, error) {
                $loading.hide();
                console.error('AJAX Error:', error);
                alert('An error occurred while processing your request. Please try again.');
            }
        });
    }


    function remove_rm(region_manager_row_id, region_id) {
        console.log("remove region manager");
        console.log(region_id); // Corrected the variable name
        var $loading = $('#waitbox').hide();
        $loading.show();
        $.ajax({
            url: '<?php echo Url::to(['/region/remove-rm']); ?>',
            type: 'post',
            dataType: 'json',
            data: {
                "region_manager_row_id": region_manager_row_id, // Corrected typo
                "region_id": region_id
            },
            success: function(data) {
                $loading.hide();
                if (data.status === 'success') {
                    location.reload();
                } else {
                    alert(data.message); // Show error message if the removal fails
                }
            },
            error: function(xhr, status, error) {
                $loading.hide();
                console.error('AJAX Error:', error);
                alert('An error occurred while processing your request. Please try again.');
            }
        });
    }
</script>
