<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\ActiveForm;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use yii\bootstrap4\Modal;
use kartik\date\DatePicker;
use app\models\Booth;
use app\models\Ic;
use kartik\depdrop\DepDrop;
use yii\widgets\LinkPager;
use yii\helpers\Json;

/* @var $this yii\web\View */
/* @var $searchModel app\models\TimeLogSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Monthly Revenue Report';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="time-log-index">

    <?php $form = ActiveForm::begin(); ?>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>



    <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">


                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                        <span class="caption-subject font-dark bold uppercase">
                            <?= Html::encode($this->title) ?></span>
                    </div>

                </div>

                <div class="portlet-body" style="margin-top: 26px;">
                    <form role="form">
                        <div class="row">
                            <div class="col-md-1 pull-right">
                                <?= Html::submitButton('Search', ['class' => 'btn btn-success']) ?>
                            </div>
                            <?php if($results):?>
                            <div class="actions" style="float:right;">
                                <div class="btn-group">
                                    <a class="btn blue btn-outline btn-circle btn-sm" href="javascript:;"
                                        data-toggle="dropdown" data-hover="dropdown" data-close-others="true"
                                        aria-expanded="false"> Export
                                        <i class="fa fa-angle-down"></i>
                                    </a>
                                    <ul class="dropdown-menu pull-right" style="    min-width: 80px;">

                                        <li>

                                            <a href="#" onclick="sendPdf()"> Pdf </a>
                                        </li>
                                        <li>
                                            <a href="#" onclick="sendExcel()"
                                                target="_blank">Excel </a>
                                        </li>

                                    </ul>
                                </div>
                            </div>
                            <?php endif;?>
                        </div>

                        <div class="row">
                            <div class="col-md-6">
                                <?= $form->field($model, 'ic')->dropDownList(Ic::getIcWithDefault()) ?>
                            </div>
                            <div class="col-md-6">
                                <?
                                    $years = [''=>''];

                                    for($i = 2019; $i <= date('Y');$i++){
                                        $years[$i] = $i;
                                    }

                                ?>
                                <?= $form->field($model, 'year')->dropDownList($years) ?>
                            </div>
                            
                        </div>

                        <br>
                        <br>

                    </form>
                </div>

            </div>

        </div>

    </div>
    <?php ActiveForm::end(); ?>
    <?php if($results):?>
    <div>
        <div class="tile-container">
            <div class="header matara-direction"></div>
            <div class="text">Matara Direction</div>
        </div>
        <div class="tile-container">
            <div class="header kadawatha-direction"></div>
            <div class="text">Kadawatha Direction</div>
        </div>
        
    </div>
    <br>
    <table class="table tableCompany_View-striped table-bordered table-advance table-hover">
        <thead>
            <tr>
                <th scope="col"><b>Month</b></th>
                <th scope="col"><b>C 1</b></th>
                <th scope="col"><b>C 2</b></th>
                <th scope="col"><b>C 3</b></th>
                <th scope="col"><b>C 4</b></th>
                <th scope="col"><b>S</b></th>
                <th scope="col"><b>PS</b></th>
                <th scope="col"><b>PMS</b></th>
                <th scope="col"><b>Total</b></th>
                <th scope="col"><b>Grand Total</b></th>

            </tr>
        </thead>
        <tbody id="tbody" class="table table-scrollable">
            <?
            $i = 0;
            $grandTotal = 0;
            $grandTotalSum = 0;
            $c1 = 0;
            $c2 = 0;
            $c3 = 0;
            $c4 = 0;
            $c5 = 0;
            $c6 = 0;
            $c7 = 0;
            $total = 0;
            ?>
            <?php foreach ($results as $result): ?>
            
            <tr>
                <?if($i%2 == 0):?>
                <td class="top-border specific-column" style="text-align:center;">
                    <?else:?>
                <td class="bottom-border specific-column">
                    <?endif;?>
                    <?php echo($result['date'])?>
                </td>
                <?if($i%2 == 0):?>
                <td class="top-border">
                    <?else:?>
                <td class="bottom-border">
                    <?endif;?>
                    <?php echo($result['1'] != 0 ? Yii::$app->formatter->asCurrency($result['1']) : '-')?>
                </td>
                <?if($i%2 == 0):?>
                <td class="top-border">
                    <?else:?>
                <td class="bottom-border">
                    <?endif;?>
                    <?php echo($result['2'] != 0 ? Yii::$app->formatter->asCurrency($result['2']) : '-')?>
                </td>
                <?if($i%2 == 0):?>
                <td class="top-border">
                    <?else:?>
                <td class="bottom-border">
                    <?endif;?>
                    <?php echo($result['3'] != 0 ? Yii::$app->formatter->asCurrency($result['3']) : '-')?>
                </td>
                <?if($i%2 == 0):?>
                <td class="top-border">
                    <?else:?>
                <td class="bottom-border">
                    <?endif;?>
                    <?php echo($result['4'] != 0 ? Yii::$app->formatter->asCurrency($result['4']) : '-')?>
                </td>
                <?if($i%2 == 0):?>
                <td class="top-border">
                    <?else:?>
                <td class="bottom-border">
                    <?endif;?>
                    <?php echo($result['20'] != 0 ? Yii::$app->formatter->asCurrency($result['20']) : '-')?>
                </td>
                <?if($i%2 == 0):?>
                <td class="top-border">
                    <?else:?>
                <td class="bottom-border">
                    <?endif;?>
                    <?php echo($result['21'] != 0 ? Yii::$app->formatter->asCurrency($result['21']) : '-')?>
                </td>
                <?if($i%2 == 0):?>
                <td class="top-border">
                    <?else:?>
                <td class="bottom-border">
                    <?endif;?>
                    <?php echo($result['22'] != 0 ? Yii::$app->formatter->asCurrency($result['22']) : '-')?>
                </td>
                
                <?if($i%2 == 0):?>
                <td class="top-border">
                    <?else:?>
                <td class="bottom-border">
                    <?endif;?>
                    <?php echo(Yii::$app->formatter->asCurrency($result['1'] + $result['2'] + $result['3'] + $result['4'] + $result['20'] + $result['21'] + $result['22']))?>
                </td>
                <?if($i%2 == 0):?>
                    <td class="top-border specific-column">
                <?else:?>
                    <td class="bottom-border specific-column">
                <?endif;?>
                    <?php 
                        if($i%2 == 0){
                            $grandTotal = 0;
                            $grandTotal = $result['1'] + $result['2'] + $result['3'] + $result['4'] + $result['20'] + $result['21'] + $result['22'];
                            echo '-';
                        }else{
                            $grandTotal += $result['1'] + $result['2'] + $result['3'] + $result['4'] + $result['20'] + $result['21'] + $result['22'];
                            $grandTotalSum += $grandTotal;
                            echo Yii::$app->formatter->asCurrency($grandTotal);
                        }
                    ?>
                </td>
                <?
                    ++$i;
                    $c1 += $result['1'];
                    $c2 += $result['2'];
                    $c3 += $result['3'];
                    $c4 += $result['4'];
                    $c5 += $result['20'];
                    $c6 += $result['21'];
                    $c7 += $result['22'];
                    $total += $result['1'] + $result['2'] + $result['3'] + $result['4'] + $result['20'] + $result['21'] + $result['22'];
                ?>


            </tr>
            <?php endforeach;?>
            <tr style="background-color:#a5c8ad;font-weight: bold;">
                <td style="text-align:center;">Grand Total</td>
                <td class="grand_total"><?= Yii::$app->formatter->asCurrency($c1);?></td>
                <td class="grand_total"><?= Yii::$app->formatter->asCurrency($c2);?></td>
                <td class="grand_total"><?= Yii::$app->formatter->asCurrency($c3);?></td>
                <td class="grand_total"><?= Yii::$app->formatter->asCurrency($c4);?></td>
                <td class="grand_total"><?= Yii::$app->formatter->asCurrency($c5);?></td>
                <td class="grand_total"><?= Yii::$app->formatter->asCurrency($c6);?></td>
                <td class="grand_total"><?= Yii::$app->formatter->asCurrency($c7);?></td>
                <td class="grand_total"><?= Yii::$app->formatter->asCurrency($total);?></td>
                <td class="grand_total"><?= Yii::$app->formatter->asCurrency($grandTotalSum);?></td>
            </tr>






        </tbody>

    </table>

    <?php endif;?>



</div>
<style>

.top-border {
    border-top: 2px solid #cccccc !important;
    border-left: 2px solid #cccccc !important;
    border-right: 2px solid #cccccc !important;
    background-color: #fff3cd;
    /* font-size: 11px !important; */
    padding: 1px !important;
    font-weight: bold;
    text-align: right;
}

.bottom-border {
    border-bottom: 2px solid #cccccc !important;
    border-left: 2px solid #cccccc !important;
    border-right: 2px solid #cccccc !important;
    background-color: #d1ecf1;
    /* font-size: 11px !important; */
    padding: 1px !important;
    text-align: right;
    font-weight: bold;
}

.specific-column{
    background-color: #f5c6cb !important;
    border: 2px solid #cccccc !important;
}
.grand_total{
    text-align: right;
    font-weight: bold;
}

th {
    text-align: center;
}

.my-custom-scrollbar {
    position: relative;
    height: 500px;
    overflow: auto;
}

.table-wrapper-scroll-y {
    display: block;
}

#entranceSearch {
    padding: 5px 5px 5px 5px;
    border: 1px solid #ddd;
    margin: -5px;
    width: -webkit-fill-available;
}
</style>
<script>
    function sendPdf() {

    var model = <?php echo json::encode($model);?>;
    var results = <?php echo json::encode($results);?>;
    var url = '<?php echo Url::to(['reports/analysis-monthly-revenue-pdf']); ?>';
    gotoUrl(url, {
        'model': model,
        'results': results
    });

    }

    function sendExcel() {

    var model = <?php echo json::encode($model);?>;
    var results = <?php echo json::encode($results);?>;
    var url = '<?php echo Url::to(['reports/analysis-monthly-revenue-excel']); ?>';
    gotoUrl(url, {
        'model': model,
        'results': results
    });

    }

    function gotoUrl(path, params, method) {
    //Null check
    method = method || "post"; // Set method to post by default if not specified.

    var form = document.createElement("form");
    form.setAttribute("method", method);
    form.setAttribute("action", path);

    //Fill the hidden form
    if (typeof params === 'string') {
        var hiddenField = document.createElement("input");
        hiddenField.setAttribute("type", "hidden");
        hiddenField.setAttribute("name", 'data');
        hiddenField.setAttribute("value", params);
        form.appendChild(hiddenField);
    } else {
        for (var key in params) {
            if (params.hasOwnProperty(key)) {
                var hiddenField = document.createElement("input");
                hiddenField.setAttribute("type", "hidden");
                hiddenField.setAttribute("name", key);
                if (typeof params[key] === 'object') {
                    hiddenField.setAttribute("value", JSON.stringify(params[key]));
                } else {
                    hiddenField.setAttribute("value", params[key]);
                }
                form.appendChild(hiddenField);
            }
        }
    }
    form.target = '_blank';
    document.body.appendChild(form);
    form.submit();
    return false;
    }
</script>