<?php
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use PhpOffice\PhpSpreadsheet\Style\Border;
use PhpOffice\PhpSpreadsheet\Style\Fill;
use app\models\Ic;

$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();

$sheet->setTitle(' XLSX  Document');
$nowdate=date('Y.m.d.h.i.s');

$styleArrayHeading = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '307BBA'),
        'size'  => 8,
        'name'  => 'Verdana'
    ),
    
);
$styleArrayTitle = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '4040C4'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));

$styleArrayTotal = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));
$styleArrayBorder = array(
    'borders' => array(
        'allBorders' => [
            'borderStyle' => Border::BORDER_THIN,
            'color' => ['rgb' => '000000'],
        ],
    ),
);
$sheet->getColumnDimension('A')->setWidth(20);       
$sheet->getColumnDimension('B')->setWidth(15);       
$sheet->getColumnDimension('C')->setWidth(15);       
$sheet->getColumnDimension('D')->setWidth(15);  
$sheet->getColumnDimension('E')->setWidth(15);  
$sheet->getColumnDimension('F')->setWidth(15);  
$sheet->getColumnDimension('G')->setWidth(15);  
$sheet->getColumnDimension('H')->setWidth(15);  
$sheet->getColumnDimension('I')->setWidth(15);  
$sheet->getColumnDimension('J')->setWidth(15);  
$count = 0;
$headinColunm = 0;
$sheet->setCellValue('A'.++$count, 'YEARLY REVENUE REPORT');
$sheet->setCellValue('A'.++$count, 'GENERATED DATE:'.$nowdate);
$sheet->setCellValue('A'.++$count, 'USER:'.Yii::$app->getUser()->username);
$sheet->setCellValue('A'.++$count, $model['ic'] == 'Any' ? 'IC : Any':'IC: '.Ic::find()->where(['id' => $model['ic']])->one()->name);
$sheet->setCellValue('A'.++$count, 'DATE:'.$model['year']);
++$count;
$sheet->setCellValue('A'.++$count, 'Matata Direction');
$sheet->getStyle('A'.$count)->applyFromArray($styleArrayBorder);
$sheet->getStyle('A'.$count)->getFill()
          ->setFillType(Fill::FILL_SOLID)
          ->getStartColor()->setARGB('fff3cd');

$sheet->setCellValue('A'.++$count, 'Kadawatha Direction');
$sheet->getStyle('A'.$count)->applyFromArray($styleArrayBorder);
$sheet->getStyle('A'.$count)->getFill()
          ->setFillType(Fill::FILL_SOLID)
          ->getStartColor()->setARGB('d1ecf1');
++$count;        
++$count;
$sCount = $count;
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('YEAR');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('C 1');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('C 2');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('C 3');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('C 4');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('S');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('PS');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('PMS');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Total');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Grand Total');
$sheet->getStyle('A'.$count.':J'.$count)->applyFromArray($styleArrayHeading);
$sheet->getStyle('A'.$count.':J'.$count)->getFill()
          ->setFillType(Fill::FILL_SOLID)
          ->getStartColor()->setARGB('a3c2c2');



$count += 1;
$i = 0;
$grandTotal = 0;
$grandTotalSum = 0;
$c1 = 0;
$c2 = 0;
$c3 = 0;
$c4 = 0;
$c5 = 0;
$c6 = 0;
$c7 = 0;
$total = 0;
foreach ($results as $result) {
    $row = 0;
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['date']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['1'] != 0 ? Yii::$app->formatter->asCurrency($result['1']) : '-');
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['2'] != 0 ? Yii::$app->formatter->asCurrency($result['2']) : '-');
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['3'] != 0 ? Yii::$app->formatter->asCurrency($result['3']) : '-');
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['4'] != 0 ? Yii::$app->formatter->asCurrency($result['4']) : '-');
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['20'] != 0 ? Yii::$app->formatter->asCurrency($result['20']) : '-');
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['21'] != 0 ? Yii::$app->formatter->asCurrency($result['21']) : '-');
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['22'] != 0 ? Yii::$app->formatter->asCurrency($result['22']) : '-');
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue(Yii::$app->formatter->asCurrency($result['1'] + $result['2'] + $result['3'] + $result['4'] + $result['20'] + $result['21'] + $result['22']));
    if($i%2 == 0){
        $grandTotal = 0;
        $grandTotal = $result['1'] + $result['2'] + $result['3'] + $result['4'] + $result['20'] + $result['21'] + $result['22'];
        $sheet->getCellByColumnAndRow(++$row, $count)->setValue('-');
        $sheet->getStyle('A'.$count.':J'.$count)->getFill()
          ->setFillType(Fill::FILL_SOLID)
          ->getStartColor()->setARGB('fff3cd');
    }else{
        $grandTotal += $result['1'] + $result['2'] + $result['3'] + $result['4'] + $result['20'] + $result['21'] + $result['22'];
        $grandTotalSum += $grandTotal;
        $sheet->getCellByColumnAndRow(++$row, $count)->setValue(Yii::$app->formatter->asCurrency($grandTotal));
        $sheet->getStyle('A'.$count.':J'.$count)->getFill()
          ->setFillType(Fill::FILL_SOLID)
          ->getStartColor()->setARGB('d1ecf1');
    }
    
    
    ++$count;
    ++$i;
    $c1 += $result['1'];
    $c2 += $result['2'];
    $c3 += $result['3'];
    $c4 += $result['4'];
    $c5 += $result['20'];
    $c6 += $result['21'];
    $c7 += $result['22'];
    $total += $result['1'] + $result['2'] + $result['3'] + $result['4'] + $result['20'] + $result['21'] + $result['22'];

}
$totalColunm = 0;
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue('Grand Total');
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue(Yii::$app->formatter->asCurrency($c1));
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue(Yii::$app->formatter->asCurrency($c2));
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue(Yii::$app->formatter->asCurrency($c3));
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue(Yii::$app->formatter->asCurrency($c4));
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue(Yii::$app->formatter->asCurrency($c5));
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue(Yii::$app->formatter->asCurrency($c6));
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue(Yii::$app->formatter->asCurrency($c7));
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue(Yii::$app->formatter->asCurrency($total));
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue(Yii::$app->formatter->asCurrency($grandTotalSum));

$sheet->getStyle('A'.$count.':J'.$count)->applyFromArray($styleArrayTotal);
$sheet->getStyle('A'.$sCount.':J'.$count)->applyFromArray($styleArrayBorder);
$sheet->getStyle('A'.$count.':J'.$count)->getFill()
          ->setFillType(Fill::FILL_SOLID)
          ->getStartColor()->setARGB('39ac39');


$filename = "YEARLY REVENUE REPORT". date("Y-m-d-H-i-s").".xlsx";
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename='.$filename);
header('Cache-Control: max-age=0');
$writer = new Xlsx($spreadsheet);
$writer->save('php://output');
exit;


?>

<h1> Excel  Document download </h1>