<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\ActiveForm;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use yii\bootstrap4\Modal;
use kartik\datetime\DateTimePicker;
use app\models\Booth;
use app\models\Ic;
use kartik\depdrop\DepDrop;
use yii\widgets\LinkPager;

/* @var $this yii\web\View */
/* @var $searchModel app\models\TimeLogSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Fare Collection All IC Summary';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="time-log-index">

    <?php $form = ActiveForm::begin(); ?>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>



    <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">


                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                        <span class="caption-subject font-dark bold uppercase">
                            <?= Html::encode($this->title) ?></span>
                    </div>

                </div>

                <div class="portlet-body" style="margin-top: 26px;">
                    <form role="form">
                        <div class="row">
                            <div class="col-md-1 pull-right">
                                <?= Html::submitButton('Search', ['class' => 'btn btn-success']) ?>
                            </div>
                            <?php if($results):?>
                            <div class="actions" style="float:right;">
                                <div class="btn-group">
                                    <a class="btn blue btn-outline btn-circle btn-sm" href="javascript:;"
                                        data-toggle="dropdown" data-hover="dropdown" data-close-others="true"
                                        aria-expanded="false"> Export
                                        <i class="fa fa-angle-down"></i>
                                    </a>
                                    <ul class="dropdown-menu pull-right" style="    min-width: 80px;">

                                        <li>

                                            <a href="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/index.php/reports/fare-collection-all-ic-summary-pdf"
                                                target="_blank"> Pdf </a>
                                        </li>
                                        <li>
                                            <a href="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/index.php/reports/fare-collection-all-ic-summary-excel"
                                                target="_blank">Excel </a>
                                        </li>

                                    </ul>
                                </div>
                            </div>
                            <?php endif;?>
                        </div>

                        <div class="row">
                            <div class="col-md-4">
                                <?echo $form->field($model, 'startDate')->widget(DateTimePicker::classname(), [
                                    'options' => ['placeholder' => 'End date & time ...','autocomplete' => 'off'],
                                    'pluginOptions' => [
                                        'autoclose' => true
                                    ]
                                ]);?>
                            </div>
                            <div class="col-md-4">
                                <?echo $form->field($model, 'endDate')->widget(DateTimePicker::classname(), [
                                    'options' => ['placeholder' => 'Start date & time ...','autocomplete' => 'off'],
                                    'pluginOptions' => [
                                        'autoclose' => true
                                    ]
                                ]);?>
                            </div>
                            <div class="col-md-4">
                                <?= $form->field($model, 'ticketType')->dropDownList(['entrance'=>'ENTRANCE TICKET','exit'=>'EXIT TICKET']) ?>
                            </div>
                        </div>

                        <br>
                        <br>

                    </form>
                </div>

            </div>

        </div>

    </div>
    <?php ActiveForm::end(); ?>
    <?php if($results):?>
    <?php if($model->ticketType == 'entrance'):?>
    <h4>Entrance Tickets Summary</h4>

    <table id="entranceTable"
        class="table tableCompany_View-striped table-bordered table-striped table-advance table-hover">
        <thead>
            <tr>
                <th><b>IC</b></th>
                <th colspan="<?= count($vCategor)?>"><b>Ticket Type Counts</b></th>
                <th><b>Total</b></th>
            </tr>
            <tr>
                <th scope="col"><input type="text" id="entranceSearch" onkeyup="searchEntranceTable()"
                        placeholder="Search for IC.." title="Type in a name"> </th>
                <?foreach($vCategor as $vc):?>
                <th scope="col"><b><?php print_r($vc->name)?></b> </th>
                <?endforeach;?>
                <th scope="col"> </th>

            </tr>
        </thead>
        <tbody id="tbody" class="table table-scrollable">
            <?
                        $grandTotal = 0;
                    ?>
            <?php foreach ($results as $result): ?>
            <tr>
                <td>
                    <?php echo($result['ic_name'])?>
                </td>
                <?foreach($vCategor as $vc):?>
                <td style="text-align:right;">
                    <?php echo($result[str_replace(' ', '', $vc->name)])?>
                </td>
                <?endforeach;?>

                <td style="text-align:right;">
                    <?php echo($result['Total'])?>
                </td>
                <?
                            $grandTotal += $result['Total'];
                        ?>

            </tr>
            <?php endforeach;?>
            <tr>
                <td style="text-align:center;" colspan="<?= count($vCategor)+1?>"><b>Grand Total</b></td>
                <td style="text-align:right;"><b><?= $grandTotal?></b></td>
            </tr>





        </tbody>

    </table>
    <?php else:?>
    <h4>Exit Tickets Summary</h4>
    <div class="table-wrapper-scroll-y my-custom-scrollbar">
    <table id="entranceTable"
        class="table tableCompany_View-striped table-bordered table-striped table-advance table-hover">
        <thead>
            <tr>
                <th scope="col"><b>IC</b></th>
                <th scope="col"><b>Ticket Type</b></th>
                <th scope="col"><b>Ticket Count</b></th>
                <th scope="col"><b>Amount</b></th>

            </tr>
        </thead>
        <tbody id="tbody" class="table table-scrollable">
            <?
                $temp_ic = '';
                $vehicleCount = 0;
                $totalAmount = 0;
                $grand_vehicle_count = 0;
                $grand_total_amount = 0;
                $i = 0
            ?>
            <?php foreach ($results as $result): ?>
            <tr>
                <?php if($temp_ic != $result['ic']):?>
                    <?php if(++$i != 1):?>
                    <td style="text-align:center;background-color: #c6c8ca;" colspan="2"><b>Total</b></td>
                    <td style="text-align:right;background-color: #c6c8ca;"><b><?= $vehicleCount?></b></td>
                    <td style="text-align:right;background-color: #c6c8ca;"><b><?= $totalAmount?></b></td>
                    <?
                        $grand_vehicle_count += $vehicleCount;
                        $grand_total_amount += $totalAmount;
                    ?>
                    </tr>
                    <tr><td colspan="4"></td></tr>
                    <tr>
                    <?php endif;?>
                    <?
                        $temp_ic = $result['ic'];
                        $vehicleCount = 0;
                        $totalAmount = 0;
                        $vehicleCount += $result['ticket_count'];
                        $totalAmount += $result['ticket_amount'];
                    ?>
                    <td style="background-color: #b8daff;">
                        <b><?php echo($result['ic'])?></b>
                    </td>
                <?php else:?>
                    <td></td>
                    <?
                        $vehicleCount += $result['ticket_count'];
                        $totalAmount += $result['ticket_amount'];
                    ?>
                <?php endif;?>
                <td>
                    <?php echo($result['ticket_type'])?>
                </td>
                <td style="text-align:right;">
                    <?php echo($result['ticket_count'])?>
                </td>
                <td style="text-align:right;">
                    <?php echo($result['ticket_amount'])?>
                </td>
            </tr>
            <?php endforeach;?>
            <tr>
                <td style="text-align:center;background-color: #c6c8ca;" colspan="2"><b>Total</b></td>
                <td style="text-align:right;background-color: #c6c8ca;"><b><?= $vehicleCount?></b></td>
                <td style="text-align:right;background-color: #c6c8ca;"><b><?= $totalAmount?></b></td>
            </tr>
            <?
                $grand_vehicle_count += $vehicleCount;
                $grand_total_amount += $totalAmount;
            ?>
            <tr style="height:15px;"></tr>
            <tr>
                <td style="text-align:center;background-color: #17C4BB;" colspan="2"><b>Grand Total</b></td>
                <td style="text-align:right;background-color: #17C4BB;"><b><?= $grand_vehicle_count?></b></td>
                <td style="text-align:right;background-color: #17C4BB;"><b><?= $grand_total_amount?></b></td>
            </tr>
        </tbody>

    </table>
    </div>
    <?php endif;?>

    <?php endif;?>



</div>
<style>
th {
    text-align: center;
}
.my-custom-scrollbar {
position: relative;
height: 500px;
overflow: auto;
}
.table-wrapper-scroll-y {
display: block;
}

#entranceSearch {
    padding: 5px 5px 5px 5px;
    border: 1px solid #ddd;
    margin: -5px;
    width: -webkit-fill-available;
}
</style>
<script>
function searchEntranceTable() {
    var input, filter, table, tr, td, i, txtValue;
    input = document.getElementById("entranceSearch");
    filter = input.value.toUpperCase();
    table = document.getElementById("entranceTable");
    tr = table.getElementsByTagName("tr");
    for (i = 0; i < tr.length; i++) {
        td = tr[i].getElementsByTagName("td")[0];
        if (td) {
            txtValue = td.textContent || td.innerText;
            if (txtValue.toUpperCase().indexOf(filter) > -1) {
                tr[i].style.display = "";
            } else {
                tr[i].style.display = "none";
            }
        }
    }
}
</script>