<?php
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use webvimark\modules\UserManagement\models\User;
use app\models\Ic;
use app\models\Devices;
use app\models\TicketTypeStatus;
use app\models\Booth;

$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();

$sheet->setTitle(' XLSX  Document');
$nowdate=date('Y.m.d.h.i.s');

$styleArrayHeading = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '307BBA'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));
$styleArrayTitle = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '4040C4'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));

$styleArrayTotal = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));

$count = 0;

$sheet->setCellValue('A'.++$count, 'FARE COLLECTION ALL IC SUMMARY REPORT');
$sheet->setCellValue('A'.++$count, 'GENERATED DATE:'.$nowdate);
$sheet->setCellValue('A'.++$count, 'START DATE:'.$model->startDate);
$sheet->setCellValue('A'.++$count, 'END DATE:'.$model->endDate);
$sheet->setCellValue('A'.++$count, 'TICKET TYPE:Entrance Tickets');

$count += 2;

$sheet->setCellValue('A'.$count, 'ENTRANCE SUMMARY TABLE');
$sheet->getStyle('A'.$count)->applyFromArray($styleArrayTitle);

++$count;
$rowHeading = 0;

$sheet->getCellByColumnAndRow(++$rowHeading, $count)->setValue('IC');
foreach($vCategor as $vc){
    $sheet->getCellByColumnAndRow(++$rowHeading, $count)->setValue($vc->name);
}
$sheet->getCellByColumnAndRow(++$rowHeading, $count)->setValue('Total');
$sheet->getStyle('A'.$count.':N'.$count)->applyFromArray($styleArrayHeading);

++$count;
$lastColnm = 0;
$ttl = 0;
foreach($results as $result){
    $row = 0;
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['ic_name']);
    foreach($vCategor as $vc){
        $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result[str_replace(' ', '', $vc->name)]);
    }
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['Total']);
    $lastColnm = $row;
    $ttl += $result['Total'];
    ++$count;
}
$sheet->getCellByColumnAndRow($lastColnm-1, ++$count)->setValue('Grand Total');
$sheet->getCellByColumnAndRow($lastColnm, $count)->setValue($ttl);

$filename = "FARE COLLECTION ALL IC SUMMARY REPORT(ENTRANCE)". date("Y-m-d-H-i-s").".xlsx";
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename='.$filename);
header('Cache-Control: max-age=0');
$writer = new Xlsx($spreadsheet);
$writer->save('php://output');
exit;


?>

<h1> Excel  Document download </h1>