<?php
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use webvimark\modules\UserManagement\models\User;
use app\models\Ic;
use app\models\Devices;
use app\models\TicketTypeStatus;
use app\models\Booth;
use PhpOffice\PhpSpreadsheet\Style\Border;
use PhpOffice\PhpSpreadsheet\Style\Fill;

$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();

$sheet->setTitle(' XLSX  Document');
$nowdate=date('Y.m.d.h.i.s');

$styleArrayHeading = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '307BBA'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));
$styleArrayGrandTotal = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 10,
        'name'  => 'Verdana'
    ));
$styleArrayTitle = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '4040C4'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));

$styleArrayTotal = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));

$styleArrayBorder = array(
    'borders' => array(
        'allBorders' => [
            'borderStyle' => Border::BORDER_THIN,
            'color' => ['rgb' => '000000'],
        ],
    ),
);

$count = 0;

$sheet->getColumnDimension('A')->setWidth(20); 
$sheet->getColumnDimension('B')->setWidth(20); 
$sheet->getColumnDimension('C')->setWidth(20); 
$sheet->getColumnDimension('D')->setWidth(20);

$sheet->setCellValue('A'.++$count, 'FARE COLLECTION ALL IC SUMMARY REPORT');
$sheet->setCellValue('A'.++$count, 'GENERATED DATE:'.$nowdate);
$sheet->setCellValue('A'.++$count, 'START DATE:'.$model->startDate);
$sheet->setCellValue('A'.++$count, 'END DATE:'.$model->endDate);
$sheet->setCellValue('A'.++$count, 'TICKET TYPE:Exit Tickets');

$count += 2;

$sheet->setCellValue('A'.$count, 'Exit SUMMARY TABLE');
$sheet->getStyle('A'.$count)->applyFromArray($styleArrayTitle);

++$count;
$rowHeading = 0;

$sheet->getCellByColumnAndRow(++$rowHeading, $count)->setValue('IC');
$sheet->getCellByColumnAndRow(++$rowHeading, $count)->setValue('Ticket Type');
$sheet->getCellByColumnAndRow(++$rowHeading, $count)->setValue('Ticket Count');
$sheet->getCellByColumnAndRow(++$rowHeading, $count)->setValue('Ticket Amount');
$sheet->getStyle('A'.$count.':E'.$count)->applyFromArray($styleArrayHeading);
$border_begin = $count;

++$count;
$temp_ic = '';
$vehicleCount = 0;
$totalAmount = 0;
$grand_vehicle_count = 0;
$grand_total_amount = 0;
$i = 0;
foreach($results as $result){
    $row = 0;
    if($temp_ic != $result['ic']){
        if(++$i != 1){
            $sheet->getCellByColumnAndRow(2, $count)->setValue('Total');
            $sheet->getCellByColumnAndRow(3, $count)->setValue($vehicleCount);
            $sheet->getCellByColumnAndRow(4, $count)->setValue($totalAmount);
            $sheet->getStyle('B'.$count.':D'.$count)->applyFromArray($styleArrayGrandTotal);
            $sheet->getStyle('A'.$count.':D'.$count)->getFill()
                  ->setFillType(Fill::FILL_SOLID)
                  ->getStartColor()->setARGB('a3c2c2');
            $count+=2;
            $grand_vehicle_count += $vehicleCount;
            $grand_total_amount += $totalAmount;
        }
        $temp_ic = $result['ic'];
        $vehicleCount = 0;
        $totalAmount = 0;
        $vehicleCount += $result['ticket_count'];
        $totalAmount += $result['ticket_amount'];

        $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['ic']);
    }else{
        $sheet->getCellByColumnAndRow(++$row, $count)->setValue(' ');
        $vehicleCount += $result['ticket_count'];
        $totalAmount += $result['ticket_amount'];
    }
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['ticket_type']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['ticket_count']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['ticket_amount']);
    ++$count;
    
}
$sheet->getCellByColumnAndRow(2, $count)->setValue('Total');
$sheet->getCellByColumnAndRow(3, $count)->setValue($vehicleCount);
$sheet->getCellByColumnAndRow(4, $count)->setValue($totalAmount);
$sheet->getStyle('B'.$count.':D'.$count)->applyFromArray($styleArrayGrandTotal);
$sheet->getStyle('A'.$count.':D'.$count)->getFill()
                  ->setFillType(Fill::FILL_SOLID)
                  ->getStartColor()->setARGB('a3c2c2');
$grand_vehicle_count += $vehicleCount;
$grand_total_amount += $totalAmount;
$count += 2;
$sheet->getCellByColumnAndRow(2, $count)->setValue('Grand Total');
$sheet->getCellByColumnAndRow(3, $count)->setValue($grand_vehicle_count);
$sheet->getCellByColumnAndRow(4, $count)->setValue($grand_total_amount);
$sheet->getStyle('B'.$count.':D'.$count)->applyFromArray($styleArrayGrandTotal);
$sheet->getStyle('A'.$count.':D'.$count)->getFill()
                  ->setFillType(Fill::FILL_SOLID)
                  ->getStartColor()->setARGB('17C4BB');
$sheet->getStyle('A'.$border_begin.':D'.$count)->applyFromArray($styleArrayBorder);

$filename = "FARE COLLECTION ALL IC SUMMARY REPORT(EXIT)". date("Y-m-d-H-i-s").".xlsx";
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename='.$filename);
header('Cache-Control: max-age=0');
$writer = new Xlsx($spreadsheet);
$writer->save('php://output');
exit;


?>

<h1> Excel  Document download </h1>