<?php
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use app\models\TicketTypeStatus;
use app\models\Devices;
use webvimark\modules\UserManagement\models\User;

$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();

$sheet->setTitle(' XLSX  Document');
$nowdate=date('Y.m.d.h.i.s');

$styleArrayHeading = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '307BBA'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));
$styleArrayTitle = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '4040C4'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));

$styleArrayTotal = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));
$count = 0;

$sheet->setCellValue('A'.++$count, 'FARE COLLECTION BOOTH WISE DETAILED REPORT');
$sheet->setCellValue('A'.++$count, 'GENERATED DATE:'.$nowdate);
$sheet->setCellValue('A'.++$count, 'USER:'.Yii::$app->getUser()->username);
++$count;
$headingCol = 0;
$sheet->getCellByColumnAndRow(++$headingCol, $count)->setValue('POS');
$sheet->getCellByColumnAndRow(++$headingCol, $count)->setValue('Teller');
if($isExit)
    $sheet->getCellByColumnAndRow(++$headingCol, $count)->setValue('Ext Serial');
$sheet->getCellByColumnAndRow(++$headingCol, $count)->setValue('Ent Serial');
$sheet->getCellByColumnAndRow(++$headingCol, $count)->setValue('Vehicle Type');
$sheet->getCellByColumnAndRow(++$headingCol, $count)->setValue('Issue Time');
if($isExit)
    $sheet->getCellByColumnAndRow(++$headingCol, $count)->setValue('Ticket Type');
if($isExit)
    $sheet->getCellByColumnAndRow(++$headingCol, $count)->setValue('Amount');

$sheet->getStyle('A'.$count.':H'.$count)->applyFromArray($styleArrayHeading);


++$count;
$exitTotalAmount = 0;
foreach ($results as $result) {
    if($result['ticket_type_status_id'] == TicketTypeStatus::NORMAL_TICKET){
        $ticketType = 'Normal';
    }else if($result['ticket_type_status_id'] == TicketTypeStatus::REPRINT_TICKET){
        $ticketType = 'Reprint';
    }else if($result['ticket_type_status_id'] == TicketTypeStatus::LOST_TICKET){
        $ticketType = 'Lost';
    }else if($result['ticket_type_status_id'] == TicketTypeStatus::EXPIRE_TICKET){
        $ticketType = 'Expire';
    }else if($result['ticket_type_status_id'] == TicketTypeStatus::MANUAL_TICKER){
        $ticketType = 'Manual';
    }
    $row = 0;
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue(Devices::find()->where(['id' => $result['device_id']])->one()->name);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue(User::find()->where(['id' => $result['teller_id']])->one()->username);
    if($isExit) $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['exit_serial']);
    if($isExit) $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['entrance_serial']);
    else $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['serial_no']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['name']);
    if($isExit) $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['exit_time']);
    else $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['entrance_time']);
    if($isExit) $sheet->getCellByColumnAndRow(++$row, $count)->setValue($ticketType);
    if($isExit) $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['amount']);
    ++$count;
    $exitTotalAmount += $result['amount'];
}
if($isExit){
    $sheet->getCellByColumnAndRow(7, $count)->setValue('Total');
    $sheet->getCellByColumnAndRow(8, $count)->setValue(number_format((float)$exitTotalAmount, 2, '.', ''));
    $sheet->getStyle('G'.$count.':H'.$count)->applyFromArray($styleArrayTotal);
}


$filename = "FARE COLLECTION BOOTH WISE DETAILED REPORT". date("Y-m-d H-i-s").".xlsx";
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename='.$filename);
header('Cache-Control: max-age=0');
$writer = new Xlsx($spreadsheet);
$writer->save('php://output');
exit;


?>

<h1> Excel  Document download </h1>