<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\ActiveForm;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use yii\bootstrap4\Modal;
use kartik\datetime\DateTimePicker;
use app\models\Booth;
use app\models\Ic;
use kartik\depdrop\DepDrop;
use yii\widgets\LinkPager;

/* @var $this yii\web\View */
/* @var $searchModel app\models\TimeLogSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Fare Collection POS Wise';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="time-log-index">

    <?php $form = ActiveForm::begin(); ?>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>



    <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">


                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                        <span class="caption-subject font-dark bold uppercase">
                            <?= Html::encode($this->title) ?></span>
                    </div>
                    
                </div>

                <div class="portlet-body" style="margin-top: 26px;">
                    <form role="form">
                        <div class="row">
                            <div class="col-md-1 pull-right">
                                <?= Html::submitButton('Search', ['class' => 'btn btn-success']) ?>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-4">
                                <!-- <?= $form->field($model, 'ic')->dropDownList(Ic::getList()) ?> -->
                                <!-- <? echo $form->field($model, 'ic')->dropDownList(Ic::getList());?> -->
                                <?echo $form->field($model, 'ic')->dropDownList(Ic::getList(), 
                            ['prompt'=>'-Select a IC-',
                            'onchange'=>'
                                $.post( "'.Yii::$app->urlManager->createUrl('booth-devices/get-pos-by-ic?ic_id=').'"+$(this).val(), function( data ) {
                                $( "select#farecollectionPoswise-pos" ).html( data );
                                });
                            ']); ?>
                            </div>
                            <div class="col-md-4">
                                <?= $form->field($model, 'pos')->dropDownList([]) ?>

                            </div>
                            <div class="col-md-4">
                                <?= $form->field($model, 'reportType')->dropDownList(['summary'=>'SUMMARY REPORT','detailed'=>'DETAILED REPORT','all'=>'------ ALL ------']) ?>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <?echo $form->field($model, 'startDate')->widget(DateTimePicker::classname(), [
                                    'options' => ['placeholder' => 'Start date time ...','autocomplete' => 'off'],
                                    'pluginOptions' => [
                                        'autoclose' => true
                                    ]
                                ]);?>
                            </div>
                            <div class="col-md-6">
                                <?echo $form->field($model, 'endDate')->widget(DateTimePicker::classname(), [
                                    'options' => ['placeholder' => 'End date time ...','autocomplete' => 'off'],
                                    'pluginOptions' => [
                                        'autoclose' => true
                                    ]
                                ]);?>
                            </div>
                        </div>
                        <br>
                        <br>
                        
                    </form>
                </div>

            </div>

        </div>

    </div>
    <?php ActiveForm::end(); ?>



</div>