<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\ActiveForm;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use yii\bootstrap4\Modal;
use kartik\datetime\DateTimePicker;
use app\models\Booth;
use app\models\BoothType;
use app\models\TicketTypeStatus;
use app\models\Devices;
use app\models\Ic;
use kartik\depdrop\DepDrop;
use yii\widgets\LinkPager;
use webvimark\modules\UserManagement\models\User;

/* @var $this yii\web\View */
/* @var $searchModel app\models\TimeLogSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Fare Collection POS Wise Detailed Report';
$this->params['breadcrumbs'][] = $this->title;
?>

<h3 style="text-decoration: underline;">Fare Collection POS Wise Summary & Detailed Report</h3>
<div class="">
    <div class="row">
        <div class="column">
            <div class="column2">
                <p> <b>GENERATED DATE :</b>
                    <?= date('Y-m-d H:i;s') ?>
                </p>
                <p style="text-transform: uppercase;"> <b>USER :</b>
                    <?= Html::encode(Yii::$app->getUser()->username) ?>
                </p>

                <p style="text-transform: uppercase;"> <b>IC :</b>
                    <?= Ic::find()->where(['id' => $model->ic])->one()->name ?>
                </p>
                <p style="text-transform: uppercase;"> <b>DEVICE :</b>
                    <?= Devices::find()->where(['id' => $model->pos])->one()->name ?>
                </p>
            </div>

            <div class="column2">
                <p> <b>START DATE :</b>
                    <?= $model->startDate ?>
                </p>
                <p> <b>END DATE :</b>
                    <?= $model->endDate ?>
                </p>
                <div>
                    <div class="tile-container">
                        <div class="header expired"></div>
                        <div class="text">Expried Ticket</div>
                    </div>
                    <div class="tile-container">
                        <div class="header manual"></div>
                        <div class="text">Manual Ticket</div>
                    </div>
                    <div class="tile-container">
                        <div class="header lost"></div>
                        <div class="text">Lost Ticket</div>
                    </div>
                    <div class="tile-container ">
                        <div class="header reprint"></div>
                        <div class="text">Reprint Ticket</div>
                    </div>
                </div>
               
            </div>

        </div>

        <div class="column">
            <?php if($dResults):?>
                <div class="actions" style="float:right;">
                    <div class="btn-group">
                        <a class="btn blue btn-outline btn-circle btn-sm" href="javascript:;" data-toggle="dropdown"
                            data-hover="dropdown" data-close-others="true" aria-expanded="false"> Export
                            <i class="fa fa-angle-down"></i>
                        </a>
                        <ul class="dropdown-menu pull-right" style="    min-width: 80px;">

                            <li>

                                <a href="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/index.php/reports/fare-collection-pos-wise-pdf"
                                    target="_blank"> Pdf </a>
                            </li>
                            <li>
                                <a href="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/index.php/reports/fare-collection-pos-wise-excel"
                                    target="_blank">Excel </a>
                            </li>

                        </ul>
                    </div>
                </div>
            <?endif;?>
            <div style="float:right;margin-right: 10px;">
                <div class="btn-group">
                    <a class="btn blue btn-outline btn-circle btn-sm" href="javascript:;" onclick="reload()">
                        Search
                        <i class="fa fa-search"></i>
                    </a>
                </div>
            </div>
        </div>
    </div>

    <?php \yii\widgets\Pjax::begin(); ?>
    <?php if($dResults):?>

    <div>
    <?if($isExit):?>
    <h4>Exit Ticket Details</h4>
    <?else:?>
    <h4>Entrance Ticket Details</h4>
    <?endif;?>
        
    </div>

    <table class="table tableCompany_View-striped table-bordered table-advance table-hover">
        <thead>
            <tr>
                <th scope="col" style="min-width:140px !important"><b>Vehicle Type</b> </th>
                <th scope="col" style="min-width:140px !important"><b>Description</b> </th>
                <th scope="col" style="min-width:105px !important"><b>Ticket Count</b> </th>
                <?if($isExit):?>
                <th scope="col" style="min-width:105px !important"><b>Amount</b> </th>
                <?endif;?>

            </tr>
        </thead>
        <tbody id="tbody" class="table table-scrollable">
            <?
                $count = 0;
                $amount = 0;
            ?>
            <?php foreach ($sResults as $sResult): ?>
            <tr>
                <td>
                    <?php echo($sResult['name'])?>
                </td>
                <td>
                    <?php echo($sResult['description'])?>
                </td>
                <td>
                    <?php echo($sResult['vcount'])?>
                </td>
                <?if($isExit):?>
                <td>
                    <?php echo($sResult['amount'])?>
                </td>
                <?endif;?>
                <?
                    $count += $sResult['vcount'];
                    $amount += $sResult['amount'];
                ?>

            </tr>
            <?php endforeach;?>
            <tr>
                <td></td>
                <td><b>Total</b></td>
                <td><b><?= $count?></b></td>
                <?if($isExit):?>
                <td><b><?= $amount?></b></td>
                <?endif;?>
            </tr>





        </tbody>

    </table>
    <br>
    <table class="table tableCompany_View-striped table-bordered table-advance table-hover">
        <thead>
            <tr>
                <th scope="col" style="min-width:140px !important"><b>POS</b> </th>
                <th scope="col" style="min-width:140px !important"><b>Booth Name</b> </th>
                <th scope="col" style="min-width:140px !important"><b>Teller</b> </th>
                <?if($isExit):?>
                <th scope="col" style="min-width:140px !important"><b>Ext Serial</b> </th>
                <?endif;?>
                <th scope="col" style="min-width:105px !important"><b>Ent Serial</b> </th>
                <th scope="col" style="min-width:105px !important"><b>Vehicle Type</b> </th>
                <?if($isExit):?>
                <th scope="col" style="min-width:105px !important"><b>Amount</b> </th>
                <?endif;?>
                <th scope="col" style="min-width:105px !important"><b>Issue Time</b> </th>
                <?if($isExit):?>
                <th scope="col" style="min-width:105px !important"><b>Ticket Type</b> </th>
                <?endif;?>

            </tr>
        </thead>
        <tbody id="tbody" class="table table-scrollable">

            <?php foreach ($dResults as $dResult): ?>
            <?if($dResult['ticket_type_status_id'] == TicketTypeStatus::NORMAL_TICKET):?>

                <tr>
                <?$ticketType = 'Normal'?>

            <?elseif($dResult['ticket_type_status_id'] == TicketTypeStatus::REPRINT_TICKET):?>

                <tr style="color:#30d82c;">
                <?$ticketType = 'Reprint'?>

            <?elseif($dResult['ticket_type_status_id'] == TicketTypeStatus::LOST_TICKET):?>

                <tr style="color:#8330BF;">
                <?$ticketType = 'Lost'?>

            <?elseif($dResult['ticket_type_status_id'] == TicketTypeStatus::EXPIRE_TICKET):?>

                <tr style="color:#FF3934;">
                <?$ticketType = 'Expire'?>

            <?elseif($dResult['ticket_type_status_id'] == TicketTypeStatus::MANUAL_TICKER):?>

                <tr style="color:#CB5000;">
                <?$ticketType = 'Manual'?>

            <?endif;?>
           
                <td>
                    <?php echo(Devices::find()->where(['id' => $model->pos])->one()->name)?>
                </td>
                <td>
                    <?php echo(Booth::find()->where(['id' => $dResult['booth_id']])->one()->name)?>
                </td>
                <td>
                    <?php echo(User::find()->where(['id' => $dResult['teller_id']])->one()->username)?>
                </td>
                <?if($isExit):?>
                <td>
                    <?php echo($dResult['exit_serial'])?>
                </td>
                <td>
                    <?php echo($dResult['entrance_serial'])?>
                </td>
                <?else:?>
                <td>
                    <?php echo($dResult['serial_no'])?>
                </td>
                <?endif;?>
                
                <td>
                    <?php echo($dResult['name'])?>
                </td>
                <?if($isExit):?>
                <td>
                    <?php echo($dResult['amount'])?>
                </td>
                <?endif;?>
                <?if($isExit):?>
                <td>
                    <?php echo($dResult['exit_time'])?>
                </td>
                <?else:?>
                <td>
                    <?php echo($dResult['entrance_time'])?>
                </td>
                <?endif;?>
                <?if($isExit):?>
                <td>
                    <?php echo($ticketType)?>
                </td>
                <?endif;?>

            </tr>
            <?php endforeach;?>

            <?echo LinkPager::widget([
                    'pagination' => $pages,
                ]);?>





        </tbody>

    </table>

    <?php else:?>
    <div class="alert alert-warning" style=" margin-top: 20px;margin-right: 50px; margin-left: 50px;text-align: center;"
        id="WarningAlert">
        <strong>Warning!!</strong> <a class="alert-link">No Record Found</a>.</div>
</div>
<?php endif;?>
</div>
<?php \yii\widgets\Pjax::end(); ?>
<style>
.pagination {
    float: right;
}

.color-tile{
    display: inline-block;
    margin: 2px 0px 0px 1px;
    font-size: 10px;
    color: black;
    padding: 4px;
}
.column {
    float: left;
    width: 50%;
    padding: 10px;
}

.column2 {
    float: left;
    width: 50%;
}

.row {
    margin-right: -15px;
    margin-left: -8px;
}
</style>
<script>
function reload() {
    location.replace("<?= Url::to(['reports/fare-collection-pos-wise']);?>")
}
</script>