<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\ActiveForm;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use yii\bootstrap4\Modal;
use kartik\datetime\DateTimePicker;
use app\models\Booth;
use app\models\BoothType;
use app\models\TicketTypeStatus;
use app\models\Ic;
use kartik\depdrop\DepDrop;
use yii\widgets\LinkPager;
use webvimark\modules\UserManagement\models\User;
use app\models\Devices;

/* @var $this yii\web\View */
/* @var $searchModel app\models\TimeLogSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Fare Collection Teller Wise Detailed Report';
$this->params['breadcrumbs'][] = $this->title;
?>

<h3 style="text-decoration: underline;">Fare Collection Teller Wise Summary & Detailed Report</h3>
<div class="">
    <div class="row">
        <div class="column">
            <div class="column2">
                <p> <b>GENERATED DATE :</b>
                    <?= date('Y-m-d H:i;s') ?>
                </p>
                <p style="text-transform: uppercase;"> <b>USER :</b>
                    <?= Html::encode(Yii::$app->getUser()->username) ?>
                </p>

                <p style="text-transform: uppercase;"> <b>IC :</b>
                    <?= Ic::find()->where(['id' => $model->ic])->one()->name ?>
                </p>
                <p style="text-transform: uppercase;"> <b>teller :</b>
                    <?= User::find()->where(['id' => $model->teller])->one()->username ?>
                </p>
            </div>

            <div class="column2">
                <p> <b>START DATE :</b>
                    <?= $model->startDate ?>
                </p>
                <p> <b>END DATE :</b>
                    <?= $model->endDate ?>
                </p>
                <div>
                    <div class="tile-container">
                        <div class="header expired"></div>
                        <div class="text">Expried Ticket</div>
                    </div>
                    <div class="tile-container">
                        <div class="header manual"></div>
                        <div class="text">Manual Ticket</div>
                    </div>
                    <div class="tile-container">
                        <div class="header lost"></div>
                        <div class="text">Lost Ticket</div>
                    </div>
                    <div class="tile-container ">
                        <div class="header reprint"></div>
                        <div class="text">Reprint Ticket</div>
                    </div>
                </div>

            </div>

        </div>

        <div class="column">
            <?php if($results_en || $results_ex):?>
            <div class="actions" style="float:right;">
                <div class="btn-group">
                    <a class="btn blue btn-outline btn-circle btn-sm" href="javascript:;" data-toggle="dropdown"
                        data-hover="dropdown" data-close-others="true" aria-expanded="false"> Export
                        <i class="fa fa-angle-down"></i>
                    </a>
                    <ul class="dropdown-menu pull-right" style="    min-width: 80px;">

                        <li>

                            <a href="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/index.php/reports/fare-collection-teller-wise-pdf"
                                target="_blank"> Pdf </a>
                        </li>
                        <li>
                            <a href="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/index.php/reports/fare-collection-teller-wise-excel"
                                target="_blank">Excel </a>
                        </li>

                    </ul>
                </div>
            </div>
            <?endif;?>
            <div style="float:right;margin-right: 10px;">
                <div class="btn-group">
                    <a class="btn blue btn-outline btn-circle btn-sm" href="javascript:;" onclick="reload()">
                        Search
                        <i class="fa fa-search"></i>
                    </a>
                </div>
            </div>
        </div>
    </div>

    <?php \yii\widgets\Pjax::begin(); ?>
    <?php if($results_en):?>
    <div>
        <h4>Entrance Ticket Details</h4>
    </div>
    <table class="table tableCompany_View-striped table-bordered table-advance table-hover">
        <thead>
            <tr>
                <th scope="col" style="min-width:140px !important"><b>Vehicle Type</b> </th>
                <th scope="col" style="min-width:140px !important"><b>Description</b> </th>
                <th scope="col" style="min-width:105px !important"><b>Ticket Count</b> </th>

            </tr>
        </thead>
        <tbody id="tbody" class="table table-scrollable">
            <?
                $enCount = 0;
            ?>
            <?php foreach ($enResults as $enResult): ?>
            <tr>
                <td>
                    <?php echo($enResult['name'])?>
                </td>
                <td>
                    <?php echo($enResult['description'])?>
                </td>
                <td>
                    <?php echo($enResult['vcount'])?>
                </td>
                <?
                    $enCount += $enResult['vcount'];
                ?>

            </tr>
            <?php endforeach;?>
            <tr>
                <td></td>
                <td><b>Total</b></td>
                <td><b><?= $enCount?></b></td>
            </tr>





        </tbody>

    </table>

    <table class="table tableCompany_View-striped table-bordered table-advance table-hover">
        <thead>
            <tr>
                <th scope="col" style="min-width:140px !important"><b>POS</b> </th>
                <th scope="col" style="min-width:140px !important"><b>Booth Name</b> </th>
                <th scope="col" style="min-width:105px !important"><b>Ent Serial</b> </th>
                <th scope="col" style="min-width:105px !important"><b>Vehicle Type</b> </th>
                <th scope="col" style="min-width:105px !important"><b>Issue Time</b> </th>

            </tr>
        </thead>
        <tbody id="tbody" class="table table-scrollable">

            <?php foreach ($results_en as $result_en): ?>


            <td>
                <?= Devices::find()->where(['id' => $result_en['device_id']])->one()->name ?>
            </td>
            <td>
                <?= Booth::find()->where(['id' => $result_en['booth_id']])->one()->name ?>
            </td>
            <td>
                <?php echo($result_en['serial_no'])?>
            </td>
            <td>
                <?php echo($result_en['name'])?>
            </td>
            <td>
                <?php echo($result_en['entrance_time'])?>
            </td>


            </tr>
            <?php endforeach;?>

            <?echo LinkPager::widget([
                    'pagination' => $pages_en,
                ]);?>





        </tbody>

    </table>

    <?php else:?>
    <div class="alert alert-warning" style=" margin-top: 20px;margin-right: 50px; margin-left: 50px;text-align: center;"
        id="WarningAlert">
        <strong>Warning!!</strong> <a class="alert-link">No Entrance Record Found</a>.</div>
</div>
<?php endif;?>

<?php \yii\widgets\Pjax::end(); ?>
<br>
<hr style="border-top: 2px solid #3598dc;">
<?php \yii\widgets\Pjax::begin(); ?>

<?php if($results_ex):?>
<div>
    <h4>Exit Ticket Details</h4>
</div>
<table class="table tableCompany_View-striped table-bordered table-advance table-hover">
    <thead>
        <tr>
            <th scope="col" style="min-width:140px !important"><b>Vehicle Type</b> </th>
            <th scope="col" style="min-width:140px !important"><b>Description</b> </th>
            <th scope="col" style="min-width:105px !important"><b>Ticket Count</b> </th>
            <th scope="col" style="min-width:105px !important"><b>Amount</b> </th>

        </tr>
    </thead>
    <tbody id="tbody" class="table table-scrollable">
        <?
                $exCount = 0;
                $exAmount = 0;
            ?>
        <?php foreach ($exResults as $exResult): ?>
        <tr>
            <td>
                <?php echo($exResult['name'])?>
            </td>
            <td>
                <?php echo($exResult['description'])?>
            </td>
            <td>
                <?php echo($exResult['vcount'])?>
            </td>
            <td>
                <?php echo($exResult['amount'])?>
            </td>
            <?
                    $exCount += $exResult['vcount'];
                    $exAmount += $exResult['amount'];
                ?>

        </tr>
        <?php endforeach;?>
        <tr>
            <td></td>
            <td><b>Total</b></td>
            <td><b><?= $exCount?></b></td>
            <td><b><?= $exAmount?></b></td>
        </tr>





    </tbody>

</table>

<table class="table tableCompany_View-striped table-bordered table-advance table-hover">
    <thead>
        <tr>
            <th scope="col" style="min-width:140px !important"><b>POS</b> </th>
            <th scope="col" style="min-width:140px !important"><b>Booth Name</b> </th>
            <th scope="col" style="min-width:140px !important"><b>Ext Serial</b> </th>
            <th scope="col" style="min-width:105px !important"><b>Ent Serial</b> </th>
            <th scope="col" style="min-width:105px !important"><b>Vehicle Type</b> </th>
            <th scope="col" style="min-width:105px !important"><b>Amount</b> </th>
            <th scope="col" style="min-width:105px !important"><b>Issue Time</b> </th>
            <th scope="col" style="min-width:105px !important"><b>Ticket Type</b> </th>
            <!-- <th scope="col" style="min-width:105px !important"><b>Manual</b> </th> -->

        </tr>
    </thead>
    <tbody id="tbody" class="table table-scrollable">

        <?php foreach ($results_ex as $result_ex): ?>

        <?if($result_ex['ticket_type_status_id'] == TicketTypeStatus::NORMAL_TICKET):?>

        <tr>
            <?$ticketType = 'Normal'?>

            <?elseif($result_ex['ticket_type_status_id'] == TicketTypeStatus::REPRINT_TICKET):?>

        <tr style="color:#30d82c;">
            <?$ticketType = 'Reprint'?>

            <?elseif($result_ex['ticket_type_status_id'] == TicketTypeStatus::LOST_TICKET):?>

        <tr style="color:#8330BF;">
            <?$ticketType = 'Lost'?>

            <?elseif($result_ex['ticket_type_status_id'] == TicketTypeStatus::EXPIRE_TICKET):?>

        <tr style="color:#FF3934;">
            <?$ticketType = 'Expire'?>

            <?elseif($result_ex['ticket_type_status_id'] == TicketTypeStatus::MANUAL_TICKER):?>

        <tr style="color:#CB5000;">
            <?$ticketType = 'Manual'?>

            <?endif;?>

            <td>
                <?php echo(Devices::find()->where(['id' => $result_ex['device_id']])->one()->name)?>
            </td>
            <td>
                <?php echo(Booth::find()->where(['id' => $result_ex['booth_id']])->one()->name)?>
            </td>
            <td>
                <?php echo($result_ex['exit_serial'])?>
            </td>
            <td>
                <?php echo($result_ex['entrance_serial'])?>
            </td>
            <td>
                <?php echo($result_ex['name'])?>
            </td>
            <td>
                <?php echo($result_ex['amount'])?>
            </td>
            <td>
                <?php echo($result_ex['exit_time'])?>
            </td>
            <td>
                <?php echo($ticketType)?>
            </td>
            <!-- <td>
                    <?php echo($result_ex['ticket_type_status_id'])?>
                </td> -->

        </tr>
        <?php endforeach;?>

        <?echo LinkPager::widget([
                    'pagination' => $pages_ex,
                ]);?>





    </tbody>

</table>

<?php else:?>
<div class="alert alert-warning" style=" margin-top: 20px;margin-right: 50px; margin-left: 50px;text-align: center;"
    id="WarningAlert">
    <strong>Warning!!</strong> <a class="alert-link">No Exit Record Found</a>.</div>
</div>
<?php endif;?>
</div>
<?php \yii\widgets\Pjax::end(); ?>
<style>
.pagination {
    float: right;
}

.color-tile {
    display: inline-block;
    margin: 2px 0px 0px 1px;
    font-size: 10px;
    color: black;
    padding: 4px;
}

.column {
    float: left;
    width: 50%;
    padding: 10px;
}

.column2 {
    float: left;
    width: 50%;
}

.row {
    margin-right: -15px;
    margin-left: -8px;
}
</style>
<script>
function reload() {
    location.replace("<?= Url::to(['reports/fare-collection-teller-wise']);?>")
}
</script>