<?php
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use webvimark\modules\UserManagement\models\User;
use app\models\Ic;
use app\models\Booth;
use app\models\TicketTypeStatus;
use app\models\Devices;

$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();

$sheet->setTitle(' XLSX  Document');
$nowdate=date('Y.m.d.h.i.s');

$styleArrayHeading = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '307BBA'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));
$styleArrayTitle = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '4040C4'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));

$styleArrayTotal = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));


$sheet->setCellValue('A1', 'FARE COLLECTION TELLER WISE DETAILED REPORT');
$sheet->setCellValue('A2', 'GENERATED DATE:'.$nowdate);
$sheet->setCellValue('A3', 'IC:'.Ic::find()->where(['id' => $model->ic])->one()->name);
$sheet->setCellValue('A4', 'TELLER:'.User::find()->where(['id' => $model->teller])->one()->username);
$sheet->setCellValue('A5', 'START DATE:'.$model->startDate);
$sheet->setCellValue('A6', 'END DATE:'.$model->endDate);

$sheet->setCellValue('A8', 'ENTRANCE DETAILED TABLE');
$sheet->getStyle('A8')->applyFromArray($styleArrayTitle);

$sheet->setCellValue('A9', 'POS');
$sheet->setCellValue('B9', 'Booth Name');
$sheet->setCellValue('C9', 'Ent Serial');
$sheet->setCellValue('D9', 'Vehicle Type');
$sheet->setCellValue('E9', 'Issue Time');
$sheet->getStyle('A9:E9')->applyFromArray($styleArrayHeading);


$count = 10;

foreach ($enDResults as $enDResult) {
    $row = 0;
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue(Devices::find()->where(['id' => $enDResult['device_id']])->one()->name);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue(Booth::find()->where(['id' => $enDResult['booth_id']])->one()->name);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($enDResult['serial_no']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($enDResult['vehicle_category']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($enDResult['entrance_time']);
    ++$count;
}

$count += 3;

$sheet->setCellValue('A'.$count, 'EXIT DETAILED TABLE');
$sheet->getStyle('A'.$count)->applyFromArray($styleArrayTitle);

++$count;

$sheet->setCellValue('A'.$count, 'POS');
$sheet->setCellValue('B'.$count, 'Booth Name');
$sheet->setCellValue('C'.$count, 'Ext Serial');
$sheet->setCellValue('D'.$count, 'Ent Serial');
$sheet->setCellValue('E'.$count, 'Vehicle Type');
$sheet->setCellValue('F'.$count, 'Issue Time');
$sheet->setCellValue('G'.$count, 'Ticket Type');
$sheet->setCellValue('H'.$count, 'Amount');
$sheet->getStyle('A'.$count.':H'.$count)->applyFromArray($styleArrayHeading);

++$count;
$exitTotalAmount = 0;
foreach ($exDResults as $exDResult) {
    $row = 0;
    if($exDResult['ticket_type_status_id'] == TicketTypeStatus::NORMAL_TICKET){
        $ticketType = 'Normal';
    }else if($exDResult['ticket_type_status_id'] == TicketTypeStatus::REPRINT_TICKET){
        $ticketType = 'Reprint';
    }else if($exDResult['ticket_type_status_id'] == TicketTypeStatus::LOST_TICKET){
        $ticketType = 'Lost';
    }else if($exDResult['ticket_type_status_id'] == TicketTypeStatus::EXPIRE_TICKET){
        $ticketType = 'Expire';
    }else if($exDResult['ticket_type_status_id'] == TicketTypeStatus::MANUAL_TICKER){
        $ticketType = 'Manual';
    }
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue(Devices::find()->where(['id' => $exDResult['device_id']])->one()->name);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue(Booth::find()->where(['id' => $exDResult['booth_id']])->one()->name);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($exDResult['exit_serial']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($exDResult['entrance_serial']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($exDResult['vehicle_category']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($exDResult['exit_time']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($ticketType);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($exDResult['amount']);
    ++$count;
    $exitTotalAmount += $exDResult['amount'];
}

    $sheet->getCellByColumnAndRow(7, $count)->setValue('Total');
    $sheet->getCellByColumnAndRow(8, $count)->setValue(number_format((float)$exitTotalAmount, 2, '.', ''));
    $sheet->getStyle('G'.$count.':H'.$count)->applyFromArray($styleArrayTotal);


$filename = "FARE COLLECTION TELLER WISE DETAILED REPORT". date("Y-m-d-H-i-s").".xlsx";
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename='.$filename);
header('Cache-Control: max-age=0');
$writer = new Xlsx($spreadsheet);
$writer->save('php://output');
exit;


?>

<h1> Excel  Document download </h1>