<?php
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use webvimark\modules\UserManagement\models\User;
use app\models\Ic;

$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();

$sheet->setTitle(' XLSX  Document');
$nowdate=date('Y.m.d.h.i.s');

$styleArrayHeading = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '307BBA'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));
$styleArrayTitle = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '4040C4'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));

$styleArrayTotal = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));


$sheet->setCellValue('A1', 'FARE COLLECTION TELLER WISE SUMMARY REPORT');
$sheet->setCellValue('A2', 'GENERATED DATE:'.$nowdate);
$sheet->setCellValue('A3', 'IC:'.Ic::find()->where(['id' => $model->ic])->one()->name);
$sheet->setCellValue('A4', 'TELLER:'.User::find()->where(['id' => $model->teller])->one()->username);
$sheet->setCellValue('A5', 'START DATE:'.$model->startDate);
$sheet->setCellValue('A6', 'END DATE:'.$model->endDate);

$sheet->setCellValue('A8', 'ENTRANCE SUMMARY');
$sheet->getStyle('A8')->applyFromArray($styleArrayTitle);

$sheet->setCellValue('A9', 'Vehicle Type');
$sheet->setCellValue('B9', 'Description');
$sheet->setCellValue('C9', 'Ticket Count');
$sheet->getStyle('A9:C9')->applyFromArray($styleArrayHeading);


$count = 10;
$envCount = 0;
foreach ($enSResults as $enSResult) {
    $row = 0;
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($enSResult['name']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($enSResult['description']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($enSResult['vcount']);
    ++$count;

    $vCount += $enSResult['vcount'];
}
$sheet->getCellByColumnAndRow(2, $count)->setValue('Total');
$sheet->getCellByColumnAndRow(3, $count)->setValue($vCount);
$sheet->getStyle('B'.$count.':C'.$count)->applyFromArray($styleArrayTotal);


$count += 3;

$sheet->setCellValue('A'.$count, 'EXIT SUMMARY');
$sheet->getStyle('A'.$count)->applyFromArray($styleArrayTitle);

++$count;

$sheet->setCellValue('A'.$count, 'Vehicle Type');
$sheet->setCellValue('B'.$count, 'Description');
$sheet->setCellValue('C'.$count, 'Ticket Count');
$sheet->setCellValue('D'.$count, 'Amount');
$sheet->getStyle('A'.$count.':D'.$count)->applyFromArray($styleArrayHeading);

++$count;

$exvCount = 0;
$examount = 0;

foreach ($exSResults as $exSResult) {
    $row = 0;
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($exSResult['name']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($exSResult['description']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($exSResult['vcount']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($exSResult['amount']);
    ++$count;

    $exvCount += $exSResult['vcount'];
    $examount += $exSResult['amount'];
}
$sheet->getCellByColumnAndRow(2, $count)->setValue('Total');
$sheet->getCellByColumnAndRow(3, $count)->setValue($exvCount);
$sheet->getCellByColumnAndRow(4, $count)->setValue($examount);
$sheet->getStyle('B'.$count.':D'.$count)->applyFromArray($styleArrayTotal);


$filename = "FARE COLLECTION TELLER WISE SUMMARY REPORT". date("Y-m-d-H-i-s").".xlsx";
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename='.$filename);
header('Cache-Control: max-age=0');
$writer = new Xlsx($spreadsheet);
$writer->save('php://output');
exit;


?>

<h1> Excel  Document download </h1>