<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\ActiveForm;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use yii\bootstrap4\Modal;
use kartik\datetime\DateTimePicker;
use kartik\time\TimePicker;
use app\models\Booth;
use app\models\Ic;
use kartik\depdrop\DepDrop;
use yii\widgets\LinkPager;
use kartik\date\DatePicker;
use yii\helpers\Json;

/* @var $this yii\web\View */
/* @var $searchModel app\models\TimeLogSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Time Period Traffic Report';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="time-log-index">

<?php $form = ActiveForm::begin(); ?>




    <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">


                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                        <span class="caption-subject font-dark bold uppercase">
                            <?= Html::encode($this->title) ?></span>
                    </div>

                </div>

                <div class="portlet-body" style="margin-top: 26px;">
                    <form role="form">
                        <div class="row">
                            <div class="col-md-1 pull-right">
                                <?= Html::submitButton('Search', ['class' => 'btn btn-success']) ?>
                            </div>
                            <?php if($results):?>
                            <div class="actions" style="float:right;">
                                <div class="btn-group">
                                    <a class="btn blue btn-outline btn-circle btn-sm" href="javascript:;"
                                        data-toggle="dropdown" data-hover="dropdown" data-close-others="true"
                                        aria-expanded="false"> Export
                                        <i class="fa fa-angle-down"></i>
                                    </a>
                                    <ul class="dropdown-menu pull-right" style="    min-width: 80px;">

                                        <li>

                                            <a href="#" onclick="sendPdf()"> Pdf </a>
                                        </li>
                                        <li>
                                            <a href="#" onclick="sendExcel()" target="_blank">Excel </a>
                                        </li>

                                    </ul>
                                </div>
                            </div>
                            <?php endif;?>
                        </div>

                        <div class="row">
                            <div class="col-md-4">
                              <!-- <?echo $form->field($model, 'startDate')->widget(DatePicker::classname(), [
                                    'options' => ['placeholder' => 'Start date ...','autocomplete' => 'off'],
                                    'pluginOptions' => [
                                        'autoclose' => true,
                                        'format' => 'yyyy-mm-dd',
                                    ]
                                ]);?> -->
                                <?echo $form->field($model, 'startDate')->widget(DateTimePicker::classname(), [
                                    'options' => ['placeholder' => 'Start date & time ...','autocomplete' => 'off'],
                                    'pluginOptions' => [
                                        'autoclose' => true,
                                        'format'=>'yyyy-mm-dd hh:00:00',
                                        'minView'=>1
                                    ]
                                ]);?> 
                            </div>
                            <div class="col-md-4">
                            <!--<?echo $form->field($model, 'endDate')->widget(DatePicker::classname(), [
                                    'options' => ['placeholder' => 'End date ...','autocomplete' => 'off'],
                                    'pluginOptions' => [
                                        'autoclose' => true,
                                        'format' => 'yyyy-mm-dd',
                                    ]
                                ]);?> -->
                                 <?echo $form->field($model, 'endDate')->widget(DateTimePicker::classname(), [
                                    'options' => ['placeholder' => 'Start date & time ...','autocomplete' => 'off'],
                                    'pluginOptions' => [
                                        'autoclose' => true,
                                        'format'=>'yyyy-mm-dd hh:00:00',
                                        'minView'=>1
                                    ]
                                ]);?> 

                            </div>
                            <div class="col-md-4">
                                <?= $form->field($model, 'ticketType')->dropDownList(['entrance'=>'ENTRANCE','exit'=>'EXIT']) ?>
                            </div>
                        </div>
                        <!-- <div class="row">
                            <div class="col-md-4">
                                <?= $form->field($model, 'filter')->dropDownList(['no_filter'=>'NO FILTER','with_filter'=>'WITH FILTER'],
                                ['onchange'=>"{

                                if ($(this).val() == 'with_filter'){
                                    document.getElementById('sTime').style.display = 'block';
                                    document.getElementById('eTime').style.display = 'block';
                                    
                                }else{
                                    document.getElementById('sTime').style.display = 'none';
                                    document.getElementById('eTime').style.display = 'none';
                                }

                                return false;

                                }"]) ?>
                            </div>
                            <div class="col-md-4" id="sTime" style="display:none;">
                                <?= $form->field($model, 'sTime')->widget(TimePicker::classname(), [
                                                             
                                                                
                                        'pluginOptions' => [
                                        'showSeconds' => true,
                                        'showMeridian' => false,
                                        'defaultTime'=>'false',
                                        
                                        
                                        ],
                                        'options' => [
    
                                        'value'=> '00:00:00',
                                        
                                        
                                        
                                        ],
                                        
                                ]); ?>
                            </div>
                            <div class="col-md-4" id="eTime" style="display:none;">
                                <?= $form->field($model, 'eTime')->widget(TimePicker::classname(), [
                                                             
                                                                
                                        'pluginOptions' => [
                                        'showSeconds' => true,
                                        'showMeridian' => false,
                                        'defaultTime'=>'false',
                                        
                                        ],
                                        'options' => [
    
                                        'value'=> '23:59:59',
                                        
                                        
                                        
                                        ],
                                        
                                ]); ?>
                            </div>
                        </div> -->

                        <br>
                        <br>

                    </form>
                </div>

            </div>

        </div>

    </div>
    <?php ActiveForm::end(); ?>
    <!-- < ?php print_r($results);die;?> -->
    <?php if($results):?>
    
    <br>
    <table class="table tableCompany_View-striped table-bordered table-advance table-hover">
        <thead>
            <tr>
                <th scope="col"><b>Interchange</b></th>
                <th scope="col"><b>Direction</b></th>
                <th scope="col"><b>C 1</b></th>
                <th scope="col"><b>C 2</b></th>
                <th scope="col"><b>C 3</b></th>
                <th scope="col"><b>C 4</b></th>
                <th scope="col"><b>S</b></th>
                <th scope="col"><b>PS</b></th>
                <th scope="col"><b>PMS</b></th>
                <th scope="col"><b>Ambulance</b></th>
                <th scope="col"><b>Not Assigned</b></th>
                <th scope="col"><b>Total</b></th>
                <!-- <th scope="col"><b>Grand Total</b></th> -->
               

            </tr>
        </thead>
        <tbody id="tbody" class="table table-scrollable">
           
            <?php foreach ($results as $key =>$result): ?>
            
            <tr>
                <td class="top-border specific-column" style="text-align:center;">
                <?php 
               
                echo($result['name']);
                
                ?>
                </td>
                <?if($key%2 == 0):?>
                <td class="top-border">
                    <?else:?>
                <td class="bottom-border">
                    <?endif;?>
                <?php echo($result['direction'])?>
                </td>
                <?if($key%2 == 0):?>
                <td class="top-border">
                    <?else:?>
                <td class="bottom-border">
                    <?endif;?>
                <?php echo($result['cat1'])?>
                </td>
                <?if($key%2 == 0):?>
                <td class="top-border">
                    <?else:?>
                <td class="bottom-border">
                    <?endif;?>
                <?php echo($result['cat2'])?>
                </td>
                <?if($key%2 == 0):?>
                <td class="top-border">
                    <?else:?>
                <td class="bottom-border">
                    <?endif;?>
                <?php echo($result['cat3'])?>
                </td>
                <?if($key%2 == 0):?>
                <td class="top-border">
                    <?else:?>
                <td class="bottom-border">
                    <?endif;?>
                <?php echo($result['cat4'])?>
                </td>
                <?if($key%2 == 0):?>
                <td class="top-border">
                    <?else:?>
                <td class="bottom-border">
                    <?endif;?>
                <?php echo($result['s'])?>
                </td>
                <?if($key%2 == 0):?>
                <td class="top-border">
                    <?else:?>
                <td class="bottom-border">
                    <?endif;?>
                <?php echo($result['ps'])?>
                </td>
                <?if($key%2 == 0):?>
                <td class="top-border">
                    <?else:?>
                <td class="bottom-border">
                    <?endif;?>
                <?php echo($result['pms'])?>
                </td>
                
                <?if($key%2 == 0):?>
                <td class="top-border">
                    <?else:?>
                <td class="bottom-border">
                    <?endif;?>
                <?php echo($result['ambulance'])?>
                </td>
                
                <?if($key%2 == 0):?>
                <td class="top-border">
                    <?else:?>
                <td class="bottom-border">
                    <?endif;?>
                <?php echo($result['notassigned'])?>
                </td>
                
                <td class="top-border specific-column" style="text-align:right;">
                <?php echo($result['total'])?>
                </td>
                
               <!-- <td class="top-border specific-column" style="text-align:right;">
                <?php 
                        if($key%2 == 0){
                            $grandTotal = 0;
                            $grandTotal = $result['total'];
                            echo '-';
                        }else{
                            $grandTotal += $result['total'];                          
                          // $grandTotalDir = $grandTotal;
                          echo ($grandTotal);
                         
                        }
                    ?>
                </td> -->

            </tr>
            <?php 
                $c1 =$c1+$result['cat1'];
                $c2 =$c2+$result['cat2'];
                $c3 =$c3+$result['cat3'];
                $c4 =$c4+$result['cat4'];
                $c5 =$c5+$result['s'];
                $c6 =$c6+$result['ps'];
                $c7 =$c7+$result['pms'];
                $c8 =$c8+$result['ambulance'];
                $c9 =$c9+$result['notassigned'];
                $grandTotalSum =$grandTotalSum+$result['total'];
            
            ?>
             

            <?php endforeach;?>
            <tr style="background-color:#a5c8ad;font-weight: bold;">
                <td style="text-align:center;">Grand Total</td>
                <td class="grand_total"></td>
                <td class="grand_total"><?= number_format($c1); ?></td>
                <td class="grand_total"><?= number_format($c2); ?></td>
                <td class="grand_total"><?= number_format($c3); ?></td>
                <td class="grand_total"><?= number_format($c4); ?></td>
                <td class="grand_total"><?= number_format($c5); ?></td>
                <td class="grand_total"><?= number_format($c6); ?></td>
                <td class="grand_total" ><?= number_format($c7); ?></td>  
                <td class="grand_total"><?= number_format($c8); ?></td>
                <td class="grand_total" ><?= number_format($c9); ?></td>  
                <td class="grand_total" style="text-align:right;"><?= number_format($grandTotalSum); ?></td>
              
               <!-- <td class="grand_total" style="text-align:right;"><?=  ($grandTotalSum);?></td> -->
            </tr>






        </tbody>

    </table>

    <?php endif;?>



</div>
<style>
.top-border {
    border-top: 2px solid #cccccc !important;
    border-left: 2px solid #cccccc !important;
    border-right: 2px solid #cccccc !important;
    background-color: #fff3cd;
    /* font-size: 11px !important; */
    padding: 1px !important;
    font-weight: bold;
    text-align: right;
}

.bottom-border {
    border-bottom: 2px solid #cccccc !important;
    border-left: 2px solid #cccccc !important;
    border-right: 2px solid #cccccc !important;
    background-color: #d1ecf1;
    /* font-size: 11px !important; */
    padding: 1px !important;
    text-align: right;
    font-weight: bold;
}

.specific-column {
    background-color: #f5c6cb !important;
    border: 2px solid #cccccc !important;
}

.grand_total {
    text-align: right;
    font-weight: bold;
}

th {
    text-align: center;
}

.my-custom-scrollbar {
    position: relative;
    height: 500px;
    overflow: auto;
}

.table-wrapper-scroll-y {
    display: block;
}

#entranceSearch {
    padding: 5px 5px 5px 5px;
    border: 1px solid #ddd;
    margin: -5px;
    width: -webkit-fill-available;
}
</style>
<script>
// $( document ).ready(function() {
//     var e = document.getElementById("analysistimeperiodtraffic-filter");
//     var strUser = e.options[e.selectedIndex].value;
    
//     if (strUser == 'with_filter'){
//         document.getElementById('sTime').style.display = 'block';
//         document.getElementById('eTime').style.display = 'block';
        
//     }else{
//         document.getElementById('sTime').style.display = 'none';
//         document.getElementById('eTime').style.display = 'none';
//     }
// });
function sendPdf() {

    var model = <?php echo json::encode($model); ?> ;
    var results = <?php echo json::encode($results); ?> ;
    var url = '<?php echo Url::to(['reports/analysis-time-period-traffic-pdf']); ?>';
    gotoUrl(url, {
        'model': model,
        'results': results
    });

}

function sendExcel() {

    var model = <?php echo json::encode($model); ?> ;
    var results = <?php echo json::encode($results); ?> ;
    var url = '<?php echo Url::to(['reports/analysis-time-period-traffic-excel']); ?>';
    gotoUrl(url, {
        'model': model,
        'results': results
    });

}

function gotoUrl(path, params, method) {
    //Null check
    method = method || "post"; // Set method to post by default if not specified.

    var form = document.createElement("form");
    form.setAttribute("method", method);
    form.setAttribute("action", path);

    //Fill the hidden form
    if (typeof params === 'string') {
        var hiddenField = document.createElement("input");
        hiddenField.setAttribute("type", "hidden");
        hiddenField.setAttribute("name", 'data');
        hiddenField.setAttribute("value", params);
        form.appendChild(hiddenField);
    } else {
        for (var key in params) {
            if (params.hasOwnProperty(key)) {
                var hiddenField = document.createElement("input");
                hiddenField.setAttribute("type", "hidden");
                hiddenField.setAttribute("name", key);
                if (typeof params[key] === 'object') {
                    hiddenField.setAttribute("value", JSON.stringify(params[key]));
                } else {
                    hiddenField.setAttribute("value", params[key]);
                }
                form.appendChild(hiddenField);
            }
        }
    }
    form.target = '_blank';
    document.body.appendChild(form);
    form.submit();
    return false;
}
</script>