<?php
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use PhpOffice\PhpSpreadsheet\Style\Border;
use PhpOffice\PhpSpreadsheet\Style\Fill;
use app\models\Ic;

$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();

$sheet->setTitle(' XLSX  Document');
$nowdate=date('Y.m.d.h.i.s');

$styleArrayHeading = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '307BBA'),
        'size'  => 8,
        'name'  => 'Verdana'
    ),
    
);
$styleArrayTitle = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '4040C4'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));

$styleArrayTotal = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));
$styleArrayBorder = array(
    'borders' => array(
        'allBorders' => [
            'borderStyle' => Border::BORDER_THIN,
            'color' => ['rgb' => '000000'],
        ],
    ),
);
$count = 0;
$headinColunm = 0;
$sheet->setCellValue('A'.++$count, 'TIME PERIOD TRAFFIC REPORT');
$sheet->setCellValue('A'.++$count, 'GENERATED DATE:'.$nowdate);
$sheet->setCellValue('A'.++$count, 'USER:'.Yii::$app->getUser()->username);
$sheet->setCellValue('A'.++$count, 'TYPE:'.$model['ticketType']);
$sheet->setCellValue('A'.++$count, 'START DATE:'.$model['startDate']);
$sheet->setCellValue('A'.++$count, 'END DATE:'.$model['endDate']);
if($model['filter'] == 'with_filter'){
    $sheet->setCellValue('A'.++$count, 'FROM TIME:'.$model['sTime']);
    $sheet->setCellValue('A'.++$count, 'TO TIME:'.$model['eTime']);
}
++$count;
      
++$count;
$sCount = $count;
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Interchange');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Direction');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('C 1');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('C 2');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('C 3');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('C 4');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('S');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('PS');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('PMS');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Ambulance');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Not Assigned');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Total');

$sheet->getStyle('A'.$count.':L'.$count)->applyFromArray($styleArrayHeading);
$sheet->getStyle('A'.$count.':L'.$count)->getFill()
        ->setFillType(Fill::FILL_SOLID)
        ->getStartColor()->setARGB('a3c2c2');



$count += 1;
$i = 0;
$grandTotal = 0;
$grandTotalSum = 0;
$c1 = 0;
$c2 = 0;
$c3 = 0;
$c4 = 0;
$c5 = 0;
$c6 = 0;
$c7 = 0;
$c8 =0;
$c9 =0;

$total = 0;
foreach ($results as $result) {
    $row = 0;
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['name']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['direction']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['cat1']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['cat2'] );
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['cat3']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['cat4']);
  
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['s']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['ps']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['pms']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['ambulance']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['notassigned']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['total']);

    $c1 =$c1+$result['cat1'];
    $c2 =$c2+$result['cat2'];
    $c3 =$c3+$result['cat3'];
    $c4 =$c4+$result['cat4'];
    $c5 =$c5+$result['s'];
    $c6 =$c6+$result['ps'];
    $c7 =$c7+$result['pms'];
    $c8 =$c8+$result['ambulance'];
    $c9 =$c9+$result['notassigned'];
    $grandTotalSum =$grandTotalSum+$result['total'];


    ++$count;
    ++$i;
    
}
$totalColunm = 0;
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue('');
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue('Grand Total');
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue(number_format($c1));
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue(number_format($c2));
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue(number_format($c3));
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue(number_format($c4));
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue(number_format($c5));
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue(number_format($c6));
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue(number_format($c7));
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue(number_format($c8));
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue(number_format($c9));
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue(number_format($grandTotalSum));


$sheet->getStyle('A'.$count.':L'.$count)->applyFromArray($styleArrayTotal);
$sheet->getStyle('A'.$sCount.':L'.$count)->applyFromArray($styleArrayBorder);
$sheet->getStyle('A'.$count.':L'.$count)->getFill()
        ->setFillType(Fill::FILL_SOLID)
        ->getStartColor()->setARGB('39ac39');
          
          
$filename = "TIME PERIOD TRAFFIC REPORT". date("Y-m-d-H-i-s").".xlsx";
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename='.$filename);
header('Cache-Control: max-age=0');
$writer = new Xlsx($spreadsheet);
$writer->save('php://output');
exit;


?>

<h1> Excel  Document download </h1>