<?php
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use PhpOffice\PhpSpreadsheet\Style\Border;
use PhpOffice\PhpSpreadsheet\Style\Fill;
use app\models\Ic;

$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();

$sheet->setTitle(' XLSX  Document');
$nowdate=date('Y.m.d.h.i.s');

$styleArrayHeading = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '307BBA'),
        'size'  => 8,
        'name'  => 'Verdana'
    ),
    
);
$styleArrayTitle = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '4040C4'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));

$styleArrayTotal = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));
$styleArrayBorder = array(
    'borders' => array(
        'allBorders' => [
            'borderStyle' => Border::BORDER_THIN,
            'color' => ['rgb' => '000000'],
        ],
    ),
);
$sheet->getColumnDimension('A')->setWidth(20);       
$sheet->getColumnDimension('B')->setWidth(15);       
$sheet->getColumnDimension('C')->setWidth(15);       
$sheet->getColumnDimension('D')->setWidth(15);  
$sheet->getColumnDimension('E')->setWidth(15);  
$sheet->getColumnDimension('F')->setWidth(15);  
$sheet->getColumnDimension('G')->setWidth(15);  
$sheet->getColumnDimension('H')->setWidth(15);  
$sheet->getColumnDimension('I')->setWidth(15);  
$sheet->getColumnDimension('J')->setWidth(15);  
$count = 0;
$headinColunm = 0;
$sheet->setCellValue('A'.++$count, 'YEARLY REVENUE REPORT');
$sheet->setCellValue('A'.++$count, 'GENERATED DATE:'.$nowdate);
$sheet->setCellValue('A'.++$count, 'USER:'.Yii::$app->getUser()->username);
$sheet->setCellValue('A'.++$count, $model['ic'] == 'Any' ? 'IC : Any':'IC: '.Ic::find()->where(['id' => $model['ic']])->one()->name);
$sheet->setCellValue('A'.++$count, 'DATE: '.$model['year_from'].' - '.$model['year_to']);

++$count;
$sheet->setCellValue('A'.++$count, 'Matata Direction');
$sheet->getStyle('A'.$count)->applyFromArray($styleArrayBorder);
$sheet->getStyle('A'.$count)->getFill()
          ->setFillType(Fill::FILL_SOLID)
          ->getStartColor()->setARGB('fff3cd');

$sheet->setCellValue('A'.++$count, 'Kadawatha Direction');
$sheet->getStyle('A'.$count)->applyFromArray($styleArrayBorder);
$sheet->getStyle('A'.$count)->getFill()
          ->setFillType(Fill::FILL_SOLID)
          ->getStartColor()->setARGB('d1ecf1');
++$count;        
++$count;
$sCount = $count;
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Month');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Direction');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('C 1');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('C 2');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('C 3');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('C 4');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('S');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('PS');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('PMS');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Total');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Grand Total');

$sheet->getStyle('A'.$count.':K'.$count)->applyFromArray($styleArrayHeading);
$sheet->getStyle('A'.$count.':K'.$count)->getFill()
          ->setFillType(Fill::FILL_SOLID)
          ->getStartColor()->setARGB('a3c2c2');



$count += 1;
$i = 0;
$grandTotal = 0;
$grandTotalSum = 0;
$c1 = 0;
$c2 = 0;
$c3 = 0;
$c4 = 0;
$c5 = 0;
$c6 = 0;
$c7 = 0;
$total = 0;
foreach ($results as $key =>$result) {
    $row = 0;
    $d =date('F',mktime(0,0,0,$result['year_number'],10));
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($d);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['direction']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['cat1']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['cat2'] );
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['cat3']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['cat4']);
  
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['s']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['ps']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['pms']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['total']);
    if($key%2 == 0){
      $grandTotal = 0;
      $grandTotal = $result['total'];
      $sheet->getCellByColumnAndRow(++$row, $count)->setValue('-');

      }else{
      $grandTotal += $result['total'];                          
       
       $sheet->getCellByColumnAndRow(++$row, $count)->setValue($grandTotal);
                         
     }
    
  
    $c1 =$c1+$result['cat1'];
    $c2 =$c2+$result['cat2'];
    $c3 =$c3+$result['cat3'];
    $c4 =$c4+$result['cat4'];
    $c5 =$c5+$result['s'];
    $c6 =$c6+$result['ps'];
    $c7 =$c7+$result['pms'];
    $grandTotalSum =$grandTotalSum+$result['total'];


    ++$count;
    ++$i;
    
  
}
$totalColunm = 0;
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue('');
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue('Grand Total');
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue($c1);
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue($c2);
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue($c3);
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue($c4);
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue($c5);
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue($c6);
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue($c7);
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue($grandTotalSum);
$sheet->getCellByColumnAndRow(++$totalColunm, $count)->setValue($grandTotalSum);



$sheet->getStyle('A'.$count.':K'.$count)->applyFromArray($styleArrayTotal);
$sheet->getStyle('A'.$sCount.':K'.$count)->applyFromArray($styleArrayBorder);
$sheet->getStyle('A'.$count.':K'.$count)->getFill()
          ->setFillType(Fill::FILL_SOLID)
          ->getStartColor()->setARGB('39ac39');


$filename = "YEARLY REVENUE REPORT". date("Y-m-d-H-i-s").".xlsx";
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename='.$filename);
header('Cache-Control: max-age=0');
$writer = new Xlsx($spreadsheet);
$writer->save('php://output');
exit;


?>

<h1> Excel  Document download </h1>