<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\ActiveForm;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use yii\bootstrap4\Modal;
use kartik\datetime\DateTimePicker;
use kartik\time\TimePicker;
use app\models\Booth;
use app\models\Ic;
use kartik\depdrop\DepDrop;
use yii\widgets\LinkPager;
use kartik\date\DatePicker;
use yii\helpers\Json;

/* @var $this yii\web\View */
/* @var $searchModel app\models\TimeLogSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Audit Report';

$this->params['breadcrumbs'][] = $this->title;
?>

<div class="time-log-index">

<?php $form = ActiveForm::begin(); ?>




    <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">


                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                        <span class="caption-subject font-dark bold uppercase">
                            <?= Html::encode($this->title) ?></span>
                            ( Data Sheet of System Survey on Entrance tickets, Exit Tickets, Total Revenue and Other related parameters )
                    </div>

                </div>

                <div class="portlet-body" style="margin-top: 26px;">
                    <form role="form">
                        <div class="row">
                            <div class="col-md-1 pull-right">
                                <?= Html::submitButton('Search', ['class' => 'btn btn-success']) ?>
                            </div>
                            <?php if($results):?>
                            <div class="actions" style="float:right;">
                                <div class="btn-group">
                                    <a class="btn blue btn-outline btn-circle btn-sm" href="javascript:;"
                                        data-toggle="dropdown" data-hover="dropdown" data-close-others="true"
                                        aria-expanded="false"> Export
                                        <i class="fa fa-angle-down"></i>
                                    </a>
                                    <ul class="dropdown-menu pull-right" style="    min-width: 80px;">

                                        <li>

                                            <a href="#" onclick="sendPdf()"> Pdf </a>
                                        </li>
                                        <!-- <li>
                                            <a href="#" onclick="sendExcel()" target="_blank">Excel </a>
                                        </li> -->

                                    </ul>
                                </div>
                            </div>
                            <?php endif;?>
                        </div>

                        <div class="row">
                            <div class="col-md-3">
                               <?echo $form->field($model, 'startDate')->widget(DatePicker::classname(), [
                                    'options' => ['placeholder' => 'Start date ...','autocomplete' => 'off'],
                                    'pluginOptions' => [
                                        'autoclose' => true,
                                        'format' => 'yyyy-mm-dd',
                                    ]
                                ]);?> 
                                
                            </div>
                            <div class="col-md-3">
                            <?echo $form->field($model, 'endDate')->widget(DatePicker::classname(), [
                                    'options' => ['placeholder' => 'End date ...','autocomplete' => 'off'],
                                    'pluginOptions' => [
                                        'autoclose' => true,
                                        'format' => 'yyyy-mm-dd',
                                    ]
                            ]);?> 
                                 

                            </div>
                            <!-- <div class="col-md-3">
                          


                            <?echo $form->field($model, 'sTime')->widget(TimePicker::classname(), [
                                    'options' => ['placeholder' => 'Start time ...','autocomplete' => 'off'],
                                    'pluginOptions' => [
                                      
                                        'showSeconds' => true,
                                        'showMeridian' => false,
                                        'minuteStep' => 1,
                                        'secondStep' => 5,
                                        'defaultTime'=>'false',
                                    ]
                                ]);?> 
                                
                            </div>
                            <div class="col-md-3">
                          


                            <?echo $form->field($model, 'eTime')->widget(TimePicker::classname(), [
                                    'options' => ['placeholder' => 'End time ...','autocomplete' => 'off'],
                                    'pluginOptions' => [
                                      
                                        'showSeconds' => true,
                                        'showMeridian' => false,
                                        'minuteStep' => 1,
                                        'secondStep' => 5,
                                        'defaultTime'=>'false',
                                    ]
                                ]);?> 
                                
                            </div> -->
                            
                        </div>
                        <!-- <div class="row">
                            <div class="col-md-4">
                                <?= $form->field($model, 'filter')->dropDownList(['no_filter'=>'NO FILTER','with_filter'=>'WITH FILTER'],
                                ['onchange'=>"{

                                if ($(this).val() == 'with_filter'){
                                    document.getElementById('sTime').style.display = 'block';
                                    document.getElementById('eTime').style.display = 'block';
                                    
                                }else{
                                    document.getElementById('sTime').style.display = 'none';
                                    document.getElementById('eTime').style.display = 'none';
                                }

                                return false;

                                }"]) ?>
                            </div>
                            <div class="col-md-4" id="sTime" style="display:none;">
                                <?= $form->field($model, 'sTime')->widget(TimePicker::classname(), [
                                                             
                                                                
                                        'pluginOptions' => [
                                        'showSeconds' => true,
                                        'showMeridian' => false,
                                        'defaultTime'=>'false',
                                        
                                        
                                        ],
                                        'options' => [
    
                                        'value'=> '00:00:00',
                                        
                                        
                                        
                                        ],
                                        
                                ]); ?>
                            </div>
                            <div class="col-md-4" id="eTime" style="display:none;">
                                <?= $form->field($model, 'eTime')->widget(TimePicker::classname(), [
                                                             
                                                                
                                        'pluginOptions' => [
                                        'showSeconds' => true,
                                        'showMeridian' => false,
                                        'defaultTime'=>'false',
                                        
                                        ],
                                        'options' => [
    
                                        'value'=> '23:59:59',
                                        
                                        
                                        
                                        ],
                                        
                                ]); ?>
                            </div>
                        </div> -->

                        <br>
                        <br>

                    </form>
                </div>

            </div>

        </div>

    </div>
    <?php ActiveForm::end(); ?>
    <!-- < ?php print_r($results);die;?> -->
    <?php if($results):?>
    <div class="portlet light ">

    <br>
    
    <table class="table tableCompany_View-striped table-bordered table-advance table-hover">
        <thead>
        <tr>
                <th scope="col"><b></b></th>
                <th scope="col" colspan="6"><b>(A) <br></b></th>
                <th scope="col" colspan="6"><b>(B) <br></b></th>
                <th scope="col"><b>(C) <br></b></th>
                <th scope="col" colspan="2"><b>(D) <br></b></th>
                <th scope="col" colspan="2"><b>(E) <br></b></th>                
                <th scope="col"><b>(F) <br></b></th>
                <th scope="col" colspan="2"><b>(G) <br></b></th>
                <th scope="col" colspan="2"><b>(H) <br></b></th>
                <th scope="col" colspan="2"><b>(I) <br></b></th>
                <th scope="col" colspan="2"><b>(J) <br></b></th>
                <th scope="col" colspan="2"><b>(K) <br></b></th>
                <th scope="col"><b>(L) <br></b></th>
                <th scope="col"><b>(M) <br></b></th>
               
               

            </tr>
            <tr>
                <th scope="col"><b>Date</b></th>
                <th scope="col" colspan="6"><b>Total Number of Entrance Tickets Issued </b></th>
                <th scope="col" colspan="6"><b>Total Number of Exit Tickets Issued </b></th>
                <th scope="col"><b>Number of Complete Entrance Tickets </b></th>
                <th scope="col" colspan="2"><b>Number of Incomplete Entrance Tickets </b></th>
                <th scope="col" colspan="2"><b>Number of Incomplete Exit Tickets </b></th>                
                <th scope="col"><b>Number of Category Change Tickets </b></th>
                <th scope="col" colspan="2"><b>Number of Mis Issued Tickets</b></th>
                <th scope="col" colspan="2"><b>Number of Tickets Issued Using Common Barcode</b></th>
                <th scope="col" colspan="2"><b>Number of Tickets Issued Using Book Receipt</b></th>
                <!-- add nfc ticket -->
                <th scope="col" colspan="2"><b>Number of NFC Entrance Tickets</b></th>
                <th scope="col" colspan="2"><b>Number of NFC Exit Tickets</b></th>
                <th scope="col"><b>Lost Tickets </b></th>
                <th scope="col"><b>Total Revenue of the Day </b></th>
               
               

            </tr>
            
        </thead>
        <tbody id="tbody" class="table table-scrollable">
            <tr>
                <td class="top-border2 rotate_text" style="border:1px solid black"><b></b></td>


                <td  class="top-border2 rotate_text" style="border:1px solid black"><b>EN</b></td>
                <td  class="top-border2 rotate_text"  style="border:1px solid black"><b>S</b></td>
                <td   class="top-border2 rotate_text" style="border:1px solid black"><b>PS</b></td>
                <td class="top-border2 rotate_text" style="border:1px solid black" ><b>PMS</b></td>
                <td class="top-border2 rotate_text"><b>AM</b></td>
                <td class="top-border2 rotate_text" style="border:1px solid black"><b>NA</b></td>

                <td class="top-border2 rotate_text" style="border:1px solid black"><b>EX</b></td>
                <td class="top-border2 rotate_text"><b>S</b></td>
                <td class="top-border2 rotate_text"><b>PS</b></td>
                <td class="top-border2 rotate_text"><b>PMS</b></td>
                <td class="top-border2 rotate_text" style="border:1px solid black"><b>AM</b></td>
                <td class="top-border2 rotate_text" ><b>NA</b></td>

                
                <td class="top-border2 rotate_text" style="border:1px solid black"><b></b></td>
                <!-- add incomplete entrance CKE and others -->
                <td class="top-border2 rotate_text"><b>CKE</b></td>
                <td class="top-border2 rotate_text"><b>Other</b></td>
                <!-- add incomplete exit CKE and others -->
                <td class="top-border2 rotate_text"><b>CKE</b></td>
                <td class="top-border2 rotate_text"><b>Other</b></td>
                <td class="top-border2 rotate_text"><b></b></td>
                <td class="top-border2 rotate_text"><b>EN</b></td>
                <td class="top-border2 rotate_text"><b>EX</b></td>
                <td class="top-border2 rotate_text"><b>CKE</b></td>
                <td class="top-border2 rotate_text"><b>Other</b></td>
                <td style="border:1px solid black" class="top-border2 rotate_text"><b>EN</b></td>
                <td style="border:1px solid black" class="top-border2 rotate_text"><b>EX</b></td>
                <!-- add nfc card and service ticket -->
                <td style="border:1px solid black" class="top-border2 rotate_text"><b>NC</b></td>
                <td style="border:1px solid black" class="top-border2 rotate_text"><b>ST</b></td>
                <td style="border:1px solid black" class="top-border2 rotate_text"><b>NC</b></td>
                <td style="border:1px solid black" class="top-border2 rotate_text"><b>ST</b></td>
                <td  style="border:1px solid black"class="top-border2 rotate_text"><b></b></td>
                <td style="border:1px solid black" class="top-border2 rotate_text"><b></b></td>
               
               

            </tr>
            <?php foreach ($results as $key =>$result): ?>
            
            <tr>
                <td class="top-border specific-column" style="border:1px solid black;text-align:center;">
                    <?php echo($result['startDate']); ?>
                </td>
                
                <td class="top-border">
                    <?php  echo($result['entrance_count']);   ?>                    
                </td>
                <td class="top-border">                  
                    <?php  echo($result['entrance_catS_count']);   ?>                   
                </td>
                <td class="top-border">               
                    <?php  echo($result['entrance_catPS_count']);   ?>
                </td>
                <td class="top-border">               
                    <?php  echo($result['entrance_catPMS_count']);   ?>
                </td>
                <td class="top-border">               
                    <?php  echo($result['entrance_catAmbulance_count']);   ?>
                </td>
                <td class="top-border border_left">               
                    <?php  echo($result['entrance_catNotAssigned_count']);   ?>
                </td>



                <td class="top-border">
                    <?php  echo($result['exit_count']);   ?>
                </td>
                <td class="top-border">                  
                    <?php  echo($result['exit_count_catS_count']);   ?>                   
                </td>
                <td class="top-border">               
                    <?php  echo($result['exit_count_catPS_count']);   ?>
                </td>
                <td class="top-border">               
                    <?php  echo($result['exit_count_catPMS_count']);   ?>
                </td>
                <td class="top-border">               
                    <?php  echo($result['exit_count_catAmbulance_count']);   ?>
                </td>
                <td class="top-border border_left">               
                    <?php  echo($result['exit_count_catNotAssigned_count']);   ?>
                </td>




                <td class="top-border border_left">
                    <?php  echo($result['complete_en']);   ?>
                </td>
                <!-- add incomplete entrance CKE -->
                <td class="top-border border_left">
                    <?php  echo($result['incomplete_en_CKE']);   ?>
                </td>
                <td class="top-border border_left">
                    <?php  echo($result['incomplete_en']);   ?>
                </td>
                <!-- add incomplete exit CKE -->
                <td class="top-border border_left">
                    <?php  echo($result['incomplete_ex_CKE']);   ?>
                </td>
                <td class="top-border border_left">
                    <?php  echo($result['incomplete_ex']);   ?>
                </td>
                
               
                <td class="top-border border_left">
                    <?php  echo($result['cat_chaange']);   ?>
                </td>
                <td class="top-border">
                    <?php  echo($result['missEN']);   ?>
                </td>
                <td class="top-border border_left">
                    <?php  echo($result['miss']);   ?>
                </td>
                <td class="top-border">
                    <?php  echo($result['bar_cke']);   ?>
                </td>
                <td class="top-border border_left">
                    <?php  echo($result['bar']);   ?>
                </td>
                <td class="top-border">
                    <?php  echo($result['bookEN']);   ?>
                </td>
                <td class="top-border border_left">
                    <?php  echo($result['book']);   ?>
                </td>
                <!-- add nfc ticket -->
                <td class="top-border border_left">
                    <?php  echo($result['nfc_en_NC']);   ?>
                </td>
                <td class="top-border border_left">
                    <?php  echo($result['nfc_en_ST']);   ?>
                </td>
                <td class="top-border border_left">
                    <?php  echo($result['nfc_ex_NC']);   ?>
                </td>
                <td class="top-border border_left">
                    <?php  echo($result['nfc_ex_ST']);   ?>
                </td>
                <td class="top-border border_left">
                    <?php  echo($result['lost_count']);   ?>
                </td>
                <td class="top-border border_left">
                    <?php  echo($result['day_amount']);   ?>
                </td>
                
               
                
               <!-- <td class="top-border specific-column" style="text-align:right;">
                <?php 
                        if($key%2 == 0){
                            $grandTotal = 0;
                            $grandTotal = $result['total'];
                            echo '-';
                        }else{
                            $grandTotal += $result['total'];                          
                          // $grandTotalDir = $grandTotal;
                          echo ($grandTotal);
                         
                        }
                    ?>
                </td> -->

            </tr>
            <?php 
                $c1 =$c1+$result['entrance_count'];
                $c500 =$c500+$result['entrance_catS_count'];
                $c600 =$c600+$result['entrance_catPS_count'];
                $c700 =$c700+$result['entrance_catPMS_count'];
                $c800 =$c800+$result['entrance_catAmbulance_count'];
                $c900 =$c900+$result['entrance_catNotAssigned_count'];



                $c2 =$c2+$result['exit_count'];
                $c5001 =$c5001+$result['exit_count_catS_count'];
                $c6001 =$c6001+$result['exit_count_catPS_count'];
                $c7001 =$c7001+$result['exit_count_catPMS_count'];
                $c8001 =$c8001+$result['exit_count_catAmbulance_count'];
                $c9001 =$c9001+$result['exit_count_catNotAssigned_count'];



                $cEXC =$cEXC+$result['incomplete_ex_CKE'];
                $c8 =$c8+$result['incomplete_ex'];
                $cENC =$cENC+$result['incomplete_en_CKE'];
                $c9 =$c9+$result['incomplete_en'];
                $c909 =$c909+$result['complete_en'];

                $c3 =$c3+$result['cat_chaange'];
                $c200 =$c200+$result['missEN'];
                $c4 =$c4+$result['miss'];
                $c400 =$c400+$result['bar_cke'];
                $c5 =$c5+$result['bar'];
                $c300 =$c300+$result['bookEN'];
                $c6 =$c6+$result['book'];
                $cenNC =$cenNC+$result['nfc_en_NC'];
                $cenST =$cenST+$result['nfc_en_ST'];
                $cexNC =$cexNC+$result['nfc_ex_NC'];
                $cexST =$cexST+$result['nfc_ex_ST'];
                $c100 =$c100+$result['lost_count'];
                $c7 =$c7+$result['day_amount'];
                
                $grandTotalSum =$grandTotalSum+$result['total'];
            
            ?>
             

            <?php endforeach;?>
            <tr style="background-color:#a5c8ad;font-weight: bold;">
                <td style="text-align:center;">Grand Total</td>
               
                <td class="grand_total "><?= $c1;?></td>
                <td class="grand_total"><?= $c500;?></td>
                <td class="grand_total"><?= $c600;?></td>
                <td class="grand_total"><?= $c700;?></td>
                <td class="grand_total"><?= $c800;?></td>
                <td class="grand_total "><?= $c900;?></td>


                <td class="grand_total"><?= $c2;?></td>
                <td class="grand_total"><?= $c5001;?></td>
                <td class="grand_total"><?= $c6001;?></td>
                <td class="grand_total"><?= $c7001;?></td>
                <td class="grand_total"><?= $c8001;?></td>
                <td class="grand_total"><?= $c9001;?></td>
               
                <td class="grand_total"><?= $c909;?></td>
                <td class="grand_total"><?= $cENC;?></td>
                <td class="grand_total"><?= $c9;?></td>
                <td class="grand_total"><?= $cEXC;?></td>
                <td class="grand_total"><?= $c8;?></td>
                <td class="grand_total"><?= $c3;?></td>
                <td class="grand_total"><?= $c200;?></td>
                <td class="grand_total"><?= $c4;?></td>
                <td class="grand_total"><?= $c400;?></td>
                <td class="grand_total"><?= $c5;?></td>
                <td class="grand_total"><?= $c300;?></td>
                <td class="grand_total"><?= $c6;?></td>
                <td class="grand_total"><?= $cenNC;?></td>
                <td class="grand_total"><?= $cenST;?></td>
                <td class="grand_total"><?= $cexNC;?></td>
                <td class="grand_total"><?= $cexST;?></td>
                <td class="grand_total"><?= $c100;?></td>
                <td class="grand_total"><?=  Yii::$app->formatter->asCurrency($c7);?></td>
              
              
               <!-- <td class="grand_total" style="text-align:right;"><?=  ($grandTotalSum);?></td> -->
            </tr>






        </tbody>

    </table>
    </div>

    <?php endif;?>



</div>
<style>
    .table-bordered>tbody>tr>td, .table-bordered>tbody>tr>th, .table-bordered>tfoot>tr>td, .table-bordered>tfoot>tr>th, .table-bordered>thead>tr>td, .table-bordered>thead>tr>th {
    border: 1px solid black;
}
.top-border {
    /* border-top: 2px solid #cccccc !important;
    border-left: 2px solid #cccccc !important;
    border-right: 2px solid #cccccc !important; */
    background-color: #fff3cd;
    /* font-size: 11px !important; */
    padding: 1px !important;
    font-weight: bold;
    text-align: right;
}

.top-border2 {
    /* border-top: 2px solid #cccccc !important;
    border-left: 2px solid #cccccc !important;
    border-right: 2px solid #cccccc !important; */
    background-color: #f1f4f7;
    /* font-size: 11px !important; */
    padding: 1px !important;
    font-weight: bold;
    text-align: right;
    border: 2px solid #9d8484ba !important;
}

.bottom-border {
    border-bottom: 2px solid #cccccc !important;
    border-left: 2px solid #cccccc !important;
    border-right: 2px solid #cccccc !important;
    background-color: #d1ecf1;
    /* font-size: 11px !important; */
    padding: 1px !important;
    text-align: right;
    font-weight: bold;
}

.specific-column {
    background-color: #f5c6cb !important;
    border: 1px solid black !important;
}

.grand_total {
    text-align: right;
    font-weight: bold;
    padding: 15px 0 0 0;
    border: 1px solid black;
}


/* .border_left {
    border-right: 1px solid #e1d5d5 !important;
} */



th {
    text-align: center;
}

.my-custom-scrollbar {
    position: relative;
    height: 500px;
    overflow: auto;
}

.table-wrapper-scroll-y {
    display: block;
}

#entranceSearch {
    padding: 5px 5px 5px 5px;
    border: 1px solid #ddd;
    margin: -5px;
    width: -webkit-fill-available;
}
.rotate_text {
    writing-mode: vertical-lr;
    -webkit-writing-mode: vertical-lr;
    -ms-writing-mode: vertical-lr;
    -webkit-transform: rotate(-180deg);
    -moz-transform: rotate(-180deg);
    -o-transform: rotate(-180deg);
    transform: rotate(-180deg);
}

</style>
<script>
// $( document ).ready(function() {
//     var e = document.getElementById("analysistimeperiodtraffic-filter");
//     var strUser = e.options[e.selectedIndex].value;
    
//     if (strUser == 'with_filter'){
//         document.getElementById('sTime').style.display = 'block';
//         document.getElementById('eTime').style.display = 'block';
        
//     }else{
//         document.getElementById('sTime').style.display = 'none';
//         document.getElementById('eTime').style.display = 'none';
//     }
// });
function sendPdf() {

    var model = <?php echo json::encode($model); ?> ;
    var results = <?php echo json::encode($results); ?> ;
    var url = '<?php echo Url::to(['reports/audit-report-pdf']); ?>';
    gotoUrl(url, {
        'model': model,
        'results': results
    });

}

function sendExcel() {

    var model = <?php echo json::encode($model); ?> ;
    var results = <?php echo json::encode($results); ?> ;
    var url = '<?php echo Url::to(['reports/analysis-time-period-traffic-excel']); ?>';
    gotoUrl(url, {
        'model': model,
        'results': results
    });

}

function gotoUrl(path, params, method) {
    //Null check
    method = method || "post"; // Set method to post by default if not specified.

    var form = document.createElement("form");
    form.setAttribute("method", method);
    form.setAttribute("action", path);

    //Fill the hidden form
    if (typeof params === 'string') {
        var hiddenField = document.createElement("input");
        hiddenField.setAttribute("type", "hidden");
        hiddenField.setAttribute("name", 'data');
        hiddenField.setAttribute("value", params);
        form.appendChild(hiddenField);
    } else {
        for (var key in params) {
            if (params.hasOwnProperty(key)) {
                var hiddenField = document.createElement("input");
                hiddenField.setAttribute("type", "hidden");
                hiddenField.setAttribute("name", key);
                if (typeof params[key] === 'object') {
                    hiddenField.setAttribute("value", JSON.stringify(params[key]));
                } else {
                    hiddenField.setAttribute("value", params[key]);
                }
                form.appendChild(hiddenField);
            }
        }
    }
    form.target = '_blank';
    document.body.appendChild(form);
    form.submit();
    return false;
}
</script>