<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\ActiveForm;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use yii\bootstrap4\Modal;
use kartik\date\DatePicker;
use app\models\Booth;
use app\models\Ic;
use app\models\Route;

use kartik\depdrop\DepDrop;
use yii\widgets\LinkPager;
use yii\helpers\Json;
use app\models\VehicleCategory;
/* @var $this yii\web\View */
/* @var $searchModel app\models\TimeLogSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = '#33 ADT Report (Average Daily Traffic 2)';
$this->params['breadcrumbs'][] = $this->title;
// print_r($results);
// die;
    ini_set("max_execution_time", 0);
        ini_set("post_max_size", '1500M');
        ini_set("set_time_limit", 0);
        ini_set("default_socket_timeout", 0);
?>
<div class="time-log-index">

    <?php $form = ActiveForm::begin(); ?>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>



    <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">


                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                        <span class="caption-subject font-dark bold uppercase">
                            <?= Html::encode($this->title) ?></span>
                    </div>

                </div>

                <div class="portlet-body" style="margin-top: 26px;">
                    <form role="form">
                        <div class="row">
                            <div class="col-md-1 pull-right">
                                <?= Html::submitButton('Search', ['class' => 'btn btn-success']) ?>
                            </div>
                            <?php if($results):?>
                            <div class="actions" style="float:right;">
                                <div class="btn-group">
                                    <a class="btn blue btn-outline btn-circle btn-sm" href="javascript:;"
                                        data-toggle="dropdown" data-hover="dropdown" data-close-others="true"
                                        aria-expanded="false"> Export
                                        <i class="fa fa-angle-down"></i>
                                    </a>
                                    <ul class="dropdown-menu pull-right" style="    min-width: 80px;">

                                         <!-- <li>

                                            <a href="#" onclick="sendPdf()"> Pdf </a>
                                        </li>  -->
                                        <li>
                                            <a href="#" onclick="sendExcel()"
                                                target="_blank">Excel </a>
                                        </li>

                                    </ul>
                                </div>
                            </div>
                            <?php endif;?>
                        </div>

                        <div class="row">
                        <div class="col-md-3">
                                <?
                                    $years = [''=>''];

                                    for($i = 2019; $i <= date('Y');$i++){
                                        $years[$i] = $i;
                                    }

                                ?>
                                <?= $form->field($model, 'year')->dropDownList($years) ?>
                            </div>
                        <div class="col-md-3">
                                <?= $form->field($model, 'source')->dropDownList(Ic::getIcWithAll()) ?>
                            </div>
                            <div class="col-md-3">
                                <?= $form->field($model, 'destination')->dropDownList(Ic::getIcWithAll()) ?>
                            </div>

                        <div class="col-md-3">
                                <?= $form->field($model, 'vehicle_category')->dropDownList(VehicleCategory::getCategoryWithDefault()) ?>
                            </div>
                            
                            <!-- <div class="col-md-4">
                              
                                <?= $form->field($model, 'vehicle_category')->dropDownList(['01'=>'Category 01','02'=>'Category 02','03'=>'Category 03','04'=>'Category 04']) ?>
                            </div> -->
                            
                        </div>

                        <br>
                        <br>

                    </form>
                </div>

            </div>

        </div>

    </div>
    <?php ActiveForm::end(); ?>
    <?php if($results):?>

      
    <br>
    
    <div class="portlet light ">
    <table class="table tableCompany_View-striped table-bordered table-advance table-hover">
        <thead>
            <tr>
                <th scope="col"><b>Entrance</b></th>
                <th scope="col"><b>Exit</b></th>
              

                <?php foreach($months as $month) :?>

                    <th scope="col"><b><?php 
                          $monthName = date('F',mktime(0,0,0,$month['month'],10));
                        echo $monthName; ?></b></th>
                <?php endforeach ?>
                
               
            </tr>
            
        </thead>
 

        <tbody id="tbody" class="table table-scrollable">
       
        <?
            $i = 0;
            $grandTotal = 0;
            $grandTotalSum = 0;
         
             $total = 0;
           
            ?>
            

           
            
            <?php foreach ($results as $result): ?> 
                <tr>
                    
                    <td class="bottom-border middle" style="text-align:center;">                                   
                        <?php  echo($result['tname']); ?>
                    </td>
                    <td class="bottom-border middle" style="text-align:center;">                  
                        
                        <?php  echo($result['dname']); ?>
                    </td>
                   
                    <td class="bottom-border middle" style="text-align:right;">   

                        <?php 
                            $default =0;                          
                                
                            $day_count=cal_days_in_month(CAL_GREGORIAN,1,$result['year']);
                            $average_trafic_count  =round(($result['Jan'] /$day_count),0);
                            $default =$average_trafic_count+$default;                         
                            
                            echo( $default == 0 ? '0' :$default);
                        ?>
                    </td>
                     <td class="bottom-border middle" style="text-align:right;">   

                        <?php 
                            $default =0;                          
                                
                            $day_count=cal_days_in_month(CAL_GREGORIAN,2,$result['year']);
                            $average_trafic_count  =round(($result['Feb'] /$day_count),0);
                            $default =$average_trafic_count+$default;                         
                            
                            echo( $default == 0 ? '0' :$default);
                        ?>
                    </td>
                    <td class="bottom-border middle" style="text-align:right;">   

                        <?php 
                            $default =0;                          
                                
                            $day_count=cal_days_in_month(CAL_GREGORIAN,3,$result['year']);
                            $average_trafic_count  =round(($result['Mar'] /$day_count),0);
                            $default =$average_trafic_count+$default;                         
                            
                            echo( $default == 0 ? '0' :$default);
                        ?>
                    </td>
                      <td class="bottom-border middle" style="text-align:right;">   

                        <?php 
                            $default =0;                          
                                
                            $day_count=cal_days_in_month(CAL_GREGORIAN,4,$result['year']);
                            $average_trafic_count  =round(($result['Apr'] /$day_count),0);
                            $default =$average_trafic_count+$default;                         
                            
                            echo( $default == 0 ? '0' :$default);
                        ?>
                    </td>
                      <td class="bottom-border middle" style="text-align:right;">   

                        <?php 
                            $default =0;                          
                                
                            $day_count=cal_days_in_month(CAL_GREGORIAN,5,$result['year']);
                            $average_trafic_count  =round(($result['May'] /$day_count),0);
                            $default =$average_trafic_count+$default;                         
                            
                            echo( $default == 0 ? '0' :$default);
                        ?>
                    </td>
                      <td class="bottom-border middle" style="text-align:right;">   

                        <?php 
                            $default =0;                          
                                
                            $day_count=cal_days_in_month(CAL_GREGORIAN,6,$result['year']);
                            $average_trafic_count  =round(($result['Jun'] /$day_count),0);
                            $default =$average_trafic_count+$default;                         
                            
                            echo( $default == 0 ? '0' :$default);
                        ?>
                    </td>
                      <td class="bottom-border middle" style="text-align:right;">   

                        <?php 
                            $default =0;                          
                                
                            $day_count=cal_days_in_month(CAL_GREGORIAN,7,$result['year']);
                            $average_trafic_count  =round(($result['Jul'] /$day_count),0);
                            $default =$average_trafic_count+$default;                         
                            
                            echo( $default == 0 ? '0' :$default);
                        ?>
                    </td>
                      <td class="bottom-border middle" style="text-align:right;">   

                        <?php 
                            $default =0;                          
                                
                            $day_count=cal_days_in_month(CAL_GREGORIAN,8,$result['year']);
                            $average_trafic_count  =round(($result['Aug'] /$day_count),0);
                            $default =$average_trafic_count+$default;                         
                            
                            echo( $default == 0 ? '0' :$default);
                        ?>
                    </td>
                      <td class="bottom-border middle" style="text-align:right;">   

                        <?php 
                            $default =0;                          
                                
                            $day_count=cal_days_in_month(CAL_GREGORIAN,9,$result['year']);
                            $average_trafic_count  =round(($result['Sep'] /$day_count),0);
                            $default =$average_trafic_count+$default;                         
                            
                            echo( $default == 0 ? '0' :$default);
                        ?>
                    </td>
                      <td class="bottom-border middle" style="text-align:right;">   

                        <?php 
                            $default =0;                          
                                
                            $day_count=cal_days_in_month(CAL_GREGORIAN,10,$result['year']);
                            $average_trafic_count  =round(($result['Oct'] /$day_count),0);
                            $default =$average_trafic_count+$default;                         
                            
                            echo( $default == 0 ? '0' :$default);
                        ?>
                    </td>
                      <td class="bottom-border middle" style="text-align:right;">   

                        <?php 
                            $default =0;                          
                                
                            $day_count=cal_days_in_month(CAL_GREGORIAN,11,$result['year']);
                            $average_trafic_count  =round(($result['Nov'] /$day_count),0);
                            $default =$average_trafic_count+$default;                         
                            
                            echo( $default == 0 ? '0' :$default);
                        ?>
                    </td>
                      <td class="bottom-border middle" style="text-align:right;">   

                        <?php 
                            $default =0;                          
                                
                            $day_count=cal_days_in_month(CAL_GREGORIAN,12,$result['year']);
                            $average_trafic_count  =round(($result['Dece'] /$day_count),0);
                            $default =$average_trafic_count+$default;                         
                            
                            echo( $default == 0 ? '0' :$default);
                        ?>
                    </td>
                      
                   

                </tr>
            <?php endforeach; ?>    

        </tbody>

    </table>
    </div>
  <?php endif;?>



</div>
<style>

.top-border {
    border-top: 2px solid #cccccc !important;
    border-left: 2px solid #cccccc !important;
    border-right: 2px solid #cccccc !important;
    background-color: #fff3cd;
    /* font-size: 11px !important; */
    padding: 1px !important;
    font-weight: bold;
    text-align: right;
}

.bottom-border {
    border-bottom: 2px solid #cccccc !important;
    border-left: 2px solid #cccccc !important;
    border-right: 2px solid #cccccc !important;
    background-color: #d1ecf1;
    /* font-size: 11px !important; */
    padding: 1px !important;
    text-align: right;
    font-weight: bold;
}

.specific-column{
    background-color: #f5c6cb !important;
    border: 2px solid #cccccc !important;
}
.grand_total{
    text-align: right;
    font-weight: bold;
}

th {
    text-align: center;
}

.my-custom-scrollbar {
    position: relative;
    height: 500px;
    overflow: auto;
}

.table-wrapper-scroll-y {
    display: block;
}

#entranceSearch {
    padding: 5px 5px 5px 5px;
    border: 1px solid #ddd;
    margin: -5px;
    width: -webkit-fill-available;
}
</style>
<script>
    function sendPdf() {

    var model = <?php echo json::encode($model);?>;
    var results = <?php echo json::encode($results);?>;
    var months = <?php echo json::encode($months);?>;
    var routes = <?php echo json::encode($routes);?>;
    var url = '<?php echo Url::to(['reports/average-daily-traffic-report-pdf2']); ?>';
    gotoUrl(url, {
        'model': model,
        'results': results,
        'months': months,
        'routes': routes
    });

    }

    function sendExcel() {

    var model = <?php echo json::encode($model);?>;
    var results = <?php echo json::encode($results);?>;
    var months = <?php echo json::encode($months);?>;
    var routes = <?php echo json::encode($routes);?>;

   
     var url = '<?php echo Url::to(['reports/average-daily-traffic-report-excel2']); ?>';
    gotoUrl(url, {
        'model': model,
        'results': results,
        'months': months,
        'routes': routes

    });

    }

    function gotoUrl(path, params, method) {
    //Null check
    method = method || "post"; // Set method to post by default if not specified.

    var form = document.createElement("form");
    form.setAttribute("method", method);
    form.setAttribute("action", path);

    //Fill the hidden form
    if (typeof params === 'string') {
        var hiddenField = document.createElement("input");
        hiddenField.setAttribute("type", "hidden");
        hiddenField.setAttribute("name", 'data');
        hiddenField.setAttribute("value", params);
        form.appendChild(hiddenField);
    } else {
        for (var key in params) {
            if (params.hasOwnProperty(key)) {
                var hiddenField = document.createElement("input");
                hiddenField.setAttribute("type", "hidden");
                hiddenField.setAttribute("name", key);
                if (typeof params[key] === 'object') {
                    hiddenField.setAttribute("value", JSON.stringify(params[key]));
                } else {
                    hiddenField.setAttribute("value", params[key]);
                }
                form.appendChild(hiddenField);
            }
        }
    }
    form.target = '_blank';
    document.body.appendChild(form);
    form.submit();
    return false;
    }
</script>