<?php
use app\models\Ic;
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Style\Border;
use PhpOffice\PhpSpreadsheet\Style\Fill;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;


$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();

$sheet->setTitle(' XLSX  Document');
$nowdate = date('Y-m-d h:i:s');

$styleArrayHeading = array(
    'font' => array(
        'bold' => true,
        'color' => array('rgb' => '307BBA'),
        'size' => 8,
        'name' => 'Verdana',
    ),

);
$styleArrayTitle = array(
    'font' => array(
        'bold' => true,
        'color' => array('rgb' => '4040C4'),
        'size' => 8,
        'name' => 'Verdana',
    ));

$styleArrayTotal = array(
    'font' => array(
        'bold' => true,
        'color' => array('rgb' => '000000'),
        'size' => 8,
        'name' => 'Verdana',
    ));
$styleArrayBorder = array(
    'borders' => array(
        'allBorders' => [
            'borderStyle' => Border::BORDER_THIN,
            'color' => ['rgb' => '000000'],
        ],
    ),
);
$fill1 = array(
    'font' => array(
        'bold' => true,
        'size' => 8,
        'name' => 'Verdana',
    ),
    'borders' => array(
        'allBorders' => [
            'borderStyle' => Border::BORDER_THIN,
            'color' => ['rgb' => '000000'],
        ],
    ),
);

$count = 0;
$headinColunm = 0;
$sheet->getColumnDimension('A')->setWidth(30);
$sheet->getColumnDimension('B')->setWidth(30);
$sheet->getColumnDimension('C')->setWidth(10);
$sheet->getColumnDimension('D')->setWidth(10);
$sheet->getColumnDimension('E')->setWidth(10);
$sheet->getColumnDimension('F')->setWidth(10);
$sheet->getColumnDimension('G')->setWidth(10);
$sheet->getColumnDimension('H')->setWidth(10);
$sheet->getColumnDimension('I')->setWidth(10);
$sheet->getColumnDimension('J')->setWidth(15);
$sheet->getColumnDimension('K')->setWidth(15);

$sheet->setCellValue('A' . ++$count, 'Real Traffic Report - ' . $model['year']);
$sheet->setCellValue('A' . ++$count, 'GENERATED DATE:' . $nowdate);
$sheet->setCellValue('A' . ++$count, 'USER:' . Yii::$app->getUser()->username);
$sheet->setCellValue('A' . ++$count, 'YEAR:' . $model['year']);
$sheet->setCellValue('B' . $count, 'MONTH:' . $model['month']);
++$count;
++$count;

$sCount = $count;
$sheet->setCellValue('A' . '6', 'ENTRACE IC');
$sheet->getStyle('A' . '6')->applyFromArray($fill1);
$sheet->setCellValue('B' . '6', 'EXIT IC');
$sheet->getStyle('B' . '6')->applyFromArray($fill1);
$sheet->setCellValue('C' . '6','cat1');
$sheet->setCellValue('D' . '6','cat2');
$sheet->setCellValue('E' . '6','cat3');
$sheet->setCellValue('F' . '6','cat4');
$sheet->setCellValue('G' . '6','s');
$sheet->setCellValue('H' . '6','ps');
$sheet->setCellValue('I' . '6','pms');
$sheet->setCellValue('J' . '6','CatAmbulance');
$sheet->setCellValue('K' . '6','CatNotAssigned');

$sheet->getStyle('C' . '6')->applyFromArray($fill1);
$sheet->getStyle('D' . '6')->applyFromArray($fill1);
$sheet->getStyle('E' . '6')->applyFromArray($fill1);
$sheet->getStyle('F' . '6')->applyFromArray($fill1);
$sheet->getStyle('G' . '6')->applyFromArray($fill1);
$sheet->getStyle('H' . '6')->applyFromArray($fill1);
$sheet->getStyle('I' . '6')->applyFromArray($fill1);
$sheet->getStyle('J' . '6')->applyFromArray($fill1);
$sheet->getStyle('K' . '6')->applyFromArray($fill1);




$headinCo = 2;
$co = 6;
// foreach ($months as $month) {
//     $monthName = date('F', mktime(0, 0, 0, $month['month'], 10));
//     $sheet->getCellByColumnAndRow(++$headinCo, $co)->setValue($monthName);
//     foreach ($categorie as $category) {
//         $sheet->getCellByColumnAndRow($headinCo, ($co + 1))->setValue($category['name']);
//         ++$headinCo;

//     }
//     --$headinCo;
// }

++$count;

foreach ($results as $result) {

    $source = Ic::find()->where(['id' => $result['tid']])->one();
    $destination = Ic::find()->where(['id' => $result['did']])->one();

    $sheet->setCellValue('A' . ++$count, $source['name']);
    $sheet->setCellValue('B' . $count, $destination['name']);
    $sheet->getStyle('A' . $count)->applyFromArray($styleArrayBorder);
    $sheet->getStyle('B' . $count)->applyFromArray($styleArrayBorder);

    $sheet->getStyle('A' . $count)->getFill()
        ->setFillType(Fill::FILL_SOLID)
        ->getStartColor()->setARGB('a3c2c2');

    $sheet->getStyle('B' . $count)->getFill()
        ->setFillType(Fill::FILL_SOLID)
        ->getStartColor()->setARGB('fff3cd');

    $headinColunm = 2;
    $sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue($result['cat1'] == 0 || empty($result['cat1']) ? '0' : $result['cat1']);
    $sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue($result['cat2'] == 0 || empty($result['cat2']) ? '0' : $result['cat2']);
    $sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue($result['cat3'] == 0 || empty($result['cat3']) ? '0' : $result['cat3']);
    $sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue($result['cat4'] == 0 || empty($result['cat4']) ? '0' : $result['cat4']);
    $sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue($result['s'] == 0 || empty($result['s']) ? '0' : $result['s']);
    $sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue($result['ps'] == 0 || empty($result['ps']) ? '0' : $result['ps']);
    $sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue($result['pms'] == 0 || empty($result['pms']) ? '0' : $result['pms']);
    $sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue($result['CatAmbulance'] == 0 || empty($result['CatAmbulance']) ? '0' : $result['CatAmbulance']);
    $sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue($result['CatNotAssigned'] == 0 || empty($result['CatNotAssigned']) ? '0' : $result['CatNotAssigned']);

    $headinColunm = 2;

}

$filename = "Real Traffic Report " .$model['year'].'-'. $model['month'] . '' . ".xlsx";
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename=' . $filename);
header('Cache-Control: max-age=0');
$writer = new Xlsx($spreadsheet);
$writer->save('php://output');
exit;

?>






<h1> Excel  Document download </h1>
