<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\ActiveForm;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use yii\bootstrap4\Modal;
use kartik\date\DatePicker;
use app\models\Region;
use app\models\Ic;
use app\models\Designation;
use webvimark\modules\UserManagement\models\User;
use kartik\depdrop\DepDrop;
use yii\widgets\LinkPager;
use yii\helpers\Json;
use kartik\datetime\DateTimePicker;
use yii\widgets\Pjax;
use kartik\select2\Select2;

/* @var $this yii\web\View */
/* @var $searchModel app\models\TimeLogSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Duplicate Ticket Report';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="time-log-index">

<?php Pjax::begin(['id' => 'time-log-pjax']); ?>

    <?php $form = ActiveForm::begin(); ?>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>



    <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">


                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                        <span class="caption-subject font-dark bold uppercase">
                            <?= Html::encode($this->title) ?></span>
                    </div>

                    <div class="actions">
                        <!-- Reset Button -->
                        <?= Html::resetButton('Reset', ['class' => 'btn btn-default', 'onclick' => 'resetForm()']) ?>
                    </div>

                </div>

                <div class="portlet-body" style="margin-top: 26px;">
                    <form role="form">
                        <div class="row">
                            <div class="col-md-1 pull-right">
                                <?= Html::submitButton('Search', ['class' => 'btn btn-success']) ?>
                            </div>
                            <?php if($results):?>
                            <div class="actions" style="float:right;">
                                <div class="btn-group">
                                    <a class="btn blue btn-outline btn-circle btn-sm" href="javascript:;"
                                        data-toggle="dropdown" data-hover="dropdown" data-close-others="true"
                                        aria-expanded="false"> Export
                                        <i class="fa fa-angle-down"></i>
                                    </a>
                                    <ul class="dropdown-menu pull-right" style="    min-width: 80px;">

                                        <li>

                                            <a href="#" onclick="sendPdf()"> Pdf </a>
                                        </li>
                                         <li>
                                            <a href="#" onclick="sendExcel()"
                                                target="_blank">Excel </a>
                                        </li> 

                                    </ul>
                                </div>
                            </div>
                            <?php endif;?>
                        </div>

                        <div class="row">
                        <div class="col-md-4">
                                <?= $form->field($model, 'region')->widget(Select2::classname(), [
                                    'data' => Region::getRegionWithDefault(),
                                    'options' => [
                                        'prompt' => 'Select Region',
                                        'id' => 'region-dropdown',
                                    ],
                                    'pluginOptions' => [
                                        'allowClear' => true,
                                    ],
                                    'pluginEvents' => [
                                        'change' => '
                                            function() {
                                                var regionId = $(this).val();
                                                if (regionId === "") {
                                                    $("select#ic-dropdown").html("<option value=\'\'>Select IC</option>");
                                                } else {
                                                    $.post(
                                                        "' . Yii::$app->urlManager->createUrl('ic/ic-list?region_id=') . '"+regionId, 
                                                        function(data) {
                                                            $("select#ic-dropdown").html(data);
                                                        }
                                                    );
                                                }
                                            }
                                        ',
                                    ],
                                ]); ?>
                            </div>

                            <div class="col-md-4">
                                <?= $form->field($model, 'ic')->widget(Select2::classname(), [
                                    'data' => $icOptions, // Preloaded IC options,
                                    'options' => [
                                        'id' => 'ic-dropdown',
                                        'prompt' => 'Select IC',
                                    ],
                                    'pluginOptions' => [
                                        'allowClear' => true,
                                    ],
                                ]); ?>
                            </div>
                        </div>


                        <div class="row">
                        <div class="col-md-4">
                                <?echo $form->field($model, 'date_from')->widget(DateTimePicker::classname(), [
                                    'options' => ['placeholder' => 'Enter event time ...','autocomplete' => 'off'],
                                    'pluginOptions' => [
                                        'autoclose' => true
                                    ]
                                ]);?>
                            </div>
                            <div class="col-md-4">
                                <?echo $form->field($model, 'date_to')->widget(DateTimePicker::classname(), [
                                    'options' => ['placeholder' => 'Enter event time ...','autocomplete' => 'off'],
                                    'pluginOptions' => [
                                        'autoclose' => true
                                    ]
                                ]);?>
                            </div>
                        </div>

                        <br>
                        <br>

                    </form>
                </div>

            </div>

        </div>

    </div>
    <?php ActiveForm::end(); ?>

    <!-- <?php
if ($results) {
    echo "<pre>";
    print_r($results);
    echo "</pre>";
} else {
    echo "No results found!";
}
?> -->
    <?php if($results):?>
    
    <br>
    <table class="table tableCompany_View-striped table-bordered table-advance table-hover">
        <thead>
            <tr>
                <th scope="col"><b>Entrance Ticket Serial</b></th>
                <th scope="col"><b>Entrance IC</b></th>
                <th scope="col"><b>Entrance Time</b></th>
                <th scope="col"><b>Exit Ticket Serial</b></th>
                <th scope="col"><b>Exit IC</b></th>
                <th scope="col"><b>Exit Time</b></th>
                <th scope="col"><b>Vehicle Category</b></th>
                <th scope="col"><b>Exit Teller</b></th>
                <th scope="col"><b>Amount</b></th>
                

            </tr>
        </thead>

        <tbody>
            <?php foreach($results as $result): ?>
                <tr>
                    <!-- <td><?php echo $result['entrance_serial']; ?></td>
                    <td><?php echo $result['entrance_ic']; ?></td>
                    <td><?php echo $result['entrance_time']; ?></td>
                    <td><?php echo $result['exit_serial']; ?></td>
                    <td><?php echo $result['exit_ic']; ?></td>
                    <td><?php echo $result['exit_time']; ?></td>
                    <td><?php echo $result['vehicle_category']; ?></td>
                    <td><?php echo $result['teller']; ?></td>
                    <td><?php echo $result['amount']; ?></td> -->

                    <td><?= Html::encode($result['entrance_serial']) ?></td>
                    <td><?= Html::encode($result['entrance_ic']) ?></td>
                    <td><?= Html::encode($result['entrance_time']) ?></td>
                    <td><?= Html::encode($result['exit_serial']) ?></td>
                    <td><?= Html::encode($result['exit_ic']) ?></td>
                    <td><?= Html::encode($result['exit_time']) ?></td>
                    <td><?= Html::encode($result['vehicle_category']) ?></td>
                    <td><?= Html::encode($result['teller']) ?></td>
                    <td><?= Html::encode($result['amount']) ?></td>
                </tr>
            <?php endforeach; ?>
        </tbody>

    </table>
    <div class="total-duplicate-count">
        <p><b>Total Duplicate Tickets: <?= Html::encode($totalDuplicateCount) ?></b></p>
    </div>
    <?php else: ?>
    <!-- <p>No results found!</p> -->

    <?php endif;?>


    <?php Pjax::end(); ?>
</div>
<style>

.top-border {
    border-top: 2px solid #cccccc !important;
    border-left: 2px solid #cccccc !important;
    border-right: 2px solid #cccccc !important;
    background-color: #fff3cd;
    /* font-size: 11px !important; */
    padding: 1px !important;
    font-weight: bold;
    text-align: right;
}

.bottom-border {
    border-bottom: 2px solid #cccccc !important;
    border-left: 2px solid #cccccc !important;
    border-right: 2px solid #cccccc !important;
    background-color: #d1ecf1;
    /* font-size: 11px !important; */
    padding: 1px !important;
    text-align: right;
    font-weight: bold;
}

.specific-column{
    background-color: #f5c6cb !important;
    border: 2px solid #cccccc !important;
}
.grand_total{
    text-align: right;
    font-weight: bold;
}

th {
    text-align: center;
}

.my-custom-scrollbar {
    position: relative;
    height: 500px;
    overflow: auto;
}

.table-wrapper-scroll-y {
    display: block;
}

#entranceSearch {
    padding: 5px 5px 5px 5px;
    border: 1px solid #ddd;
    margin: -5px;
    width: -webkit-fill-available;
}
</style>
<script>
    function sendPdf() {

    var model = <?php echo json::encode($model);?>;
    var results = <?php echo json::encode($results);?>;
    var totalDuplicateCount = <?php echo json::encode($totalDuplicateCount);?>;
    var url = '<?php echo Url::to(['reports/duplicate-ticket-report-pdf']); ?>';
    gotoUrl(url, {
        'model': model,
        'results': results,
        'totalDuplicateCount': totalDuplicateCount
    });

    }

    function sendExcel() {

    var model = <?php echo json::encode($model);?>;
    var results = <?php echo json::encode($results);?>;
    var totalDuplicateCount = <?php echo json::encode($totalDuplicateCount);?>;
    var url = '<?php echo Url::to(['reports/duplicate-ticket-report-excel']); ?>';
    gotoUrl(url, {
        'model': model,
        'results': results,
        'totalDuplicateCount': totalDuplicateCount
    });

    }

    function gotoUrl(path, params, method) {
    //Null check
    method = method || "post"; // Set method to post by default if not specified.

    var form = document.createElement("form");
    form.setAttribute("method", method);
    form.setAttribute("action", path);

    //Fill the hidden form
    if (typeof params === 'string') {
        var hiddenField = document.createElement("input");
        hiddenField.setAttribute("type", "hidden");
        hiddenField.setAttribute("name", 'data');
        hiddenField.setAttribute("value", params);
        form.appendChild(hiddenField);
    } else {
        for (var key in params) {
            if (params.hasOwnProperty(key)) {
                var hiddenField = document.createElement("input");
                hiddenField.setAttribute("type", "hidden");
                hiddenField.setAttribute("name", key);
                if (typeof params[key] === 'object') {
                    hiddenField.setAttribute("value", JSON.stringify(params[key]));
                } else {
                    hiddenField.setAttribute("value", params[key]);
                }
                form.appendChild(hiddenField);
            }
        }
    }
    form.target = '_blank';
    document.body.appendChild(form);
    form.submit();
    return false;
    }
</script>