<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\ActiveForm;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use yii\bootstrap4\Modal;
use kartik\datetime\DateTimePicker;
use app\models\Booth;
use app\models\Ic;
use kartik\depdrop\DepDrop;
use yii\widgets\LinkPager;
use yii\helpers\Json;

/* @var $this yii\web\View */
/* @var $searchModel app\models\TimeLogSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Fare Collection All IC Summary';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="time-log-index">

    <?php $form = ActiveForm::begin(); ?>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>



    <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">


                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                        <span class="caption-subject font-dark bold uppercase">
                            <?= Html::encode($this->title) ?></span>
                    </div>

                </div>

                <div class="portlet-body" style="margin-top: 26px;">
                    <form role="form">
                        <div class="row">
                            <div class="col-md-1 pull-right">
                                <?= Html::submitButton('Search', ['class' => 'btn btn-success']) ?>
                            </div>
                            <?php if($results):?>
                            <div class="actions" style="float:right;">
                                <div class="btn-group">
                                    <a class="btn blue btn-outline btn-circle btn-sm" href="javascript:;"
                                        data-toggle="dropdown" data-hover="dropdown" data-close-others="true"
                                        aria-expanded="false"> Export
                                        <i class="fa fa-angle-down"></i>
                                    </a>
                                    <ul class="dropdown-menu pull-right" style="    min-width: 80px;">

                                    <li>

                                    <a href="#" onclick="sendPdf()"> Pdf </a>
                                    </li>
                                    <li>
                                    <a href="#" onclick="sendExcel()"
                                        target="_blank">Excel </a>
                                    </li> 

                                    </ul>
                                </div>
                            </div>
                            <?php endif;?>
                        </div>

                        <div class="row">
                            <div class="col-md-4">
                                <?echo $form->field($model, 'startDate')->widget(DateTimePicker::classname(), [
                                    'options' => ['placeholder' => 'End date & time ...','autocomplete' => 'off'],
                                    'pluginOptions' => [
                                        'format'=>'yyyy-mm-dd hh:00:00',
                                        'autoclose' => true,
                                        'minView'=>1
                                    ]
                                ]);?>
                            </div>
                            <div class="col-md-4">
                                <?echo $form->field($model, 'endDate')->widget(DateTimePicker::classname(), [
                                    'options' => ['placeholder' => 'Start date & time ...','autocomplete' => 'off'],
                                    'pluginOptions' => [
                                        'format'=>'yyyy-mm-dd hh:00:00',
                                        'autoclose' => true,
                                        'minView'=>1
                                    ]
                                ]);?>
                            </div>
                            <div class="col-md-4">
                                <?= $form->field($model, 'ticketType')->dropDownList(['entrance'=>'ENTRANCE TICKET','exit(traffic)'=>'EXIT TICKET(TRAFFIC)','exit(revenue)'=>'EXIT TICKET(REVENUE)']) ?>
                            </div>
                        </div>

                        <br>
                        <br>

                    </form>
                </div>

            </div>

        </div>

    </div>
    <?php ActiveForm::end(); ?>
    <?php if($results):?>
    <?php if($model->ticketType == 'entrance'):?>
    <h4>Entrance Tickets Summary</h4>

    <table id="entranceTable"
        class="table tableCompany_View-striped table-bordered table-striped table-advance table-hover">
        <thead>
            <tr>
                <th><b>IC</b></th>
                <th colspan="<?= count($vCategor)?>"><b>Ticket Type Counts</b></th>
                <th><b>Total</b></th>
            </tr>
            <tr>
                <th scope="col"><input type="text" id="entranceSearch" onkeyup="searchEntranceTable()"
                        placeholder="Search for IC.." title="Type in a name"> </th>
                <?foreach($vCategor as $vc):?>
                <th scope="col"><b><?php print_r($vc->name)?></b> </th>
                <?endforeach;?>
                <th scope="col"> </th>

            </tr>
        </thead>
        <tbody id="tbody" class="table table-scrollable">
            <?
                        $grandTotal = 0;
                    ?>
            <?php foreach ($results as $result): ?>
            <tr>
                <td>
                    <?php echo($result['Interchange'])?>
                </td>
                
                 <td style="text-align:right;">
                    <?php echo($result['Cat1'])?>
                </td>
                 <td style="text-align:right;">
                    <?php echo($result['Cat2'])?>
                </td>
                 <td style="text-align:right;">
                    <?php echo($result['Cat3'])?>
                </td>
                 <td style="text-align:right;">
                    <?php echo($result['Cat4'])?>
                </td>
                 <td style="text-align:right;">
                    <?php echo($result['CatS'])?>
                </td>
                 <td style="text-align:right;">
                    <?php echo($result['CatPS'])?>
                </td>
                 <td style="text-align:right;">
                    <?php echo($result['CatPMS'])?>
                </td>
                 <td style="text-align:right;">
                    <?php echo($result['CatAmbulance'])?>
                </td>
                <td style="text-align:right;">
                    <?php echo($result['CatNotAssigned'])?>
                </td>                
                <td style="text-align:right;">
                    <?php echo($result['Total'])?>
                </td>
                <?
                            $grandTotal += $result['Total'];
                        ?>

            </tr>
            <?php endforeach;?>
            <tr>
                <td style="text-align:center;" colspan="<?= count($vCategor)+1?>"><b>Grand Total</b></td>
                <td style="text-align:right;"><b><?= number_format($grandTotal, 0, '.', ',') ?></b></td>
            </tr>





        </tbody>

    </table>
    <?php elseif($model->ticketType == 'exit(traffic)' ):?>
    <h4>Exit Tickets Summary</h4>
    <div class="table-wrapper-scroll-y my-custom-scrollbar">
    <table id="entranceTable"
        class="table tableCompany_View-striped table-bordered table-striped table-advance table-hover">
        <thead>
            <tr>
                <th><b>IC</b></th>
                
                <th colspan="<?= count($vCategor)?>"><b>Ticket Type Counts</b></th>
                <th><b>Total</b></th>
            </tr>
            <tr>
                <th scope="col"><input type="text" id="entranceSearch" onkeyup="searchEntranceTable()"
                        placeholder="Search for IC.." title="Type in a name"> </th>
                <?foreach($vCategor as $vc):?>
                <th scope="col"><b><?php print_r($vc->name)?></b> </th>
                <?endforeach;?>
                <th scope="col"> </th>

            </tr>
        </thead>

        <tbody id="tbody" class="table table-scrollable">
            <?
                        $grandTotal = 0;
                    ?>
            <?php foreach ($results as $result): ?>
            <tr>
                <td>
                    <?php echo($result['Interchange'])?>
                </td>
                
                 <td style="text-align:right;">
                    <?php echo($result['Cat1'])?>
                </td>
                 <td style="text-align:right;">
                    <?php echo($result['Cat2'])?>
                </td>
                 <td style="text-align:right;">
                    <?php echo($result['Cat3'])?>
                </td>
                 <td style="text-align:right;">
                    <?php echo($result['Cat4'])?>
                </td>
                 <td style="text-align:right;">
                    <?php echo($result['CatS'])?>
                </td>
                 <td style="text-align:right;">
                    <?php echo($result['CatPS'])?>
                </td>
                 <td style="text-align:right;">
                    <?php echo($result['CatPMS'])?>
                </td>
                 <td style="text-align:right;">
                    <?php echo($result['CatAmbulance'])?>
                </td>
                <td style="text-align:right;">
                    <?php echo($result['CatNotAssigned'])?>
                </td>                
                <td style="text-align:right;">
                    <?php echo($result['Total'])?>
                </td>
                <?
                            $grandTotal += $result['Total'];
                        ?>

            </tr>
            <?php endforeach;?>
            <tr>
                <td style="text-align:center;" colspan="<?= count($vCategor)+1?>"><b>Grand Total</b></td>
                <td style="text-align:right;"><b><?= number_format($grandTotal, 0, '.', ',') ?></b></td>
            </tr>





        </tbody>

    </table>
    </div>
    <?php elseif($model->ticketType == 'exit(revenue)' ):?>
    <h4>Exit Tickets Amount Summary</h4>
    <div class="table-wrapper-scroll-y my-custom-scrollbar">
    <table id="entranceTable"
        class="table tableCompany_View-striped table-bordered table-striped table-advance table-hover">
        <thead>
            <tr>
                <th><b>IC</b></th>
                
                <th colspan="<?= count($vCategor)?>"><b>Ticket Type Amounts</b></th>
                <th><b>Total</b></th>
            </tr>
            <tr>
                <th scope="col"><input type="text" id="entranceSearch" onkeyup="searchEntranceTable()"
                        placeholder="Search for IC.." title="Type in a name"> </th>
                <?foreach($vCategor as $vc):?>
                <th scope="col"><b><?php print_r($vc->name)?></b> </th>
                <?endforeach;?>
                <th scope="col"> </th>

            </tr>
        </thead>

        <tbody id="tbody" class="table table-scrollable">
            <?
                        $grandTotal = 0;
                    ?>
            <?php foreach ($results as $result): ?>
            <tr>
                <td>
                    <?php echo($result['Interchange'])?>
                </td>
                
                 <td style="text-align:right;">
                    <?php echo($result['Cat1'])?>
                </td>
                 <td style="text-align:right;">
                    <?php echo($result['Cat2'])?>
                </td>
                 <td style="text-align:right;">
                    <?php echo($result['Cat3'])?>
                </td>
                 <td style="text-align:right;">
                    <?php echo($result['Cat4'])?>
                </td>
                 <td style="text-align:right;">
                    <?php echo($result['CatS'])?>
                </td>
                 <td style="text-align:right;">
                    <?php echo($result['CatPS'])?>
                </td>
                 <td style="text-align:right;">
                    <?php echo($result['CatPMS'])?>
                </td>
                 <td style="text-align:right;">
                    <?php echo($result['CatAmbulance'])?>
                </td>
                <td style="text-align:right;">
                    <?php echo($result['CatNotAssigned'])?>
                </td>                
                <td style="text-align:right;">
                    <?php echo($result['Total'])?>
                </td>
                <?
                            $grandTotal += $result['Total'];
                        ?>

            </tr>
            <?php endforeach;?>
            <tr>
                <td style="text-align:center;" colspan="<?= count($vCategor)+1?>"><b>Grand Total</b></td>
                <td style="text-align:right;"><b><?= number_format($grandTotal, 0, '.', ',') ?></b></td>
            </tr>





        </tbody>

    </table>
    </div>
    <?php endif;?>

    <?php endif;?>



</div>
<style>
th {
    text-align: center;
}
.my-custom-scrollbar {
position: relative;
height: 500px;
overflow: auto;
}
.table-wrapper-scroll-y {
display: block;
}

#entranceSearch {
    padding: 5px 5px 5px 5px;
    border: 1px solid #ddd;
    margin: -5px;
    width: -webkit-fill-available;
}
</style>
<script>
function searchEntranceTable() {
    var input, filter, table, tr, td, i, txtValue;
    input = document.getElementById("entranceSearch");
    filter = input.value.toUpperCase();
    table = document.getElementById("entranceTable");
    tr = table.getElementsByTagName("tr");
    for (i = 0; i < tr.length; i++) {
        td = tr[i].getElementsByTagName("td")[0];
        if (td) {
            txtValue = td.textContent || td.innerText;
            if (txtValue.toUpperCase().indexOf(filter) > -1) {
                tr[i].style.display = "";
            } else {
                tr[i].style.display = "none";
            }
        }
    }
}

    function sendPdf() {

    var model = <?php echo json::encode($model);?>;
    var results = <?php echo json::encode($results);?>;
    var vCategor = <?php echo json::encode($vCategor);?>;
    var url = '<?php echo Url::to(['reports/fare-collection-all-ic-summary-pdf']); ?>';
    gotoUrl(url, {
        'model': model,
        'results': results,
        'vCategor' : vCategor,
    });

    }

    function sendExcel() {

    var model = <?php echo json::encode($model);?>;
    var results = <?php echo json::encode($results);?>;
    var vCategor = <?php echo json::encode($vCategor);?>;
    var url = '<?php echo Url::to(['reports/fare-collection-all-ic-summary-excel']); ?>';
    gotoUrl(url, {
        'model': model,
        'results': results,
        'vCategor' : vCategor,
    });

    }

    function gotoUrl(path, params, method) {
    //Null check
    method = method || "post"; // Set method to post by default if not specified.

    var form = document.createElement("form");
    form.setAttribute("method", method);
    form.setAttribute("action", path);

    //Fill the hidden form
    if (typeof params === 'string') {
        var hiddenField = document.createElement("input");
        hiddenField.setAttribute("type", "hidden");
        hiddenField.setAttribute("name", 'data');
        hiddenField.setAttribute("value", params);
        form.appendChild(hiddenField);
    } else {
        for (var key in params) {
            if (params.hasOwnProperty(key)) {
                var hiddenField = document.createElement("input");
                hiddenField.setAttribute("type", "hidden");
                hiddenField.setAttribute("name", key);
                if (typeof params[key] === 'object') {
                    hiddenField.setAttribute("value", JSON.stringify(params[key]));
                } else {
                    hiddenField.setAttribute("value", params[key]);
                }
                form.appendChild(hiddenField);
            }
        }
    }
    form.target = '_blank';
    document.body.appendChild(form);
    form.submit();
    return false;
    }
</script>