<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\ActiveForm;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use yii\bootstrap4\Modal;
use kartik\datetime\DateTimePicker;
use app\models\Booth;
use app\models\Ic;
use app\models\Region;
use kartik\depdrop\DepDrop;
use yii\widgets\LinkPager;
use webvimark\modules\UserManagement\models\User;
use app\models\BoothType;
use app\models\Devices;

/* @var $this yii\web\View */
/* @var $searchModel app\models\TimeLogSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Fare Collection Allocation Wise';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="time-log-index">

    <?php $form = ActiveForm::begin(); ?>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>



    <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">


                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                        <span class="caption-subject font-dark bold uppercase">
                            <?= Html::encode($this->title) ?></span>
                    </div>
                    
                </div>

                <div class="portlet-body" style="margin-top: 26px;">
                    <form role="form">
                        <div class="row">
                            <div class="col-md-1 pull-right">
                                <?= Html::submitButton('Search', ['class' => 'btn btn-success']) ?>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-4">
                                <?= $form->field($model, 'region')->dropDownList(
                                    Region::getRegionWithDefault(),
                                    [
                                        // 'prompt' => '',
                                        'id' => 'region-dropdown',
                                        'onchange' => '
                                            var regionId = $(this).val();
                                            if (regionId === "") {
                                                $("select#ic-dropdown").html("<option value=\'\'>Select IC</option>");
                                            } else {
                                                $.post(
                                                    "' . Yii::$app->urlManager->createUrl('ic/ic-list?region_id=') . '"+regionId, 
                                                    function(data) {
                                                        $("select#ic-dropdown").html(data);
                                                    }
                                                );
                                            }
                                        ',

                                    ]
                                ); ?> 
                            </div>

                            <div class="col-md-4">
                                <?= $form->field($model, 'ic')->dropDownList($icOptions, ['id' => 'ic-dropdown']); ?>
                            </div>
                        </div>

                        <div class="row">
                            
                            <div class="col-md-4">
                                <?echo $form->field($model, 'startDate')->widget(DateTimePicker::classname(), [
                                    'options' => ['placeholder' => 'Start date time ...','autocomplete' => 'off'],
                                    'pluginOptions' => [
                                        'autoclose' => true
                                    ]
                                ]);?>
                            </div>
                            <div class="col-md-4">
                                <?echo $form->field($model, 'endDate')->widget(DateTimePicker::classname(), [
                                    'options' => ['placeholder' => 'End date time ...','autocomplete' => 'off'],
                                    'pluginOptions' => [
                                        'autoclose' => true
                                    ]
                                ]);?>
                            </div>
                        </div>
                        <div class="row">
                            
                        </div>
                        <br>
                        <br>
                        
                    </form>
                </div>

            </div>

        </div>

    </div>
    <?php ActiveForm::end(); ?>

    <!-- <?php \yii\widgets\Pjax::begin(); ?> -->
    <?php if($results):?>
    
    <table class="table tableCompany_View-striped table-bordered table-advance table-hover">
        <thead>
            <tr>
                <th scope="col" style="min-width:140px !important"><b>Teller</b> </th>
                <th scope="col" style="min-width:140px !important"><b>Booth Name</b> </th>
                <th scope="col" style="min-width:140px !important"><b>Booth Type</b> </th>
                <th scope="col" style="min-width:140px !important"><b>POS</b> </th>
                <th scope="col" style="min-width:140px !important"><b>Start Time</b> </th>
                <th scope="col" style="min-width:140px !important"><b>End Time</b> </th>
            </tr>
        </thead>
        <tbody id="tbody" class="table table-scrollable">

            <?php foreach ($results as $result): ?>
            <?
                
                if(Booth::find()->where(['id' => $result['booth_id']])->one()->booth_type == BoothType::ENTRANCE){
                    $ticketType = 'Entrance';
                }else{
                    $ticketType = 'Exit';
                }
            ?>
            <tr>
                <td>
                    <?php echo(User::find()->where(['id' => $result['user_id']])->one()->username)?>
                </td>
                <td>
                    <?php echo(Booth::find()->where(['id' => $result['booth_id']])->one()->name)?>
                </td>
                <td>
                    <?php echo($ticketType)?>
                </td>
                <td>
                    <?php echo(Devices::find()->where(['id' => $result['device_id']])->one()->name)?>
                </td>
                <td>
                    <?php echo($result['sDate'])?>
                </td>
                <td>
                    <?php echo($result['eDate'])?>
                </td>
                <td>
                <a href="<?= Url::toRoute(['reports/fare-collection-allocation-wise-view', 'shiftId' => $result['shiftId'],
                    'uId'=>$result['user_id'],'boothId'=> $result['booth_id'],
                    'deviecId'=>$result['device_id'],'ticketType'=>$ticketType,
                    'ic'=>$model->ic,'sDate'=> $result['sDate'],'eDate'=>$result['eDate'],
                    'isExit'=>$ticketType,
                    ]);?>"><i class="fa fa-eye"></i></a>
                </td>

            </tr>
            <?php endforeach;?>

            <!-- <?echo LinkPager::widget([
                    'pagination' => $pages,
                ]);?> -->





        </tbody>

    </table>

    <?php else:?>
    <!-- <div class="alert alert-warning" style=" margin-top: 20px;margin-right: 50px; margin-left: 50px;text-align: center;"
        id="WarningAlert">
        <strong>Warning!!</strong> <a class="alert-link">No Record Found</a>.</div>
    </div> -->
<?php endif;?>
</div>
<!-- <?php \yii\widgets\Pjax::end(); ?> -->



</div>