<?php
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use app\models\TicketTypeStatus;
use app\models\Devices;
use app\models\Booth;
use app\models\BoothType;
use app\models\Ic;
use webvimark\modules\UserManagement\models\User;

$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();

$sheet->setTitle(' XLSX  Document');
$nowdate=date('Y.m.d.h.i.s');

$styleArrayHeading = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '307BBA'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));
$styleArrayTitle = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '4040C4'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));
$styleArrayTotal = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));

$count = 0;

$sheet->setCellValue('A'.++$count, 'FARE COLLECTION ALLOCATION REPORT');
$sheet->setCellValue('A'.++$count, 'GENERATED DATE:'.$nowdate);
$sheet->setCellValue('A'.++$count, 'USER:'.Yii::$app->getUser()->username);
$sheet->setCellValue('A'.++$count, 'TELLER:'.User::find()->where(['id' => $uId])->one()->username);
$sheet->setCellValue('A'.++$count, 'POS:'.Devices::find()->where(['id' => $deviecId])->one()->name);
$sheet->setCellValue('A'.++$count, 'IC:'.Ic::find()->where(['id' => $ic])->one()->name);
$sheet->setCellValue('A'.++$count, 'BOOTH:'.Booth::find()->where(['id' => $boothId])->one()->name);
$sheet->setCellValue('A'.++$count, 'START DATE:'.$sDate);
$sheet->setCellValue('A'.++$count, 'END DATE:'.$eDate);

$sheet->getCellByColumnAndRow(1, ++$count)->setValue('SUMMARY REPORT');
$sheet->getStyle('A'.$count)->applyFromArray($styleArrayTitle);
++$count;
$sheet->setCellValue('A'.$count, 'Vehicle Type');
$sheet->setCellValue('B'.$count, 'Description');
$sheet->setCellValue('C'.$count, 'Ticket Count');
if($isExit) $sheet->setCellValue('D'.$count, 'Amount');
$sheet->getStyle('A'.$count.':D'.$count)->applyFromArray($styleArrayHeading);


++$count;
$vCount = 0;
$amount = 0;
foreach ($sResults as $sResult) {
    $row = 0;
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($sResult['name']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($sResult['description']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($sResult['vcount']);
    if($isExit) $sheet->getCellByColumnAndRow(++$row, $count)->setValue($sResult['amount']);
    ++$count;

    $vCount += $sResult['vcount'];
    $amount += $sResult['amount'];
}
$sheet->getCellByColumnAndRow(2, $count)->setValue('Total');
$sheet->getCellByColumnAndRow(3, $count)->setValue($vCount);
if($isExit) $sheet->getCellByColumnAndRow(4, $count)->setValue(number_format((float)$amount, 2, '.', ''));
$sheet->getStyle('A'.$count.':D'.$count)->applyFromArray($styleArrayTotal);

$count += 2;
$sheet->getCellByColumnAndRow(1, ++$count)->setValue('DETAILED REPORT');
$sheet->getStyle('A'.$count)->applyFromArray($styleArrayTitle);
++$count;
$headingCol = 0;
$sheet->getCellByColumnAndRow(++$headingCol, $count)->setValue('POS');
$sheet->getCellByColumnAndRow(++$headingCol, $count)->setValue('Teller');
if($isExit)
    $sheet->getCellByColumnAndRow(++$headingCol, $count)->setValue('Ext Serial');
$sheet->getCellByColumnAndRow(++$headingCol, $count)->setValue('Ent Serial');
$sheet->getCellByColumnAndRow(++$headingCol, $count)->setValue('Vehicle Type');
$sheet->getCellByColumnAndRow(++$headingCol, $count)->setValue('Issue Time');
if($isExit)
    $sheet->getCellByColumnAndRow(++$headingCol, $count)->setValue('Ticket Type');
if($isExit)
    $sheet->getCellByColumnAndRow(++$headingCol, $count)->setValue('Amount');

$sheet->getStyle('A'.$count.':H'.$count)->applyFromArray($styleArrayHeading);


++$count;
$exitTotalAmount = 0;
foreach ($dResults as $dResult) {
    if($dResult['ticket_type_status_id'] == TicketTypeStatus::NORMAL_TICKET){
        $ticketType = 'Normal';
    }else if($dResult['ticket_type_status_id'] == TicketTypeStatus::REPRINT_TICKET){
        $ticketType = 'Reprint';
    }else if($dResult['ticket_type_status_id'] == TicketTypeStatus::LOST_TICKET){
        $ticketType = 'Lost';
    }else if($dResult['ticket_type_status_id'] == TicketTypeStatus::EXPIRE_TICKET){
        $ticketType = 'Expire';
    }else if($dResult['ticket_type_status_id'] == TicketTypeStatus::MANUAL_TICKER){
        $ticketType = 'Manual';
    }
    $row = 0;
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue(Devices::find()->where(['id' => $dResult['device_id']])->one()->name);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($dResult['teller_id']);
    if($isExit) $sheet->getCellByColumnAndRow(++$row, $count)->setValue($dResult['exit_serial']);
    if($isExit) $sheet->getCellByColumnAndRow(++$row, $count)->setValue($dResult['entrance_serial']);
    else $sheet->getCellByColumnAndRow(++$row, $count)->setValue($dResult['serial_no']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($dResult['name']);
    if($isExit) $sheet->getCellByColumnAndRow(++$row, $count)->setValue($dResult['exit_time']);
    else $sheet->getCellByColumnAndRow(++$row, $count)->setValue($dResult['entrance_time']);
    if($isExit) $sheet->getCellByColumnAndRow(++$row, $count)->setValue($ticketType);
    if($isExit) $sheet->getCellByColumnAndRow(++$row, $count)->setValue($dResult['amount']);
    ++$count;
    $exitTotalAmount += $dResult['amount'];
 
}
if($isExit){
    $sheet->getCellByColumnAndRow(7, $count)->setValue('Total');
    $sheet->getCellByColumnAndRow(8, $count)->setValue(number_format((float)$exitTotalAmount, 2, '.', ''));
    $sheet->getStyle('G'.$count.':H'.$count)->applyFromArray($styleArrayTotal);
}





$filename = "FARE COLLECTION ALLOCATION REPORT". date("Y-m-d H-i-s").".xlsx";
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename='.$filename);
header('Cache-Control: max-age=0');
$writer = new Xlsx($spreadsheet);
$writer->save('php://output');
exit;


?>

<h1> Excel  Document download </h1>