<?php
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();

$sheet->setTitle(' XLSX  Document');
$nowdate=date('Y.m.d.h.i.s');

$styleArrayHeading = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '307BBA'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));
$styleArrayTitle = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '4040C4'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));

$styleArrayTotal = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));
$count = 0;

$sheet->setCellValue('A'.++$count, 'FARE COLLECTION BOOTH WISE SUMMARY REPORT');
$sheet->setCellValue('A'.++$count, 'GENERATED DATE:'.$nowdate);
$sheet->setCellValue('A'.++$count, 'USER:'.Yii::$app->getUser()->username);
++$count;
$sheet->setCellValue('A'.$count, 'Vehicle Type');
$sheet->setCellValue('B'.$count, 'Description');
$sheet->setCellValue('C'.$count, 'Ticket Count');
if($isExit)
    $sheet->setCellValue('D'.$count, 'Amount');
$sheet->getStyle('A'.$count.':D'.$count)->applyFromArray($styleArrayHeading);


$count += 1;
$vCount = 0;
$amount = 0;
foreach ($results as $result) {
    $row = 0;
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['name']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['description']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['vcount']);
    if($isExit)
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['amount']);
    ++$count;

    $vCount += $result['vcount'];
    $amount += $result['amount'];
}
$sheet->getCellByColumnAndRow(2, $count)->setValue('Total');
$sheet->getCellByColumnAndRow(3, $count)->setValue($vCount);
if($isExit)
$sheet->getCellByColumnAndRow(4, $count)->setValue($amount);

$sheet->getStyle('B'.$count.':D'.$count)->applyFromArray($styleArrayTotal);


$filename = "FARE COLLECTION BOOTH WISE SUMMARY REPORT". date("Y-m-d-H-i-s").".xlsx";
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename='.$filename);
header('Cache-Control: max-age=0');
$writer = new Xlsx($spreadsheet);
$writer->save('php://output');
exit;


?>

<h1> Excel  Document download </h1>