<?php
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use webvimark\modules\UserManagement\models\User;
use app\models\Ic;
use app\models\Devices;
use app\models\TicketTypeStatus;
use app\models\Booth;

$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();

$sheet->setTitle(' XLSX  Document');
$nowdate=date('Y.m.d.h.i.s');

$styleArrayHeading = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '307BBA'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));
$styleArrayTitle = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '4040C4'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));

$styleArrayTotal = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));

$count = 0;

$sheet->setCellValue('A'.++$count, 'FARE COLLECTION TELLER WISE SUMMARY REPORT');
$sheet->setCellValue('A'.++$count, 'GENERATED DATE:'.$nowdate);
$sheet->setCellValue('A'.++$count, 'IC:'.Ic::find()->where(['id' => $model->ic])->one()->name);
$sheet->setCellValue('A'.++$count, 'DEVICE:'.Devices::find()->where(['id' => $model->pos])->one()->name);
$sheet->setCellValue('A'.++$count, 'START DATE:'.$model->startDate);
$sheet->setCellValue('A'.++$count, 'END DATE:'.$model->endDate);

$count += 2;

if($isExit){
    $sheet->setCellValue('A'.$count, 'EXIT SUMMARY TABLE');
    $sheet->getStyle('A'.$count)->applyFromArray($styleArrayTitle);
}else{
    $sheet->setCellValue('A'.$count, 'ENTRANCE SUMMARY TABLE');
    $sheet->getStyle('A'.$count)->applyFromArray($styleArrayTitle);
}

++$count;

$sheet->setCellValue('A'.$count, 'Vehicle Type');
$sheet->setCellValue('B'.$count, 'Description');
$sheet->setCellValue('C'.$count, 'Ticket Count');
if($isExit)
    $sheet->setCellValue('D'.$count, 'Amount');
$sheet->getStyle('A'.$count.':D'.$count)->applyFromArray($styleArrayHeading);

++$count;

$exvCount = 0;
$examount = 0;

foreach ($sResults as $sResult) {
    $row = 0;
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($sResult['name']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($sResult['description']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($sResult['vcount']);
    if($isExit)
        $sheet->getCellByColumnAndRow(++$row, $count)->setValue($sResult['amount']);
    ++$count;

    $exvCount += $sResult['vcount'];
    if($isExit)
    $examount += $sResult['amount'];
}
$sheet->getCellByColumnAndRow(2, $count)->setValue('Total');
$sheet->getCellByColumnAndRow(3, $count)->setValue($exvCount);
if($isExit)
$sheet->getCellByColumnAndRow(4, $count)->setValue($examount);
$sheet->getStyle('B'.$count.':D'.$count)->applyFromArray($styleArrayTotal);

$count += 4 ;

$rowHeading = 0;
$sheet->getCellByColumnAndRow(++$rowHeading, $count)->setValue('POS');
$sheet->getCellByColumnAndRow(++$rowHeading, $count)->setValue('Booth Name');
$sheet->getCellByColumnAndRow(++$rowHeading, $count)->setValue('Teller');
if($isExit)
    $sheet->getCellByColumnAndRow(++$rowHeading, $count)->setValue('Ext Serial');
$sheet->getCellByColumnAndRow(++$rowHeading, $count)->setValue('Ent Serial');
$sheet->getCellByColumnAndRow(++$rowHeading, $count)->setValue('Vehicle Type');
$sheet->getCellByColumnAndRow(++$rowHeading, $count)->setValue('Issue Time');
if($isExit)
$sheet->getCellByColumnAndRow(++$rowHeading, $count)->setValue('Ticket Type');
$sheet->getStyle('A'.$count.':I'.$count)->applyFromArray($styleArrayHeading);
if($isExit)
    $sheet->getCellByColumnAndRow(++$rowHeading, $count)->setValue('Amount');

++$count;
$exitTotalAmount = 0;

foreach ($dResults as $dResult) {

    if($dResult['ticket_type_status_id'] == TicketTypeStatus::NORMAL_TICKET){
        $ticketType = 'Normal';
    }else if($dResult['ticket_type_status_id'] == TicketTypeStatus::REPRINT_TICKET){
        $ticketType = 'Reprint';
    }else if($dResult['ticket_type_status_id'] == TicketTypeStatus::LOST_TICKET){
        $ticketType = 'Lost';
    }else if($dResult['ticket_type_status_id'] == TicketTypeStatus::EXPIRE_TICKET){
        $ticketType = 'Expire';
    }else if($dResult['ticket_type_status_id'] == TicketTypeStatus::MANUAL_TICKER){
        $ticketType = 'Manual';
    }

    $row = 0;

    $sheet->getCellByColumnAndRow(++$row, $count)->setValue(Devices::find()->where(['id' => $model->pos])->one()->name);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue(Booth::find()->where(['id' => $dResult['booth_id']])->one()->name);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue(User::find()->where(['id' => $dResult['teller_id']])->one()->username);
    if($isExit){
        $sheet->getCellByColumnAndRow(++$row, $count)->setValue($dResult['exit_serial']);
        $sheet->getCellByColumnAndRow(++$row, $count)->setValue($dResult['entrance_serial']);
    }else{
        $sheet->getCellByColumnAndRow(++$row, $count)->setValue($dResult['serial_no']);
    }

    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($dResult['name']);

    
    if($isExit){
        $sheet->getCellByColumnAndRow(++$row, $count)->setValue($dResult['exit_time']);
    }else{
        $sheet->getCellByColumnAndRow(++$row, $count)->setValue($dResult['entrance_time']);
    }
    
    if($isExit)
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($ticketType);
    if($isExit)
        $sheet->getCellByColumnAndRow(++$row, $count)->setValue($dResult['amount']);
    ++$count;
    $exitTotalAmount += $dResult['amount'];
}
if($isExit){
    $sheet->getCellByColumnAndRow(8, $count)->setValue('Total');
    $sheet->getCellByColumnAndRow(9, $count)->setValue(number_format((float)$exitTotalAmount, 2, '.', ''));
    $sheet->getStyle('H'.$count.':I'.$count)->applyFromArray($styleArrayTotal);
}


$filename = "FARE COLLECTION POS WISE SUMMARY & DETAILED REPORT". date("Y-m-d-H-i-s").".xlsx";
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename='.$filename);
header('Cache-Control: max-age=0');
$writer = new Xlsx($spreadsheet);
$writer->save('php://output');
exit;


?>

<h1> Excel  Document download </h1>