<?php
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use webvimark\modules\UserManagement\models\User;
use app\models\Ic;
use app\models\Devices;

$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();

$sheet->setTitle(' XLSX  Document');
$nowdate=date('Y.m.d.h.i.s');

$styleArrayHeading = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '307BBA'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));
$styleArrayTitle = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '4040C4'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));

$styleArrayTotal = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));

$count = 0;

$sheet->setCellValue('A'.++$count, 'FARE COLLECTION TELLER WISE SUMMARY REPORT');
$sheet->setCellValue('A'.++$count, 'GENERATED DATE:'.$nowdate);
$sheet->setCellValue('A'.++$count, 'IC:'.Ic::find()->where(['id' => $model->ic])->one()->name);
$sheet->setCellValue('A'.++$count, 'DEVICE:'.Devices::find()->where(['id' => $model->pos])->one()->name);
$sheet->setCellValue('A'.++$count, 'START DATE:'.$model->startDate);
$sheet->setCellValue('A'.++$count, 'END DATE:'.$model->endDate);

$count += 2;

if($isExit){
    $sheet->setCellValue('A'.$count, 'EXIT SUMMARY TABLE');
    $sheet->getStyle('A'.$count)->applyFromArray($styleArrayTitle);
}else{
    $sheet->setCellValue('A'.$count, 'ENTRANCE SUMMARY TABLE');
    $sheet->getStyle('A'.$count)->applyFromArray($styleArrayTitle);
}

++$count;

$sheet->setCellValue('A'.$count, 'Vehicle Type');
$sheet->setCellValue('B'.$count, 'Description');
$sheet->setCellValue('C'.$count, 'Ticket Count');
if($isExit)
    $sheet->setCellValue('D'.$count, 'Amount');
$sheet->getStyle('A'.$count.':D'.$count)->applyFromArray($styleArrayHeading);

++$count;

$exvCount = 0;
$examount = 0;

foreach ($sResults as $sResult) {
    $row = 0;
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($sResult['name']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($sResult['description']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($sResult['vcount']);
    if($isExit)
        $sheet->getCellByColumnAndRow(++$row, $count)->setValue($sResult['amount']);
    ++$count;

    $exvCount += $sResult['vcount'];
    if($isExit)
    $examount += $sResult['amount'];
}
$sheet->getCellByColumnAndRow(2, $count)->setValue('Total');
$sheet->getCellByColumnAndRow(3, $count)->setValue($exvCount);
if($isExit)
$sheet->getCellByColumnAndRow(4, $count)->setValue($examount);
$sheet->getStyle('B'.$count.':D'.$count)->applyFromArray($styleArrayTotal);



$filename = "FARE COLLECTION POS WISE SUMMARY REPORT". date("Y-m-d-H-i-s").".xlsx";
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename='.$filename);
header('Cache-Control: max-age=0');
$writer = new Xlsx($spreadsheet);
$writer->save('php://output');
exit;


?>

<h1> Excel  Document download </h1>