<?php
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use PhpOffice\PhpSpreadsheet\Style\Border;
use PhpOffice\PhpSpreadsheet\Style\Fill;
use app\models\Ic;

$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();

$sheet->setTitle(' XLSX  Document');
$nowdate=date('Y.m.d.h.i.s');

$styleArrayHeading = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '307BBA'),
        'size'  => 8,
        'name'  => 'Verdana'
    ),
    
);
$styleArrayTitle = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '4040C4'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));

$styleArrayTotal = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));
$styleArrayBorder = array(
    'borders' => array(
        'allBorders' => [
            'borderStyle' => Border::BORDER_THIN,
            'color' => ['rgb' => '000000'],
        ],
    ),
);
$sheet->getColumnDimension('A')->setWidth(20);       
$sheet->getColumnDimension('B')->setWidth(15);       
$sheet->getColumnDimension('C')->setWidth(15);       
$sheet->getColumnDimension('D')->setWidth(15);  
$sheet->getColumnDimension('E')->setWidth(20);
$count = 0;
$headinColunm = 0;
$sheet->setCellValue('A'.++$count, 'BLACKLISTED CARD REPORT');
$sheet->setCellValue('A'.++$count, 'GENERATED DATE:'.$nowdate);
$sheet->setCellValue('A'.++$count, 'USER:'.Yii::$app->getUser()->username);
$sheet->setCellValue('A'.++$count, $model['ic'] == 'Any' ? 'IC : Any':'IC: '.Ic::find()->where(['id' => $model['ic']])->one()->name);
$sheet->setCellValue('A'.++$count, 'START DATE:'.$model['start_date']);
$sheet->setCellValue('A'.++$count, 'END DATE:'.$model['end_date']);
++$count;
       
++$count;
$sCount = $count;
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('SerialNumber');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Vehicle Number');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('UID');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Detected IC');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Detected Date/Time');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Detected Booth');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Teller ID');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('POS Device');
$sheet->getStyle('A'.$count.':H'.$count)->applyFromArray($styleArrayHeading);
$sheet->getStyle('A'.$count.':H'.$count)->getFill()
          ->setFillType(Fill::FILL_SOLID)
          ->getStartColor()->setARGB('a3c2c2');



$count += 1;
foreach ($results as $result) {
    $row = 0;
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['serial']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['vehicle_no']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['uid']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['ic']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['detected_time']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['booth']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['teller']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['pos']);
    ++$count;
}

$sheet->getStyle('A'.$sCount.':H'.--$count)->applyFromArray($styleArrayBorder);


$filename = "BLACKLISTED CARD REPORT". date("Y-m-d-H-i-s").".xlsx";
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename='.$filename);
header('Cache-Control: max-age=0');
$writer = new Xlsx($spreadsheet);
$writer->save('php://output');
exit;


?>

<h1> Excel  Document download </h1>