<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\ActiveForm;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use yii\bootstrap4\Modal;
use kartik\date\DatePicker;
use app\models\Booth;
use app\models\Ic;
use app\models\Region;
use kartik\depdrop\DepDrop;
use yii\widgets\LinkPager;
use yii\helpers\Json;
use kartik\datetime\DateTimePicker;

/* @var $this yii\web\View */
/* @var $searchModel app\models\TimeLogSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Book Receipt Report';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="time-log-index">

    <?php $form = ActiveForm::begin(); ?>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>



    <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">


                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                        <span class="caption-subject font-dark bold uppercase">
                            <?= Html::encode($this->title) ?></span>
                    </div>

                </div>

                <div class="portlet-body" style="margin-top: 26px;">
                    <form role="form">
                        <div class="row">
                            <div class="col-md-1 pull-right">
                                <?= Html::submitButton('Search', ['class' => 'btn btn-success']) ?>
                            </div>
                            <?php if($results):?>
                            <div class="actions" style="float:right;">
                                <div class="btn-group">
                                    <a class="btn blue btn-outline btn-circle btn-sm" href="javascript:;"
                                        data-toggle="dropdown" data-hover="dropdown" data-close-others="true"
                                        aria-expanded="false"> Export
                                        <i class="fa fa-angle-down"></i>
                                    </a>
                                    <ul class="dropdown-menu pull-right" style="    min-width: 80px;">

                                        <!-- <li>

                                            <a href="#" onclick="sendPdf()"> Pdf </a>
                                        </li> -->
                                        <li>
                                            <a href="#" onclick="sendExcel()"
                                                target="_blank">Excel </a>
                                        </li>

                                    </ul>
                                </div>
                            </div>
                            <?php endif;?>
                        </div>

                        <div class="row">
                            <div class="col-md-4">
                                <?= $form->field($model, 'region')->dropDownList(
                                    Region::getRegionWithDefault(),
                                    [
                                        // 'prompt' => '',
                                        'id' => 'region-dropdown',
                                        'onchange' => '
                                            var regionId = $(this).val();
                                            if (regionId === "") {
                                                $("select#ic-dropdown").html("<option value=\'\'>Select IC</option>");
                                            } else {
                                                $.post(
                                                    "' . Yii::$app->urlManager->createUrl('ic/ic-list?region_id=') . '"+regionId, 
                                                    function(data) {
                                                        $("select#ic-dropdown").html(data);
                                                    }
                                                );
                                            }
                                        ',

                                    ]
                                ); ?> 
                            </div>

                            <div class="col-md-4">
                                <?= $form->field($model, 'ic')->dropDownList($icOptions, ['id' => 'ic-dropdown']); ?>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-4">
                                <?echo $form->field($model, 'start_date')->widget(DateTimePicker::classname(), [
                                    'options' => ['placeholder' => 'Start date & time ...','autocomplete' => 'off'],
                                    'pluginOptions' => [
                                        'autoclose' => true
                                    ]
                                ]);?>
                            </div>
                            <div class="col-md-4">
                                <?echo $form->field($model, 'end_date')->widget(DateTimePicker::classname(), [
                                    'options' => ['placeholder' => 'Start date & time ...','autocomplete' => 'off'],
                                    'pluginOptions' => [
                                        'autoclose' => true
                                    ]
                                ]);?>
                            </div>
                            
                        </div>

                        <br>
                        <br>

                    </form>
                </div>

            </div>

        </div>

    </div>
    <?php ActiveForm::end(); ?>
   
    <?php if($results):?>
    <br>
    <table class="table tableCompany_View-striped table-bordered table-advance table-hover">
        <thead>
            <tr>
            <th scope="col"><b>Generating Report .. Please export</b></th>
                <!-- <th scope="col"><b>Book Receipt Ticket Serial</b></th> -->
                <!-- <th scope="col"><b>Entrance Serial</b></th>
                <th scope="col"><b>Entrance Time</b></th>
                <th scope="col"><b>Entrance IC</b></th>
                <th scope="col"><b>Exit IC</b></th>
                <th scope="col"><b>Vehicle Category</b></th>
                <th scope="col"><b>Amount</b></th>
                <th scope="col"><b>Booth</b></th>
                <th scope="col"><b>Teller</b></th> -->
            </tr>
        </thead>
        <tbody id="tbody" class="table table-scrollable">
            <!-- < ?php foreach ($results as $result): ?> -->
                <!-- <tr>
                    <td><?= $result['exit_serial'];?></td>
                    <td><?= $result['entrance_serial'];?></td>
                    <td><?= $result['entrance_time'];?></td>
                    <td><?= $result['ic_entrance'];?></td>
                    <td><?= $result['ic_exit'];?></td>
                    <td><?= $result['vc'];?></td>
                    <td><?= $result['amount'];?></td>
                    <td><?= $result['booth'];?></td>
                    <td><?= $result['username'];?></td>
                </tr> -->
            <!-- < ?php endforeach;?> -->
        </tbody>

    </table>

    <?php endif;?>



</div>
<style>

.top-border {
    border-top: 2px solid #cccccc !important;
    border-left: 2px solid #cccccc !important;
    border-right: 2px solid #cccccc !important;
    background-color: #fff3cd;
    /* font-size: 11px !important; */
    padding: 1px !important;
    font-weight: bold;
    text-align: right;
}

.bottom-border {
    border-bottom: 2px solid #cccccc !important;
    border-left: 2px solid #cccccc !important;
    border-right: 2px solid #cccccc !important;
    background-color: #d1ecf1;
    /* font-size: 11px !important; */
    padding: 1px !important;
    text-align: right;
    font-weight: bold;
}

.specific-column{
    background-color: #f5c6cb !important;
    border: 2px solid #cccccc !important;
}
.grand_total{
    text-align: right;
    font-weight: bold;
}

th {
    text-align: center;
}

.my-custom-scrollbar {
    position: relative;
    height: 500px;
    overflow: auto;
}

.table-wrapper-scroll-y {
    display: block;
}

#entranceSearch {
    padding: 5px 5px 5px 5px;
    border: 1px solid #ddd;
    margin: -5px;
    width: -webkit-fill-available;
}
</style>
<script>
    function sendPdf() {

    var model = <?php echo json::encode($model);?>;
    var results = <?php echo json::encode($results);?>;
    var url = '<?php echo Url::to(['reports/incident-book-receipt-pdf']); ?>';
    gotoUrl(url, {
        'model': model,
        'results': results
    });

    }

    function sendExcel() {

    var model = <?php echo json::encode($model);?>;
    var results = <?php echo json::encode($results);?>;
    var url = '<?php echo Url::to(['reports/incident-book-receipt-excel']); ?>';
    gotoUrl(url, {
        'model': model,
        'results': results
    });

    }

    function gotoUrl(path, params, method) {
    //Null check
    method = method || "post"; // Set method to post by default if not specified.

    var form = document.createElement("form");
    form.setAttribute("method", method);
    form.setAttribute("action", path);

    //Fill the hidden form
    if (typeof params === 'string') {
        var hiddenField = document.createElement("input");
        hiddenField.setAttribute("type", "hidden");
        hiddenField.setAttribute("name", 'data');
        hiddenField.setAttribute("value", params);
        form.appendChild(hiddenField);
    } else {
        for (var key in params) {
            if (params.hasOwnProperty(key)) {
                var hiddenField = document.createElement("input");
                hiddenField.setAttribute("type", "hidden");
                hiddenField.setAttribute("name", key);
                if (typeof params[key] === 'object') {
                    hiddenField.setAttribute("value", JSON.stringify(params[key]));
                } else {
                    hiddenField.setAttribute("value", params[key]);
                }
                form.appendChild(hiddenField);
            }
        }
    }
    form.target = '_blank';
    document.body.appendChild(form);
    form.submit();
    return false;
    }
</script>