<?php
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use PhpOffice\PhpSpreadsheet\Style\Border;
use PhpOffice\PhpSpreadsheet\Style\Fill;
use app\models\Ic;
use webvimark\modules\UserManagement\models\User;

$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();

$sheet->setTitle(' XLSX  Document');
$nowdate=date('Y.m.d.h.i.s');

$styleArrayHeading = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '307BBA'),
        'size'  => 8,
        'name'  => 'Verdana'
    ),
    
);
$styleArrayTitle = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '4040C4'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));

$styleArrayTotal = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));
$styleArrayBorder = array(
    'borders' => array(
        'allBorders' => [
            'borderStyle' => Border::BORDER_THIN,
            'color' => ['rgb' => '000000'],
        ],
    ),
);
$sheet->getColumnDimension('A')->setWidth(20);       
$sheet->getColumnDimension('B')->setWidth(20);       
$sheet->getColumnDimension('C')->setWidth(20);       
$sheet->getColumnDimension('D')->setWidth(20);  
$sheet->getColumnDimension('E')->setWidth(15);
$sheet->getColumnDimension('F')->setWidth(15);
$sheet->getColumnDimension('G')->setWidth(20);
$sheet->getColumnDimension('H')->setWidth(20);
$sheet->getColumnDimension('I')->setWidth(20);
$count = 0;
$headinColunm = 0;
$sheet->setCellValue('A'.++$count, 'REPRINTED TICKET REPORT');
$sheet->setCellValue('A'.++$count, 'GENERATED DATE:'.$nowdate);
$sheet->setCellValue('A'.++$count, 'USER:'.Yii::$app->getUser()->username);
$sheet->setCellValue('A'.++$count, $model['ic'] == 'Any' ? 'IC : Any':'IC: '.Ic::find()->where(['id' => $model['ic']])->one()->name);
$sheet->setCellValue('A'.++$count, $model['ic'] == 'Any' ? 'TELLER : Any':'TELLER: '.User::find()->where(['id' => $model['teller']])->one()->username);
$sheet->setCellValue('A'.++$count, 'START DATE:'.$model['start_date']);
$sheet->setCellValue('A'.++$count, 'END DATE:'.$model['end_date']);
++$count;
       
++$count;
$sCount = $count;
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Entrance Serial');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Entrance Time');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Exit Serial');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Exit Time');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('IC');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Booth');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Amount');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Vehicle Category');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('Teller');
$sheet->getCellByColumnAndRow(++$headinColunm, $count)->setValue('No Of Prints');
$sheet->getStyle('A'.$count.':J'.$count)->applyFromArray($styleArrayHeading);
$sheet->getStyle('A'.$count.':J'.$count)->getFill()
          ->setFillType(Fill::FILL_SOLID)
          ->getStartColor()->setARGB('a3c2c2');



$count += 1;
foreach ($results as $result) {
    $row = 0;
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['entrance_serial']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['entrance_time']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['exit_serial']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['exit_time']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['ic']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['booth']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['amount']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['vc']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['username']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['count']);
    ++$count;
}

$sheet->getStyle('A'.$sCount.':J'.--$count)->applyFromArray($styleArrayBorder);


$filename = "REPRINTED TICKET REPORT". date("Y-m-d-H-i-s").".xlsx";
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename='.$filename);
header('Cache-Control: max-age=0');
$writer = new Xlsx($spreadsheet);
$writer->save('php://output');
exit;


?>

<h1> Excel  Document download </h1>