<?php
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use PhpOffice\PhpSpreadsheet\Style\Border;
use PhpOffice\PhpSpreadsheet\Style\Fill;
use app\models\Ic;

$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();

$sheet->setTitle(' XLSX  Document');
$nowdate=date('Y.m.d.h.i.s');

$styleArrayHeading = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '307BBA'),
        'size'  => 8,
        'name'  => 'Verdana'
    ),
    
);
$styleArrayTitle = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '4040C4'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));

$styleArrayTotal = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 8,
        'name'  => 'Verdana'
    ));
$styleArrayBorder = array(
    'borders' => array(
        'allBorders' => [
            'borderStyle' => Border::BORDER_THIN,
            'color' => ['rgb' => '000000'],
        ],
    ),
);
// Set column widths
$columns = ['A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J','K'];
foreach ($columns as $column) {
    $sheet->getColumnDimension($column)->setWidth(15);
}

// Initialize variables
$count = 1;
$headinColumn = 0;
$sheet->setCellValue('A'.++$count, 'TOWING CHARGE REPORT');
$sheet->setCellValue('A'.++$count, 'GENERATED DATE: '.$nowdate);
$sheet->setCellValue('A'.++$count, 'USER: '.Yii::$app->getUser()->username);
$sheet->setCellValue('A'.++$count, $model['ic'] == 'Any' ? 'IC: Any' : 'IC: '.Ic::find()->where(['id' => $model['ic']])->one()->name);
$sheet->setCellValue('A'.++$count, 'TICKET TYPE: '.$model['ticketType']);
$sheet->setCellValue('A'.++$count, 'DATE: '.$model['year'].'-'.$model['month']);
$count += 2;

// Set headers
$sheet->getCellByColumnAndRow(++$headinColumn, $count)->setValue('Date');
$sheet->getCellByColumnAndRow(++$headinColumn, $count)->setValue('Time');
$sheet->getCellByColumnAndRow(++$headinColumn, $count)->setValue('Receipt No');
$sheet->getCellByColumnAndRow(++$headinColumn, $count)->setValue('Vehicle No');
$sheet->getCellByColumnAndRow(++$headinColumn, $count)->setValue('Payer');
$sheet->getCellByColumnAndRow(++$headinColumn, $count)->setValue('Interchange');
$sheet->getCellByColumnAndRow(++$headinColumn, $count)->setValue('Expressway');
$sheet->getCellByColumnAndRow(++$headinColumn, $count)->setValue('Data Updated By');
// $sheet->getCellByColumnAndRow(++$headinColumn, $count)->setValue('Last Updated');
$sheet->getCellByColumnAndRow(++$headinColumn, $count)->setValue('Remark');
$sheet->getCellByColumnAndRow(++$headinColumn, $count)->setValue('Amount');

// Apply heading styles
$sheet->getStyle('A'.$count.':J'.$count)->applyFromArray($styleArrayHeading);
$sheet->getStyle('A'.$count.':J'.$count)->getFill()
      ->setFillType(Fill::FILL_SOLID)
      ->getStartColor()->setARGB('a3c2c2');

$count++;

// Initialize total amount variable
$totalAmount = 0;

// Iterate through results and populate rows
foreach ($results as $result) {
    $row = 0;
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['day']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['time']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['receipt_no']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['vehicle_no']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['customer_name']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['ic']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['region']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['update_by']);
    // $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['update_at']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['remark']);
    $sheet->getCellByColumnAndRow(++$row, $count)->setValue($result['amount']);
    
    // Accumulate total amount
    $totalAmount += $result['amount'];

    // Move to the next row
    $count++;
}

// Set Grand Total row
$sheet->setCellValue('I'.$count, 'Grand Total');
$sheet->setCellValue('J'.$count, $totalAmount);

// Apply total styles and borders
$sheet->getStyle('A'.$count.':J'.$count)->applyFromArray($styleArrayTotal);
$sheet->getStyle('A'.$count.':J'.$count)->getFill()
      ->setFillType(Fill::FILL_SOLID)
      ->getStartColor()->setARGB('39ac39');
$sheet->getStyle('A'.$count.':K'.$count)->applyFromArray($styleArrayBorder);

$filename = "DAILY TRAFFIC REPORT". date("Y-m-d-H-i-s").".xlsx";
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename='.$filename);
header('Cache-Control: max-age=0');
$writer = new Xlsx($spreadsheet);
$writer->save('php://output');
exit;


?>

<h1> Excel  Document download </h1>