<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use app\models\Region;
use app\models\Designation;
use yii\helpers\ArrayHelper;
use webvimark\modules\UserManagement\models\User;
use webvimark\modules\UserManagement\models\rbacDB\Role;
use app\models\IcUsersAll;


$this->title = 'User Details Report';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="time-log-index">

    <?php $form = ActiveForm::begin(); ?>


    <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">


                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                        <span class="caption-subject font-dark bold uppercase">
                            <?= Html::encode($this->title) ?></span>
                    </div>
                    
                </div>

                <div class="portlet-body" style="margin-top: 26px;">
                    <form role="form">
                        <div class="row">
                            <div class="col-md-1 pull-right">
                                <?= Html::submitButton('Search', ['class' => 'btn btn-success']) ?>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-4">
                                <?= $form->field($model, 'region')->dropDownList(
                                    Region::getRegionWithDefault(),
                                    [
                                        // 'prompt' => '',
                                        'id' => 'region-dropdown',
                                        'onchange' => '
                                            var regionId = $(this).val();
                                            if (regionId === "") {
                                                $("select#ic-dropdown").html("<option value=\'\'>Select IC</option>");
                                            } else {
                                                $.post(
                                                    "' . Yii::$app->urlManager->createUrl('ic/ic-list?region_id=') . '"+regionId, 
                                                    function(data) {
                                                        $("select#ic-dropdown").html(data);
                                                    }
                                                );
                                            }
                                        ',

                                    ]
                                ); ?> 
                            </div>

                            <div class="col-md-4">
                                <?= $form->field($model, 'ic')->dropDownList([], ['id' => 'ic-dropdown']); ?>
                            </div>
                            <div class="col-md-4">
                                <?= $form->field($model, 'designation')->dropDownList(Designation::getDesignationWithDefault()); ?>
                            </div>
                        </div>
                         <div class="row">
                            <div class="col-md-4">
                                                              
                                <?= $form->field($model, 'role')->dropDownList( array('Any' => 'Any') + ArrayHelper::map(Role::find()->all(),'name','description')); ?> 
                            </div>

                            <div class="col-md-4">
                                <?= $form->field($model, 'status')->dropDownList(IcUsersAll::getStatusList()); ?>
                            </div>
                            
                        </div>

                        
                        <div class="row">
                            
                        </div>
                        <br>
                        <br>
                        
                    </form>
                </div>

            </div>

        </div>

    </div>
    <?php ActiveForm::end(); ?>

    