<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use webvimark\modules\UserManagement\models\User;

/* @var $this yii\web\View */
/* @var $searchModel app\models\RosterSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Rosters';
$this->params['breadcrumbs'][] = $this->title;
?>


<?php yii\widgets\Pjax::begin(['id' => 'rosters-pjax']) ?>
<div class="roster-index">

     <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">
           
                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                           <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
                      
                    </div>
                    <div class="actions">
                        <!-- Reset Button -->
                        <?= Html::a('Reset Filters', ['index'], ['class' => 'btn btn-default']) ?>
                  
                    </div>
                </div>
                <div class="portlet-body">
                <div class="table table-scrollable">
                <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

           // 'id',
            'from',
            'to',
            'created',
          
            [
                'attribute'=>'created_by',
                'value'=>'createdBy.username'
            ],

           // ['class' => 'yii\grid\ActionColumn'],
            // ['class' => 'yii\grid\ActionColumn','template'=>'{view} {delete}' ],

             ['class' => 'yii\grid\ActionColumn',
             'visibleButtons' => [
                 'update' => function ($model) {
                     return User::hasRole('10');
                 },
                 'delete' => function ($model) {
                     return User::hasRole('10');
                 },
                    ]
                ],

       
        ],
    ]); ?>
            </div>
                </div>
            </div>
        </div>
    </div>
</div>
  <?php yii\widgets\Pjax::end() ?>

  <?php
$this->registerJs("
$(document).on('keyup', '.form-control', function() {
    var form = $('#rosters-pjax .filters').closest('form');
    $.pjax.reload({
        container: '#rosters-pjax',
        url: form.attr('action'),
        data: form.serialize(),
        timeout: 1000,
    });
});
");