<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use yii\helpers\BaseUrl;
use yii\helpers\Url;
use yii\helpers\ArrayHelper;
use kartik\select2\Select2;

/* @var $this yii\web\View */
/* @var $model app\models\Roster */

$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Rosters', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>




<div class="roster-view">

<div class="portlet light ">
    <div class="portlet-title">
       
        </p>
        <div class="caption">
            <i class="icon-social-dribbble font-dark hide"></i>
            <span class="caption-subject font-dark bold ">Roster Overview - Interchanges Related to <?php echo $model->from ?> | <?php echo $model->to ?></span>
        </div>
        <div class="action col-md-4 pull-right ">

            <?php $data = ArrayHelper::map($model::find()->all(), 'id', function ($model) {

                
                return $model->from.' | '.$model->to;
                
            });  ?>
            <?php yii\widgets\Pjax::begin([]) ?>
            <?php echo Select2::widget([

            'model' => $model,
            'attribute' => 'from',
            'data' => $data,
            'size' => Select2::SMALL,
            'options' => ['placeholder' => 'Search for roster ...', 'class' => 'small'],
            'pluginOptions' => [
                'allowClear' => true
            ],
            'pluginEvents' => [
                'select2:select' => "function (e) {        
                        var id = e.params.data.id;                                    
                        console.log(id);
                        myFunction(id);                           
                        }"
            ]
        ]);

        ?>
            <script>
            //Parse the drop down selected item to controller 
            function myFunction(id) {

                $.ajax({
                    url: '<?php echo Url::to(['/./roster/quick']); ?>',

                    type: 'post',
                    dataType: 'json',
                    data: {
                        "id": id
                    },
                    success: function(data) {
                        alert(data.id);

                    }
                });
            }
            
            
            </script>
             <script>
                            //search fn for schedule dates
                            function searchSchedules(myInput, myUL) {
                                console.log("kl");
                                var input, filter, ul, li, a, i, x;
                                input = document.getElementById(myInput);
                                filter = input.value.toUpperCase();
                                ul = document.getElementById(myUL);
                                li = ul.getElementsByTagName("div");
                                for (i = 0; i < li.length; i++) {
                                    a = li[i].getElementsByTagName("span")[0];
                                    b = li[i].getElementsByTagName("span")[1];
                                    // c = li[i].getElementsByTagName("p")[2];
                                    // d = li[i].getElementsByTagName("p")[3];
                                    if (a.innerHTML.toUpperCase().indexOf(filter) > -1 || 
                                    b.innerHTML.toUpperCase().indexOf(filter) > -1 
                                    
                                    ) {
                                        li[i].style.display = "";
                                    } else {
                                        li[i].style.display = "none";
                                        var c = $('myUL li:visible').size();
                                    }
                                }
                            }
                            </script>
            <?php yii\widgets\Pjax::end() ?>

        </div>
    </div>




<br>
<br>
<div class="input-group margin-bottom-15">
                                                        <span class="input-group-addon">
                                                            <i class="fa fa-search small"></i>
                                                        </span>
                                                        <input class="form-control small" type="text"
                                                            style="font-size:12px;" id="generalDatesSearch"
                                                            onkeyup="searchSchedules('generalDatesSearch', 'tiles')"
                                                            placeholder="Search for Interchange or region ..." title="search for interchange or region">
                                                    </div>
<div class="row widget-row" id="tiles">
            <?php foreach($interchanges as $interchange):?>
           
                        <div class="col-md-3" id="<?php echo $interchange->id ?>">
                            <!-- BEGIN WIDGET THUMB -->
                            <div class="widget-thumb  text-uppercase margin-bottom-20 " style="background-color: #f1f1f1;">
                          
                                     
                            <a href="<?php echo Url::to(['shift', 'roster_id' => $model->id,'interchange_id'=>$interchange->id,'schedule_id'=>$schedule->id]); ?>"class="btn btn-xsm  btn-icon-only pull-right" style="padding: 0;
                                       margin-right: 0;padding-right: 0;width: 22px;
                                       height: 22px;
                                       "
                                    
                                       >
                                        <i class="icon-settings"></i> 
                                    </a>
                                <div class="widget-thumb-wrap" >
                               
                                    <i class="widget-thumb-icon bg-green"><img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/interchange.png" width="120px" height="15px" class=" img-responsive pic-bordered"
                                alt=""></i>
                                    <div class="widget-thumb-body">
                                        <span class="widget-thumb-subtitle" style="font-size: 10px;" ><?php echo $interchange->region->name ?></span>
                                        <span class="widget-thumb-body-stat" style="font-size: 12px;" ><?php echo $interchange->name ?></span>
                                    </div>
                                </div>
                            
                                
                            </div>
                            <!-- END WIDGET THUMB -->
                        </div>
            
            <?php endforeach?>
                       
                       
</div>