<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use yii\helpers\BaseUrl;
use yii\helpers\Url;
use yii\helpers\ArrayHelper;
use kartik\select2\Select2;

use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $model app\models\Route */

$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Routes', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>


<div class="booth-type--view">

    <div class="portlet light ">
        <div class="portlet-title">

            <div class="caption">
                <i class="icon-social-dribbble font-dark hide"></i>
                <span class="caption-subject font-dark bold uppercase">overview</span>
            </div>
            <div class="action col-md-4 pull-right ">

                <?php $data = ArrayHelper::map($model::find()->all(), 'id', function ($model) {

                
return $model->source0->name.' | '.$model->destination0->name;

});  ?>
                <?php yii\widgets\Pjax::begin([]) ?>
                <?php echo Select2::widget([

            'model' => $model,
            'name' => 'source',
            'data' => $data,
            'size' => Select2::SMALL,
            'options' => ['placeholder' => 'Search for Route ...', 'class' => 'small'],
            'pluginOptions' => [
                'allowClear' => true
            ],
            'pluginEvents' => [
                'select2:select' => "function (e) {        
                        var id = e.params.data.id;                                    
                        console.log(id);
                        myFunction(id);                           
                        }"
            ]
        ]);

        ?>
                <script>
                //Parse the drop down selected item to controller 
                function myFunction(id) {

                    $.ajax({
                        url: '<?php echo Url::to(['/./route/quick']); ?>',

                        type: 'post',
                        dataType: 'json',
                        data: {
                            "id": id
                        },
                        success: function(data) {
                            alert(data.id);

                        }
                    });
                }
                </script>
                <?php yii\widgets\Pjax::end() ?>

            </div>
        </div>




        <div class="row">
        <div class="col-md-12">
                            <p>Route Datails:</p>   

                            <div class="pricing-content-2"> 
                       
                                     <div class="pricing-table-container" style="padding-top:0px;">
                                   
                                        <div class="no-padding">
                                            <div class="price-column-container border-right border-top border-left border-bottom" style="margin-top:0px;">
                                                <div class="price-table-head price-1">
                                                    <h2 class="uppercase bg-blue font-grey-cararra opt-pricing-5"><?php echo $model->distance ?>KM</h2>
                                                </div>
                                                <div class="price-table-pricing">
                                                    <h3>
                                                    <?php echo $model->source0->name ?> - <?php echo $model->destination0->name ?>  </h3>  
                                                    
                                                    <p class="uppercase"><i class="icon-clock">  </i>  Max Time : <?php echo $model->max_time ?> </p>
                                                </div>
                                                
                                            
                                            </div>
                                        </div>
                                    
                                    
                                   
                                     </div>
                             </div>
                        </div>

        </div>