<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use yii\helpers\Url;
use yii\helpers\ArrayHelper;
use kartik\select2\Select2;

/* @var $this yii\web\View */
/* @var $model app\models\TicketTypeStatus */

$this->title = $model->name;
$this->params['breadcrumbs'][] = ['label' => 'Ticket Type Statuses', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>
<style>
.mt-element-step .step-default .active {
    background-color: #203f80!important;
}
</style>



<div class="booth-type--view">

<div class="portlet light ">
    <div class="portlet-title">
        <p style="margin-top:8px;margin-bottom:8px;">
            <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-success']) ?>
            <?= Html::a('Create', ['create'], ['class' => 'btn btn-success ']) ?>
            <?= Html::a('Manage', ['index'], ['class' => 'btn btn-success']) ?>
            <?= Html::a('Delete', ['delete', 'id' => $model->id], [
    'class' => 'btn btn-danger',
    'data' => [
        'confirm' => 'Are you sure you want to delete this item?',
        'method' => 'post',
    ],
]) ?>
        </p>
        <div class="caption">
            <i class="icon-social-dribbble font-dark hide"></i>
            <span class="caption-subject font-dark bold uppercase">Ticket Type Status Overview</span>
        </div>
        <div class="action col-md-4 pull-right ">

            <?php $data = ArrayHelper::map($model::find()->all(), 'id', 'name'); ?>
            <?php yii\widgets\Pjax::begin([]) ?>
            <?php echo Select2::widget([

            'model' => $model,
            'attribute' => 'name',
            'data' => $data,
            'size' => Select2::SMALL,
            'options' => ['placeholder' => 'Search for status ...', 'class' => 'small'],
            'pluginOptions' => [
                'allowClear' => true
            ],
            'pluginEvents' => [
                'select2:select' => "function (e) {        
                        var id = e.params.data.id;                                    
                        console.log(id);
                        myFunction(id);                           
                        }"
            ]
        ]);

        ?>
            <script>
            //Parse the drop down selected item to controller 
            function myFunction(id) {

                $.ajax({
                    url: '<?php echo Url::to(['/./ticket-type-status/quick']); ?>',

                    type: 'post',
                    dataType: 'json',
                    data: {
                        "id": id
                    },
                    success: function(data) {
                        alert(data.id);

                    }
                });
            }
            </script>
            <?php yii\widgets\Pjax::end() ?>

        </div>
    </div>




<div class="row"> 
<div class="col-md-2">
                <img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/ticket.png" width="120px" height="15px" class=" img-responsive pic-bordered"
                style="opacity: 0.8;">
                </div>
                        <div class="col-md-10">
                        <h1><?php echo $model->name ?></h1>
                        </div>
               
                    </div>