<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use webvimark\modules\UserManagement\models\User;
/* @var $this yii\web\View */
/* @var $searchModel app\models\TowingSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('app', 'Towings');
$this->params['breadcrumbs'][] = $this->title;
?>



<?php yii\widgets\Pjax::begin(['id' => 'towing-pjax']) ?>
<div class="towing-index">

     <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">
            <?php if(User::hasRole('10') || User::hasRole('90')): ?>
            <p style="margin-top:8px;margin-bottom:8px;">
        <?= Html::a('Create', ['create'], ['class' => 'btn btn-primary']) ?>
    </p>
    <?php endif ?>
                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                           <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
                      
                    </div>
                    <div class="actions">
                         <!-- Reset Button -->
                         <?= Html::a('Reset Filters', ['index'], ['class' => 'btn btn-default']) ?>

                    </div>
                </div>
                <div class="portlet-body">
                <div class="table table-scrollable">
    
                <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

           // 'id',
            'receipt_no',
            'vehicle_no',
            'customer_name',
            //'amount',
            [
                 
                'attribute'=>'amount',
                'value'=>'amount',
                'format' => 'Currency',
 
             ],
           // 'created_by',
            // [
            //     'attribute'=>'created_by',
            //     'value'=>'createdBy.username',
              
            // ],
            [
                'attribute'=>'ic_id',
                'value'=>'ic.name',
              
            ],
            //'created_on',
            'created_on',
            [
                'attribute'=>'created_by',
                'value'=>'createdBy.username',
              
            ],
            'updated_on',
            [
                'attribute'=>'updated_by',
                'value'=>'updatedBy.username',
              
            ],
            'ref_shift_id',
            //'shift_id',

           // ['class' => 'yii\grid\ActionColumn'],
            // ['class' => 'yii\grid\ActionColumn','template'=>'{view} {update} {delete}' ],
            ['class' => 'yii\grid\ActionColumn',
                'visibleButtons' => [
                    'update' => function ($model) {
                        return Yii::$app->user->isSuperadmin || User::hasRole('90') || User::hasRole('91')|| User::hasRole('25');
                    },
                    'delete' => function ($model) {
                        return Yii::$app->user->isSuperadmin || User::hasRole('90')|| User::hasRole('91')|| User::hasRole('25');
                    },
                ]
            ],
        ],
    ]); ?>
            </div>
                </div>
            </div>
        </div>
    </div>
</div>
  <?php yii\widgets\Pjax::end() ?>

  <?php
$this->registerJs("
$(document).on('keyup', '.form-control', function() {
    var form = $('#towing-pjax .filters').closest('form');
    $.pjax.reload({
        container: '#towing-pjax',
        url: form.attr('action'),
        data: form.serialize(),
        timeout: 1000,
    });
});
");



