<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use app\models\VehicleCategory;
use kartik\color\ColorInput;

/* @var $this yii\web\View */
/* @var $model app\models\VehicleCategory */
/* @var $form yii\widgets\ActiveForm */
?>


<div class="portlet light ">
    <p style="margin-top:8px;margin-bottom:8px;">
        <?= Html::a('Manage', ['index'], ['class' => 'btn btn-success']) ?>
    </p>
    <div class="portlet-title">
        <div class="caption">

            <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
        </div>
        <div class="actions">

        </div>
    </div>
    <div class="portlet-body form">

        <div class="time-slot-form">

            <?php $form = ActiveForm::begin(); ?>
            <div class="row">
                <div class="col-md-4">
                    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>


                </div>
                <div class="col-md-4">
                    <?= $form->field($model, 'description')->textArea(['maxlength' => 200]) ?>

                </div>
                <div class="col-md-2">

                    <?= $form->field($model->loadDefaultValues(), 'status')->dropDownList(VehicleCategory::getStatusList()) ?>

                </div>
                <div class="col-md-2">
                    <?= $form->field($model, 'type')->dropDownList(['MAIN' => 'MAIN','SERVICE'=>'SERVICE','SPECIAL'=>'SPECIAL']) ?>


                </div>
            </div>
            <div class="row">
            <div class="col-md-2">

                <?= $form->field($model->loadDefaultValues(), 'active_status')->dropDownList(VehicleCategory::getActiveStatusList()) ?>

                </div>
                <div class="col-md-4">
                <?= $form->field($model, 'category')->textInput(['maxlength' => true]) ?>

                   
                </div>
              
                <div class="col-md-4">
                <?=  $form->field($model, 'color_code')->widget(ColorInput::classname(), [
                        'size' => 'lg',
                        'options' => ['placeholder' => 'Select color ...'],
                    ]);   ?>
               
                </div>
            </div>




            <div class="form-actions right">
                <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
            </div>

            <?php ActiveForm::end(); ?>

        </div>

    </div>
</div>



</div>