<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use webvimark\modules\UserManagement\UserManagementModule;
use app\models\VehicleCategory;
/* @var $this yii\web\View */
/* @var $searchModel app\models\VehicleCategorySearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Vehicle Categories';
$this->params['breadcrumbs'][] = $this->title;
?>





<?php yii\widgets\Pjax::begin(['id' => 'vehicle-category-pjax']) ?>
<div class="booth-type-index">

     <div class="mt-bootstrap-tables">
        <div>
            <div class="portlet light ">
            <p style="margin-top:8px;margin-bottom:8px;">
        <?= Html::a('Create', ['create'], ['class' => 'btn btn-success']) ?>
    </p>
                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                           <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
                      
                    </div>
                    <div class="actions">
                         <!-- Reset Button -->
                         <?= Html::a('Reset Filters', ['index'], ['class' => 'btn btn-default']) ?>
                  
                    </div>
                </div>
                <div class="portlet-body">
                <div class="table table-scrollable">
                <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

          //  'id',
            'name',
            'category',
            'type',
            [
                'class' => 'webvimark\components\StatusColumn',
                'attribute' => 'status',
                'label' => 'Fare Eligible',
                'optionsArray' => [
                    [VehicleCategory::STATUS_FARE_NOT_HAVE, UserManagementModule::t('back', 'NO'), 'danger'],
                    [VehicleCategory::STATUS_FARE_HAVE, UserManagementModule::t('back', 'YES'), 'green'],
                  
                ],
            ],
            [
                'class' => 'webvimark\components\StatusColumn',
                'attribute' => 'active_status',
                'label' => 'Active Staus',
                'optionsArray' => [
                    [VehicleCategory::ACTIVE_STATUS_DEACTIVE, UserManagementModule::t('back', 'NO'), 'danger'],
                    [VehicleCategory::ACTIVE_STATUS_ACTIVE, UserManagementModule::t('back', 'YES'), 'green'],
                  
                ],
            ],
            'description',

            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>
            </div>
                </div>
            </div>
        </div>
    </div>
</div>
  <?php yii\widgets\Pjax::end() ?>

  <?php
$this->registerJs("
$(document).on('keyup', '.form-control', function() {
    var form = $('#vehicle-category-pjax .filters').closest('form');
    $.pjax.reload({
        container: '#vehicle-category-pjax',
        url: form.attr('action'),
        data: form.serialize(),
        timeout: 1000,
    });
});
");