<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use yii\helpers\BaseUrl;
use yii\helpers\Url;
use yii\helpers\ArrayHelper;
use kartik\select2\Select2;
use app\models\VehicleCategory;

use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $model app\models\VehicleCategory */

$this->title = $model->name;
$this->params['breadcrumbs'][] = ['label' => 'Vehicle Categories', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>



<style>
.mt-element-step .step-default .active {
    background-color: #606511 !important;
}
</style>


<div class="vahicle-category-view">

    <div class="portlet light ">
        <div class="portlet-title">
            <p style="margin-top:8px;margin-bottom:8px;">
                <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-success']) ?>
                <?= Html::a('Create', ['create'], ['class' => 'btn btn-success ']) ?>
                <?= Html::a('Manage', ['index'], ['class' => 'btn btn-success']) ?>
                <?= Html::a('Delete', ['delete', 'id' => $model->id], [
    'class' => 'btn btn-danger',
    'data' => [
        'confirm' => 'Are you sure you want to delete this item?',
        'method' => 'post',
    ],
]) ?>
            </p>
            <div class="caption">
                <i class="icon-social-dribbble font-dark hide"></i>
                <span class="caption-subject font-dark bold uppercase">Vehicle Category Overview</span>
            </div>
            <div class="action col-md-4 pull-right ">

                <?php $data = ArrayHelper::map($model::find()->all(), 'id', 'name'); ?>
                <?php yii\widgets\Pjax::begin([]) ?>
                <?php echo Select2::widget([

            'model' => $model,
            'attribute' => 'name',
            'data' => $data,
            'size' => Select2::SMALL,
            'options' => ['placeholder' => 'Search for category ...', 'class' => 'small'],
            'pluginOptions' => [
                'allowClear' => true
            ],
            'pluginEvents' => [
                'select2:select' => "function (e) {        
                        var id = e.params.data.id;                                    
                        console.log(id);
                        myFunction(id);                           
                        }"
            ]
        ]);

        ?>
                <script>
                //Parse the drop down selected item to controller 
                function myFunction(id) {

                    $.ajax({
                        url: '<?php echo Url::to(['/./vehicle-category/quick']); ?>',

                        type: 'post',
                        dataType: 'json',
                        data: {
                            "id": id
                        },
                        success: function(data) {
                            alert(data.id);

                        }
                    });
                }
                </script>
                <?php yii\widgets\Pjax::end() ?>

            </div>
        </div>




        <div class="row">
            <div class="col-md-2">
                <img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?>/../image/vehicle.png" width="120px"
                    height="15px" class=" img-responsive pic-bordered" style="opacity: 0.7;">
            </div>
            <div class="col-md-8">
                <h1>Name :<?php echo $model->name ?></h1>
                <h4>Code &nbsp &nbsp&nbsp &nbsp&nbsp: <?php echo $model->category ?></h4>
                <h4>Type &nbsp &nbsp&nbsp &nbsp&nbsp: <?php echo $model->type ?></h4>
                <h4>Description :<?php echo $model->description ?></h4>
                <br>
                <?php if($model->status==VehicleCategory::STATUS_FARE_HAVE): ?>
                <p class="label label-default fontS11" style="font-size:10px;background-color:#30d82c">FARE IS ELIGIBLE
                </p>
                <?php elseif($model->status==VehicleCategory::STATUS_FARE_NOT_HAVE): ?>
                <p class="label label-danger fontS11" style="font-size:10px">FARE IS NOT ELIGIBLE</p>
                <?php endif ?>


                <?php if($model->active_status==VehicleCategory::ACTIVE_STATUS_ACTIVE): ?>
                <p class="label label-default fontS11" style="font-size:10px;background-color:#30d82c">ACTIVE
                </p>
                <?php elseif($model->active_status==VehicleCategory::ACTIVE_STATUS_DEACTIVE): ?>
                <p class="label label-danger fontS11" style="font-size:10px">DEACTIVE</p>
                <?php endif ?>


            </div>
            <div class="col-md-2">
            <h4>Color Code :</h4>

            <div class="" style="border:11px solid <?php echo $model->color_code  ?>;font-size:10px;">
                </div>
            </div>

        </div>